5.11.2.0 (2021/09/08)
	[scrollBar2.js修正]
	arguments.calleeがjsES5で使えなくなっているようなので、念のため代わりにクロージャー化しておきます
		jsp/common/scrollBar2.js

5.11.1.0 (2021/06/25)
	[帳票自動起動]
	コンテナやクラウドサーバのようにコンテキストパスが頻繁に変更となる環境で自動起動が可能にしておきます。
	具体的には'RUN_'" + CON + "A.SYSTEM_ID" + CON + "'_'" + CON + "B.DMN_GRP"の判定で
	**のコンテキストパスを扱えるようにしておきます。
	この機能を利用する場合、現時点ではGE12を手で変更する必要があります。
		hayabusa.report2.QueueManager_DB#SQL_SELECT_GE50
		ge/jsp/REP21/result.jsp

5.11.0.0 (2021/05/17)
	[Java8化]
	コンパイルをjava8で行うようにします。
	一部クラスでオーバーライド等の変更があります。
	警告関係は修正していません。
		hayabusa.filter.FileResponseStream#setWriteListener( WriteListener arg0 ) 追加
		hayabusa.filter.GZIPResponseStream#setWriteListener( WriteListener arg0 ) 追加
		hayabusa.taglib.LinkTag impotrt削除
		fukurou.util.URLConnect#getConnection() base64をjava.utilに変更
		fukurou.db.ConnectionFactory#createInstance() エラーメッセージ追加
		
	[HTML5の標準化]
	5.10系まではIE7モードを標準としていましたが、5.11系からHTML5対応版を標準としておきます。
	システムリソースの初期値の変更と、index.jspを変更しておきます。(index3.jspとして配置していたものをindex.jspにしておく)
		hayabusa.common.SystemData#USE_IE7_HEADER,USE_HTML5_HEADER,USE_EDGE_HEADER,USE_HTML5_MODAL
		jsp/index.jsp

5.10.31.0 (2021/04/29)
	[ファイルアップロードの修正]
	ChromiumでjQueryを利用したファイルアップロードが上手くいかないため、bound関係を修正。
		hayabusa.servlet.multipart.MultipartParser#MultipartParser( final HttpServletRequest req, final int maxSize )
		
	[htmlendのカスタム化]
	HTML最下部をカスタム化出来るよう、custom/htmlend.jspを用意してcommon/htmlend.jspから呼び出すようにしておきます。
	標準では何もしませんが、編集画面から検索画面にブラウザの戻るボダンが利用出来ないようにするスクリプトを
	コメントアウト状態で記載しておきます。
	（エラー時に利用しているhistory.backは以降最後が出力されないため上記を入れても問題なく動作する）

5.10.30.0 (2021/04/20)
	[eventColumn修正]
	jQuery1.12を利用する場合にエラーが発生している箇所があったため修正する。
		jsp/common/eventScript.js#eventColumn

5.10.29.0 (2021/03/08)
	[マルチチューザー修正]
	multiChooseのスクリプトのうち、上下入れ替え機能が正しく動作していなかったため修正します。
		jsp/common/multiChoose.js

5.10.28.0 (2021/01/29)
	[HMレンデラ修正]
	時分表示のレンデラで14桁時の処理が誤っていたので修正します。
		plugin.column/Renderer_HM#String getValue( final String value )

5.10.27.0 (2021/01/05)
	[コメント追記]
	eventColumnセット時の注意点を追記しておきます
		hayabusa.taglib.ColumnTag#setEventColumn( final String col )
		
	[eventColumn修正]
	初期発火の判定を厳密にするよう変更します
		common/eventScript.js#makeColMapping()
		common/eventScript.js#makeColumn( evCol )

5.10.26.0 (2020/12/15)
	[帳票修正]
	誤って削除していた箇所があるため修正
		hayabusa.report2.QueueManager_DB#SQL_SELECT_GE51

5.10.25.0 (2020/10/02)
	[DB定義Postgres用出力変更]
	・Numeric型の出力で精度情報を付けるようにしておきます
	・出力を小文字に変換します(スクリプト部分を全て小文字化してしまう）
	・スクリプト先頭にUTF-8用の文字列出力をしておきます(SQLファイルのみ）
		plugin.table.TableFilter_TABLE_POSGRE#makeLineList( final String[] data,final boolean first )
		plugin.table.TableFilter_TABLE_POSGRE#makeHeadLine( final int[] clmNo,final String[] data )
		plugin.table.TableFilter_SEQUENCE_POSGRE#makeLineList( final int[] clmNo,final String[] data )
		plugin.table.TableFilter_SEQUENCE_POSGRE#makeHeadLine( final int[] clmNo,final String[] data )
		plugin.table.TableFilter_INDEX_POSGR#makeLineList( final int[] clmNo,final String[] data )
		plugin.table.TableFilter_INDEX_POSGR#makeHeadLine( final int[] clmNo,final String[] data )

5.10.24.0 (2020/09/04)
	[ガントチャートのEdge対応]
	ChromeやEdgeでガントチャートの表示で、意図せず文字が表示されている箇所があったため修正します。
	これは、imgタグのsrc属性が指定されなかった場合に発生するため、指定無しの場合は透明なpngを指定しておきます。
		adjustGanttTable.js
		jsp/image/empty.png
		
	[ガントチャートEdge対応２]
	ガントバーをマウスで動かす際に、カーソルが外れた際の動作がChrome系で意図しないものになっていたため変更します。
	具体的には一部のイベントをimgからbodyに変更します。
		adjustGanttTable.js

5.10.23.0 (2020/06/01)
	[WriteTable機能追加]
	WriteTableで出力したテーブルモデルの行数をWRITE.COUNTでセットします。
		hayabusa.taglib.WriteTableTag#doEndTag()
		
	[fileDowload変更]
	CommonのFileDownloadで出力データ(WRITE.COUNT)が０件の場合に「対象データはありませんでした。」
	のメッセージを出すようにしておきます。
	jsp/common/fileDownload.jsp
	
	[脆弱性対応]
	既知の脆弱性の問題から、jackson-databindを2.8.11.3から2.9.10.4に変更しておきます。
	それに伴い、annotations,coreも2.8.11から2.9.10に変更します
		jdk/lib/ext/jackson-databind-2.9.10.4.jar
		jdk/lib/ext/jackson-annotations-2.9.10.jar
		jdk/lib/ext/jackson-core-2.9.10.jar
		
	[NEXT,PREV時のstopZero]
	QueryタグのStopZeroがNEXT等でも効くようにします。
	対象外コマンドの場合はテーブルモデルの行数を予めセットします。
		hayabusa.taglib.QueryTag#doStartTag()
		
	[WriteTagの修正]
	過去に5.9.20.2でTABLE_WRITER_DEFAULT_HEADERSEQを利用出来るようにしたが、
	システムリソースをnullにすると警告が出るため、"null"をnull値にするように
	とりあえずの対応を入れておきます。
		hayabusa.taglib.WritetableTag#create( final PrintWriter out )
		hayabusa.common.SystemData#TABLE_WRITER_DEFAULT_HEADERSEQ

5.10.22.0 (2020/05/01)
	[login.jsp追加]
	Form認証用にキャッシュ関係のHTTPヘッダを追加したJSPを作成しておきます。
		jsp/login.jsp

5.10.21.1 (2020/04/21)
	[Linux対応追加]
	二文字目コロンだけを無変換としていましたが、\\から開始するディレクトリについても
	無変換の対象としておきます。
		hayabusa.common.HybsSystem#url2absPath( final String url )
			

5.10.21.0 (2020/04/03)
	[fullCalendar修正]
	Chromeで上手く動作しないようになったので、CSSを修正します。
	.fc-event-hori,fc-event-titleのpadding,border設定を1⇒0にします。
		common/calendar/fullcalendar.css

5.10.20.3 (2020/03/13)
	[ヘッダ固定(Bulk)修正]
	左右分割時のBulkの初期値セットに問題があったので修正しておきます。
		common/script/scrollBar2.js

5.10.20.2 (2020/03/05)
	[RealPathのJava8対応]
	Java8でgetRealPathの最後に自動でセパレータが付くようになったため、対応しておく。
		hayabusa.common.SystemParameter#loadInitialParameter( final ServletContext context,final String contextName )

5.10.20.1 (2020/03/03)
	[メール添付ファイルの文字化け対応]
	Java8でのメール送信時に添付ファイル名が一定以上の長さになった場合に文字化けする対応として
	送信時プロパティにmail.mime.encodeparameters,splitlongparametersを設定しておきます。
		fukurou.mail.MailTX#MailTX(...)

5.10.20.0 (2020/02/28)
	[GE30インデックス変更]
	Oracle19c上での問題からGE30_SBのindexのカラム順を変更しておきます。
	SNDTIME,SYSTEM_ID,FGJからSYSTEM_ID,FGJ,SNDTIMEにします。

5.10.19.1 (2020/01/07)
	[IPアドレス対応]
	USER.IPADDRESSでclientIPを利用するフラグを追加しておきます。
	システムリソースでUSE_CLIENTIPをtrueに設定するとIPADDRESSにclientIPの値をセットします。
	標準はFalse(直接アクセスしてきたIPアドレス)です。
		hayabusa.resource.UserInfo#UserInfo( .... , final String clientIP)
		hayabusa.common.SystemData#USE_CLIENTIP

5.10.19.0 (2019/12/27)
	[帳票修正]
	GE51を取得するSelect文にEDNOのOrderByを付けておきます
		QueueManager_DB#SQL_SELECT_GE51
		
	[https接続対応]
	urlの接頭辞が「https://」の場合は、ssl通信を行うように対応します。
	証明書チェックは無効化しているため、自己証明でも利用可能です。
		fukurou.util.URLConnect#getConnection
		fukurou.util.URLConnect#openHttpsConnection
		
	[URLConnectTag]
	・JSON送信時等、Keyを付加せずにPostデータを送信可能にしておきます。(postDataOnly)
	・DB.ERR_CODEにHTTPのステータスコードを入れます
		hayabusa.taglib.URLConnectTag#doStartTag()
		hayabusa.taglib.URLConnectTag#doEndTag()
		hayabusa.taglib.URLConnectTag#connect()
		hayabusa.taglib.URLConnectTag#release2()
		hayabusa.taglib.URLConnectTag#setPostDataOnly( final String flg )
		hayabusa.taglib.URLConnectTag#toString()

5.10.18.1 (2019/12/09)
	[URLチェックの相対パス対応]
	URLCheckに相対パスを無視する設定を追加します。。
	リバースプロキシ等でアドレス変換される場合の対応です。
		hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
		hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )

5.10.18.0 (2019/11/29)
	[USERID_HEADER対応]
	URLCheckおよびAccessStopでの対応を追加しておきます。
	Headタグ側も実装を少し変更して、remoteuserが取得できる場合はそちらを優先させます。
		hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )
		hayabusa.filter.AccessStopFilter#isStop( final ServletRequest request )
		hayabusa.taglib.HeadTag#sessionInit()
		
	[TableWriter追加]
	ダブルクオート等を付加しない、単純なTextタイプを追加します。
		plugin.io.TableWriter_TEXT

5.10.17.2 (2019/11/22)
	[コンテキスト名の取得方法変更]
	tomcat8以降は、ServletContext.getResourceで取得される値が、
	jndiのパス情報から、実ファイルのパス情報に変更されため、
	ServletContext.getContextPathからコンテキスト名を取得するように変更します。
	これにより、コンテキスト名とフォルダ名が異なる場合に対応されます。
		hayabusa.common.SystemParameter#makeSystemParameter
		hayabusa.common.SystemParameter#loadDBResource
		hayabusa.common.SystemParameter#getContextDirNm
		hayabusa.common.SystemParameter#getContextName

5.10.17.1 (2019/11/15)
	[fukurouからのキュー利用]
	fukurouのProcessからキュー(MQ,SQL)を利用出来るようにしておきます。
	バッチ的にキューメッセージを送信/取得して処理するような場合に利用します。
		fukurou.process.Process_QueueReceive
		fukurou.process.Process_QueueSend
		
	[コメント修正]
	5.10.16.3で対応したSERVER_ACCESS_URLのコメントで@ogではなく@misになっていたので修正します
		hayabusa.common.SystemData#SERVER_ACCESS_URL

5.10.17.0 (2019/11/1)
	[admin画面表示追加]
	パラメータ画面の予約語の説明を追加しました。
		jsp/common/gamen/01_ADMIN/printSystemParameter.jsp

5.10.16.3 (2019/10/25)
	[linkタグのBackAddress]
	BackAddressはリクエスト情報を使っていますが、ロードバランサやリバースプロキシ経由の場合に
	アドレス変換が発生するようなパターンの場合に上手く動作しない可能性があります。
	システムリソースSERVER_ACCESS_URLにSchemeからPortまでの情報(ex: https://www.xxx:8080)を登録すると
	そちらを優先してBackAddressのURLに利用するようにしておきます。ポートは必須ではありません。
		hayabusa.taglib.linkTag#getContextURL()
		hayabusa.common.SystemData#SERVER_ACCESS_URL

5.10.16.2 (2019/10/18)
	[X-Forwarded-For対応]
	LBからのアクセスでクライアントIPが直接取れない場合の対応としてヘッダからX-Forwarded-Forを
	取得するようにしておきます。
	appInfoではnvalを利用して、標準でX-Forwarded-Forを利用します。
	{@USER.xxx}での取得は、新たに{@USER.CLIENTIP}を追加します。
		hayabusa.resource.UserInfoFactory#public static UserInfo newInstance( final String userID,final String ipAddress,final String roles, final String xFwdFor )
		hayabusa.resource.UserInfo#UserInfo( .... , final String clientIP)
		hayabusa.resource.UserInfo#getClientIP()
		hayabusa.resource.UserInfo#getAttribute( final String key )
		hayabusa.taglib.GuiQueryTag#execute() 
		hayabusa.taglib.HeadTag#sessionInit()
		hayabusa.resource.UserInfo#getAttribute( final String key )
		
	[scrollBar2.js修正]
	X1,X2を利用した左右分割では上から五行分の高さを取得して最大値をセットしていましたが、
	rowspan時等にもある程度追随出来るように、ヘッダとボディで動作を分けるようにします。
		jsp/common/scrollBar2.js#heightReset

5.10.16.1 (2019/10/11)
	[URLCheckデバッグ追加]
	デバッグモード時の出力を追加しておきます。
		hayabusa.filter.URLCheckFilter
	
	[システムリソースCALENDAR_POPUP_TYPE]
	システムリソースCALENDAR_POPUP_TYPEをSystemDataに追加しておきます。
	これは5.9.30.0 (2018/03/02)で対応したカレンダー表示で、動作上はなくても問題ありませんが、
	コンソールにエラー表示が出るため追加しておきます。
	初期値はNULL(CAL3を利用する)です。
		hayabusa.common.SystemData#CALENDAR_POPUP_TYPE
		
	[リファクタリング]
	Queue関係の手直しをしておきます。
	1)fukurou.util.BizUtilをfukurou.businessに移動
	2)hayabusa.queye.DBAccessQueueで利用していたorg.apache.commons.lang3.StringUtilsをやめて
	　fukurouのStringUtil利用に変更
	3) plugin.daemon.Daemon_QueueSendでのorg.hsqldb.lib.StringUtilをやめてfukurou.StringUtilに変更

5.10.16.0 (2019/10/04)
	[URLConnectTagでのヘッダ指定]
	URLConnectTagからrequestParameterを設定出来るようにしておきます。
	propKeys,propValsで指定してください。
	マイクロサービス等で認証にヘッダ送信の情報を利用する場合があるためです。
		hayabusa.taglib.URLConnectTag#release2()
		hayabusa.taglib.URLConnectTag#connect()
		hayabusa.taglib.URLConnectTag#setPropKeys( final String key )
		hayabusa.taglib.URLConnectTag#setPropVals( final String val )
		hybs-taglib.tld

5.10.15.3 (2019/09/27)
	[URLエンコードの対応]
	エンジンのurlEncodeはパラメータ値の先頭が[の場合には動作しません。（テーブルモデル対応）
	稀にそのようなパターンが存在する可能性もあるので、XHTMLTagにスイッチを仕込んでおき、
	frame,iframe,link,forwardタグのみとりあえず対応させておきます。
		fukurou.util.XHTMLTag#urlEncode( final String[] key,final String[] val,final String join )
		fukurou.util.XHTMLTag#urlEncode( final String[] key,final String[] val,final String join,final boolean fenc )
		hayabusa.taglib.FrameTag#release2() 
		hayabusa.taglib.FrameTag#getUrlEncode()
		hayabusa.taglib.FrameTag#setForceEnc( final String flg ) 
		hayabusa.taglib.LinkTag#release2()
		hayabusa.taglib.LinkTag#makeTag( final boolean useViewLink )
		hayabusa.taglib.LinkTag#setForceEnc( final String flg )
		hayabusa.taglib.ForwardTag#release2()
		hayabusa.taglib.ForwardTag#getUrlEncode()
		hayabusa.taglib.ForwardTag#setForceEnc( final String flg )
		hybs-taglib.tld

5.10.15.2 (2019/09/20)
	[MQ,SQSの受信処理追加、送信処理リファクタリング]
	キューの受信処理（デーモン形式）を追加しておきます。
	受信処理のデーモンは受信対象を新規テーブル(GE67,68が追加)上で指定します。
	受信後は同様に指定されたBIZロジックをCallします。
	なお、キューを利用しない場合はテーブル作成の必要はありません。
	送信処理に関しては、DB登録処理をhayabusa.queueパッケージで行うようにしました。
		fukurou.queue.QueueReceive
		fukurou.queue.QueueReceive_MQ
		fukurou.queue.QueueReceive_SQS
		fukurou.queue.QueueReceiveFactory
		fukurou.util.BizUtil
		hayabusa.queue.DBAccessQueue
		plugin.daemon.Daemon_QueueReceive
		plugin.daemon.Daemon_QueueSend
		
	[メニューグループTomcat8対応]
	メニューのグループの切り替え機能で、グループ名にマルチバイト文字を利用している場合に
	TomcatのバージョンによってエラーになるためURLEncodeで互換対応しておきます。
	（通常はグループコードを利用するためマルチバイト文字ではありません）
		hayabusa.taglib.TopMenuTag#makeGroupMenu()

5.10.15.1 (2019/09/06)
	[高さ調整スクリプト修正]
	３ペインで中央がdummy.htmlだった場合にもなんとなく動作するようにしておきます。
		jsp/common/default.js#adjustFrameHeight()
		
	[起動時XMLのロード]
	XMLファイル以外しか存在しない場合等、null時はそのままリターンするようにします。
	(V7では若干内部ロジックに変更があるが、V5はそのままにしておく）
		hayabusa.common.InitFileLoader#loadXMLDir( final File fileObj , final boolean useTimeStamp , final List<File> fileList )

5.10.15.0 (2019/08/30)
	[MQ,SQS送信修正]
	一部fukurouにhayabusaパッケージが利用されていたので修正しておきます。
	また、デーモンでの送信用にクラスを追加しておきます。
	GE65,66が必要ですが、プラグインを利用しない場合は作成不要です。
		fukurou.queue.QueueSned#connect(final String jmsServer, final String sqsAccessKey, final String sqsSecretKey)
		fukurou.queue.QueueSned_MQ#throwErrMsg(final String errMsg)
		fukurou.queue.QueueSned_MQ#connect(String jmsServer, String sqsAccessKey, String sqsSecretKey)
		fukurou.queue.QueueSnend_SQS#throwErrMsg(final String errMsg)
		fukurou.queue.QueueSnend_SQS#connect(final String jmsServer)
		hayabusa.tagllib.QueueSendTag#doEndTag()
		plugin.daemon.Daemon_QueueSend
		
	[JFreeChart修正]
	JFreeChartの表示不具合のため、V6での修正を適用します。
	0件の場合の処理中断及びラベルのずれを修正します。
		hayabusa.io.HybsCategoryDataset#execute( final Connection con, final String query )
		hayabusa.io.HybsCategoryDataset#execute( final DBTableModel table ) 
		hayabusa.io.ChartFactory#newDataset( final DBTableModel table , final String type )
		hayabusa.io.ChartFactory#getSeriesLabels( final DBTableModel table )

5.10.14.2 (2019/08/23)
	[userIDの取得方法追加]
	システムリソースでUSERID_HEADER_NAMEを指定する事で、requestヘッダからuserIDを取得可能にします。
	一部のSSO製品でこの方式を取っているものがあるためです。
	標準は空文字(指定なし=今まで通り）です。
		hayabusa.common.SystemData#USERID_HEADER_NAME
		hayabusa.tablib.HeadTag#sessionInit()
		
	[fileTagリネーム処理修正]
	クラウド対応時の修正の影響で、ネットワークドライブに対する修正が正しく動作していませんでしたので修正します。
		hayabusa.taglib.FileTag#actionExec( final String action )

5.10.14.1 (2019/08/09)
	[警告の除去]
	V7コンパイル時の警告対応に合わせて修正しておきます。
		fukurou.queue.QueueSendFactory#newQueueSend(final String queueType)

5.10.14.0 (2019/08/01)
	[MQ,SQSの送信対応]
	クラウドでマネージドサービスが出ている影響もあり、他システムとの連携においてキューが
	使われるパターンが増えているため、エンジンとしてもMQとSQSの送信が出来るようにしておきます。
	キューの送信処理そのものはfukurouで実装しておき、タグから送信できるようにします。
	tomcatからMQへの接続設定はJDNIで指定します。
		fukurou.queue.QueueInfo
		fukurou.queue.QueueSend
		fukurou.queue.QueueSned_MQ
		fukurou.queue.QueueSnend_SQS
		fukurou.queue.QueueSeneFactory
		hayabusa.taglib.QueueSenedTag
		hybs-taglib.tld
		
	[initタグのリクエスト変数]
	initタグで受けたリクエスト変数の文字コードをUTF-8としてsetCharacterEncodingします。
	(マルチバイト文字の変数を直接受けられるようにする)
		hayabusa.taglilb.JspInitTag#doEndTag()

5.10.13.1 (2019/07/12)
	[伝送修正]
	fukurou伝送の仕組みのうち、SAMファイル出力タイプで改行コードを指定可能(CRLF,LF)にします。
	また、第二引数のバイト数に負数を指定すると標準(500Byte)を利用するようにしておきます。
		fukurou.fransfer.TransferExec_SAMCB#execute( final String[] vals, final TransferConfig config, final Transaction tran )

5.10.13.0 (2019/07/01)
	[JSPチェック追加]
	trタグ内にtdに囲われていない要素があった場合に警告を出しておきます。
		jsp/DOC18/xsltV5/GF70_PROG.xsl

5.10.12.4 (2019/06/21)
	[リクエストキーのURIエンコード]
	Frameタグ等で利用されているロジックで、valsだけでなくkeysもURIエンコードをかけます。
	エンジンのボタンで日本語キーが送信される場合があるためです。
		fukurou.util.XHTMLTag#urlEncode( final String[] key,final String[] val,final String join )

	[URLチェック日本語対応]
	UTF-8のリクエストパラメータがフィルタをかけた際に正常に送信されたなかったため、
	encodingを指定出来るようにします。標準はutf-8としておきます。
	このencodingはrequestEncodingというリクエスト変数として画面等に送信されます。
	FileDownloadサーブレットはこの変数を利用してエンコードをかけるようにします。
		hayabusa.filter.URLCheckFilter#doFilter( final ServletRequest request, final ServletResponse response, final FilterChain chain )
		hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
		hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

5.10.12.3 (2019/06/18)
	[システムリソース追加]
	システムリソース無しとしてエラーが出るものを空で登録しておきます。
		hayabusa.common.SystemData#CLOUD_STORAGE_S3_ACCESS_KEY
		hayabusa.common.SystemData#VIEW_USE_HILIGHT_RADIO_CLICK
		
	[画面IDエラー時の文字変更]
	GUIInfoが存在しない場合に返す文字列を、URLで使える文字だけで構成するように変更します。
	（スペースと括弧を使わないようにします）
		hayabusa.taglib.CommonTagSupport#getGUIInfoAttri( final String attkey )
		
	[LinkTagの修正]
	6.7.3.0対応の移植をしておきます。
	{I}の出力条件を追加します。
		hayabusa.taglib.LinkTag#doEndTag()
		hayabusa.taglib.LinkTag#makeTag()
		hayabusa.taglib.LinkTag#makeTag( final boolean useViewLink )

5.10.12.2 (2019/06/17)
	[クラウドストレージの相対パス対応]
	S3等に保存する際に../のような相対パス指定をすると、想定の場所に保存されていなかったため対応しておきます。
		fukurou.model.CloudFileOperation#editPath(final String path)

5.10.12.1 (2019/06/14)
	[画面のﾌｧｲﾙ名取得方法]
	7.0.4.1対応の移植です。
	現在、各画面の実ファイル名として、{@SESSION.JSPID} を使用していますが、これは、共有変数のため、
	フレームなどによる同時実行時に動作が保証されません。
	そこで、リクエスト変数を用いて、個々に設定できるようにします。
	{@REQ.JSPID} を新たに定義します。
		hayabusa.taglib.CommonTagSupport#getRequestMethod(String attkey)
		jsp/common/error_2.jsp

5.10.12.0 (2019/06/03)
	[forwardタグのファイル扱い]
	tomcat8.5.34でcontent typeの扱いが変わったため、forwardタグでfilenameが指定されている場合は
	content-typeを指定するようにしておきます。
	また、v6同様に外部からdispositionを指定可能にしておきます。(初期値は今まで通り)
		hayabusa.taglib.ForwardTag#doEndTag()
		hayabusa.taglib.ForwardTag#setDisposition( final String dispos )
		hayabusa.taglib.ForwardTag#release2()
		
	[fileDownload.jsp]
	クラウド以外のダウンロードをredirectとしていましたが、
	上記forwardタグの対応及びファイル名の問題によりforwardに戻しておきます。
		jsp/common/fileDownload.jsp
		jsp/custom/popup_info.jsp
		jsp/custom/popup_info.jsp_min
		jsp/custom/query_info.jsp
		jsp/custom/query_info.jsp_linemenu
		jsp/custom/query_info.jsp_min
		jsp/custom/query_tab_info.jsp
		jsp/custom/result_FS_info.jsp
		jsp/custom/result_info.jsp
		jsp/custom/result_mdfy_info.jsp
		jsp/custom/result_tab_info.jsp
		
	[カタカナ変換スクリプト]
	半角カナを全角カナに変換するスクリプトをdefault.jsに組み込んでおきます。
		jsp/common/default.js#toZenkakuKana(str)
		
	[絞込機能向上]
	マトリクスメニューでも絞込機能が使えるようにします。
	左メニューとは異なり、背景色の変更としています。
	また、左メニュー絞込と共に全角カナでも半角カナの検索、スペース区切りでAND検索の機能を
	追加しています。（ブラウザの検索機能との差別化）
		jsp/menu/searchWord.js
		jsp/menu/searchWord_matrix.js
		jsp/menu/matrixMenu.css
		jsp/menu/matrixMenu.jsp

5.10.11.3 (2019/05/24)
	[メニュー絞込機能追加]
	左メニューで、入力文字列を利用して表示を絞り込む機能を追加します。
	Ver.5では標準実装としておきます。
	Scriptを読み込み、searchmenuのIDを持つ入力欄を追加する事で動作します。
		jsp/menu/searchWord.js
		jsp/menu/multiMenu.css
		jsp/menu/simpleMenu.jsp
		jsp/menu/multiMenu.jsp
		jsp/custom/menu_init.jsp

5.10.11.2 (2019/05/17)
	[popupタグの機能追加]
	1)popupタグで開く画面に対してGAMENIDを付加出来るようにします。
	 現在は画面IDからURLを取ってきますが、GAMENID属性は付けていませんでした。
	 useGamenId属性を利用します。初期値は互換性を考慮してfalse(付けない)です。
		hayabusa.taglib.PopupTag#makePopup( final boolean useKey )
		hayabusa.taglib.PopupTag#useGamenId()
		hayabusa.taglib.PopupTag#release2()
		hybs-taglib.tld
	2)popupタグでテキストを指定可能にしておきます。
	 span属性で指定してください。spanタグにclassとしてhybsPopupを付加して出力します。
	 互換性の問題もあるので、lbl属性ではなく新規属性の値を利用します。
	 文字色等はaタグ同様にdefault.cssで初期値として設定しておきます。
	 	hayabusa.taglbi.PopupTag#setSpan( final String text )
	 	setUseGamenId( final String flg )
	 	jsp/common/default.css
	 	jsp/common/option/html5modalDialog.js#ogPchangeData(ret_val, p_this,p_out_Array, p_append)
	 	jsp/common/default.js#ogPopup
	 	hybs-taglib.tld
	 3)Formの取得方法変更
	  5.9.6.0で互換性対応のために変更しましたが、画像や文字でのOnclick時の取得に問題があるため、
	  jQueryを利用して先祖要素から取得する方式に変更します。
	  	hayabusa.taglbi.PopupTag#VALUE_PRE
	  	
	  [icon追加]
	  imageフォルダに入力欄内表示用の虫眼鏡アイコンを一つ追加します。
	  	jsp/image/search_16.png

5.10.11.1 (2019/05/10)
	[メールモジュールでのURLチェック]
	メールモジュールの定型文に記述するURLに対してURLチェックの指定を可能にしておきます。
	以下のような予約語LINK.URLCを追加します。
	{@LINK.URLC [url?key=] [@PARAMx] [CryptkeyStr]}
	第一パラメータはURL、第二パラメータは付加する値、第三パラメータは暗号化キーです。
	url?key=の箇所のURLに第二パラメータの@PARAMxの値が変換されて付加された上でURLチェックの値が付きます。
	第一、第三パラメータも@xxxの記法は可能です。暗号化キーは指定しない場合はGE標準のものが利用されます。
	URLチェックはユーザ指定無しで30日間有効なものとしています。
	機密性が高く、URLチェックが必要な画面をメールから開く必要がある場合に利用します。
	そうでない場合は、URLチェックの設定でチェックそのものを行わないようにする方法があります。
		hayabusa.mail.MailPattern#getReservedValue( final String key )
		hayabusa.mail.MailPattern#marge( final String[][] src )
		
	[サードパーティーライセンス]
	利用モジュールのライセンス表記をTHIRDPARTYLICENSEREADME.htmlから差し替えのしやすい
	フォルダ管理方式に変更し、uap,appsと同階層にthirdparty_licensesとして配置します。

5.10.11.0 (2019/05/03)
	[ヘッダ固定印刷時対応]
	IE7モードでは印刷時にスクロールを消して全件印刷されるようになっていましたが、
	それ以外ではバー表示が残るなどしていました。
	CSS側に対応を入れておきます。
		jsp/common/scrollBar.css
		jsp/common/scrollBar2.css

	[ライブラリ整理]
	ライセンス・ライブラリ整理の一環でjava/jre/lib/extから以下のライブラリを削除します。
	（JUNIT及びMOCKITOはテストライブラリのため実行には必要ありません）
		jxl-266.jar
		junit-4.10.jar
		mockito-core-1.10.19.jar
		
	NVDのチェックでHiの出ているモジュールのバージョンを上げます。
	JavaでJSONを操作するためのモジュールであるjacksonを2.8系の最新にします(2.8.8から2.8.11)
	geronimo-stax-apiも1.0.1に変更します。
	クラウドモジュールで利用しているslf4jのバージョンを1.7系の最新にします(1.7.22から1.7.26)
		java/jre/lib/ext/jackson-core-2.8.11.jar
		java/jre/lib/ext/jackson-annotations-2.8.11.jar
		java/jre/lib/ext/jackson-databind-2.8.11.3jar
		java/jre/lib/ext/geronimo-stax-api_1.0_spec-1.0.1.jar
		
	これ以外に、内包しているSQLServer用のJDBCもJDK7用にバージョンアップしておきます。
	(利用JDKやDBのバージョンに応じて置換えてください)
		sqljdbc_4.2.6420.100_jpn.jar ⇒ mssql-jdbc-6.4.0.jre7.jar
		
	クラウド用のプラグインを利用する際に必要となるモジュールを新しくしておきます。
	（必要がある場合のみの導入となります）
		ibm-cos-java-sdk-2.4.4.jar
		ibm-cos-java-sdk-core-2.4.4.jar
		ibm-cos-java-sdk-s3-2.4.4.jar
		slf4j-api-1.7.26.jar
		slf4j-simple-1.7.26.jar
		
	これら整理済のものをopengionV5\apps\jdk1.8\jre\lib\extとしてOSDNにアップロードしておきます。
	
	[error_Auth.jsp変更]
	401エラーの場合に利用されるJSPですが、401はエラーとして扱わないようにしておきます。（コメントアウト）
	生死監視等でURLを叩いた際に401を正常とみなす場合がありますが、毎回のアクセスがエラーログに出されるためです。
	アクセスログには残ります。
		jsp/common/error_Auth.jsp
		
	[urlCheck属性初期値]
	urlCheckを利用した際の開発のしやすさを若干向上させます。
	・リンクタグのuseURLCheck属性の初期値をシステムリソースLINK_URL_CHECKで指定可能にします。
	　標準は今まで通り(false)です。
	　web.xmlのフィルタ設定を広範囲でかける場合に利用します。
	　この設定を利用する際にはFILEUD_URL_CHECK設定も確認してください。
	・forwardタグにurlCheck属性を追加し、urlCheck対象へのリダイレクトが出来るようにします。
	　この属性の初期値も上のシステムリソース(LINK_URL_CHECK)で設定されます。
		hayabusa.common.SystemData#LINK_URL_CHECK
		hayabusa.taglib.Linktag#release2()
		hayabusa.taglib.Forward#doEndTag()
		hayabusa.taglib.Forward#release2()
		hayabusa.taglib.Forward#setUseURLCheck( final String flag )
		hayabusa.taglib.Forward#addURLCheck( final String url )
		hybs-taglib.tld
		
	[urlCheckFilter修正]
	1) web.xmlでURLCheckをかける対象URLを指定できますが、アドレスの指定方法が限定的です。
	　そこで、urlCheckFilterの設定に正規表現で対象外にするURLを正規表現で指定可能にする事で
	　運用の柔軟性を上げられるようにします。
	　web.xmlのフィルタ定義で、ommitURLを指定します。
	　例えばcommon,custom,menuを対象外、リクエスト変数が付かないものも対象外とする場合は次のように記述します。
	　<param-value>^(?:[^\?]*)|(?:[^\?]*/(?:common|custom|menu)/.*)</param-value>
	2 )urlCheckFilterでヘッダのリファラーを見て、かけない設定が出来るようにします。
	　web.xmlのフィルタ定義でommitRefererを指定します。
	　リファラーが指定文字を含んでいる場合に無視します。（リクエスト変数は含みません）
	　リファラーを送信しないブラウザもあるので利用時は注意が必要です。
		hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
		hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )
		
	[リファラーのMetaタグ]
	METAタグでリファラーを送信する設定を入れておきます。
	最近ではポリシー指定も可能ですが、対応ブラウザが限られているためMETAタグでoriginを指定しておきます。
		hayabusa.taglib.HeadTag#doEndTag()

5.10.10.2 (2019/04/12)
	[URLConnect機能追加]
	URLConnectでContent-Typeを指定出来るようにしておきます。
	APIによってはJSONでのリクエストにapplication/jsonのようなタイプ指定を
	求めている場合があるためです。
		fukurou.util.URLConnect#getConnection()
		fukurou.util.URLConnect#setConentType(final String ctype)
		hayabusa.taglib.URLConnectTag#connect()
		hayabusa.taglib.URLConnectTag#setContentType( final String ctype )
		hayabusa.taglib.URLConnectTag#release2()
		hybs-taglib.tld
		
	[ハッシュアルゴリズム追加]
	ハッシュはMD5,SHA-1に対応していましたが、より強度の高いSHA-512にも対応しておきます。
		fukurou.security.HybsCryptography#getSHA512( final String input )
		plugin.column.DBType_SHA512 新規作成
	
5.10.10.1 (2019/04/05)
	[PostのBodyデータ取得]
	一般的にRestAPIではPostデータはContent-type=application/jsonでRAWとしてJSONを送信する事があるため、
	{@REQ.PostData}で変換前のPostされたBODYデータを取得出来るようにしておきます。
	また、{@REQ.ContentType}でヘッダ情報からContent-Typeを取得します。
		hayabusa.taglib.CommonTagSupport#getRequestMethod(final String attkey)
		jsp/common/gamen/01_ADMIN/parameter.jsp
		jsp/common/gamen/01_ADMIN/printRequesMethodt.jsp

5.10.10.0 (2019/03/29)
	[URLConnectのメソッド追加]
	URLConnectタグ及びURLConnectデーモンからメソッドとしてPUTとDELETEを指定出来るようにしておきます。
	POSTメソッドと動作は同じで、送信ヘッダのメソッドの設定でX-HTTP-Method-Overrideを追記します。
	また、{@REQ.MethodOverride}でヘッダのX-HTTP-Method-Overrideを取得するようにしておきます。
		fukurou.util.URLConnect#getConnection()
		fukurou.util.URLConnect#setMethodOverride( final String mtd )
		hayabusa.taglibURLConnectTag#connect()
		plugin.daemon.Daemon_URLConnect#check( final String in, final String[] check )
		plugin.daemon.Daemon_URLConnect#initDaemon()

	[クラウド対応修正]
	エラーが発生する場合があるため、URLConnectTagでクラウドへのアップロードに条件を付けます。
	（ファイル名が指定されている場合のみとする）
		hayabusa.taglibURLConnectTag#doEndTag()
		
	[帳票プラグイン(RFW3)修正]
	先に追加したプラグインではリネームのみで特に問題なさそうなので、ロック処理は削除しておきます。
		plugin.report.CSVPrintPointService_RFW3
		
	[スクリプト修正]
	jQuery.data("events")はjQuery1.12では使えないため、_dataで代替しておきます。
		jsp/common/eventScript.js#eventColumn
		jsp/common/eventScript.js 即時実行関数追加

5.10.9.2 (2019/03/15)
	[帳票修正]
	帳票でGEと帳票ツールのOSが異なる場合に問題が発生する場合があるため、パスの取り方を修正します。
		hayabusa.common.HybsSystem#url2absPath( final String url )
		hayabusa.report2.QueueManager_DB#create()
		
	linuxではFileOutputStream作成時に強制ロックされないため、外部ツールとの連携が前提の
	プラグイン処理についてのみ暫定的に明示的なロックをかけつつ、拡張子変換を行うようなものを追加します。
		plugin.report.CSVPrintPointService_RFW3

5.10.9.1 (2019/03/08)
	[コンパイラの警告対応等]
	コンパイラの警告を修正します。(アノテーションなど）
	また、一部引数のfinal化等も行います。
		fukurou.model.FileOperationInfo
		fukurou.model.CloudFileOperation
		fukurou.model.FileOperation
		fukutou.model.FileOperationFactory
		fukurou.util.FileUtil
		fukurou.security.HybsCryptography
		hayabusa.io.HybsFileOperationFactory
		plugin.cloud.FileOperation_AWS
		plugin.cloud.FileOperation_AZURE
		plugin.cloud.FileOperation_IBM
		plugin.cloud.FileOperation_ORACLE

5.10.9.0 (2019/03/01)
	[クラウドストレージ対応]
	5.10.8.0の追加対応です。
	若干実装を変更して、Fileクラスを継承した形を取って今までのクラスでもそのまま利用可能としました。
	タグ等のうち、ユーザがアップロード/ダウンロードをするような箇所に対して指定出来るようにしています。
	タグには属性として以下の２つ(from,toがある場合は各々）が追加されています。
	storageType：利用プラグイン、null時はシステムリソースの値を利用。標準はローカルドライブ
	bucketName：バケット名、クラウド上のオブジェクトストレージ利用の際に有効
	
	以前の暫定対応の箇所は新しい方式に置換えています。
	更新する場合、システムリソースの名称変更があるため注意願います。
	システムリソースを設定すると、以下タグ等での標準動作はクラウド利用となります。（バケット設定必須）
	CLOUD_TARGETを空白（未設定）かDEFAULTとするとローカルストレージを利用します。
	・CLOUD_STORAGE -> CLOUD_TARGET
	・CLOUD_STORAGE_CONTAINER ->CLOUD_BUCKET
	
	・削除したクラス
		fukurou.model.DefaultFileOperation	
		fukurou.model.FileOperationFileFilter	
	・追加/変更クラス
		fukurou.model.CloudFileOperation	Abstractから名称変更
		fukurou.model.FileOperation
		fukurou.model.FileOperationFactory
		fukurou.model.FileOperationInfo
		fukurou.util.HybsFileFilter (元に戻しておく)
		fukurou.util.FileUtil
		fukurou.security.HybsCryptography
		hayabusa.common.HybsSystem
		hayabusa.common.SystemData
		hayabusa.io.HybsFileOperationFactory
		plugin.cloud.FileOperation_AWS
		plugin.cloud.FileOperation_AZURE
		plugin.cloud.FileOperation_IBM
		plugin.cloud.FileOperation_ORACLE
		hayabusa.taglib.DirectTableInsertTag
		hayabusa.taglib.DirectWriteTableTag
		hayabusa.taglib.DirectXMLSaveTag
		hayabusa.taglib.DocConvertTag
		hayabusa.taglib.FileOptionTag
		hayabusa.taglib.FileQueryTag
		hayabusa.taglib.FileTag
		hayabusa.taglib.FileUpdateTag
		hayabusa.taglib.FileUploadTag
		hayabusa.taglib.ReadTableTag
		hayabusa.taglib.ReportTableTag
		hayabusa.taglib.ReportTableTag2
		hayabusa.taglib.URLConnectTag
		hayabusa.taglib.WriteTableTag
		hayabusa.sevlet.FileDownload
		hayabusa.sevlet.MultipartRequest
		hayabusa.sevlet.UploadedFile
		hayabusa.sevlet.multipart.FilePart
		hayabusa.report2.ExecQueue
		hayabusa.report2.ExecThread
		hayabusa.report2.QueueManager_DB
		hayabusa.report2.QueueManager_DIRECT
		jsp/common/fileDownload.jsp
		jsp/common/gamen/14_EDIT/tab.jsp	fileDownloadListDef.txtの読み込み元はローカル固定とする
		hybs-taglib.tld

5.10.8.2 (2019/02/22)
	[JSPチェック追加]
	tomcat8でjsp:textの子要素としてタグが利用できないため、チェック用に追加しておきます。
	なお、AmazonCorretto8+Tomcat8.5でのエンジンV5の実行は確認済です。
		gf/jsp/DOC18/xsltV5/GF70_PROG.xsl

5.10.8.1 (2019/02/15)
	[Gantt修正]
	ガントでカレンダーポップアップが正しく動作しない不具合を修正
		jsp/common/option/adjustGanttTable.js

5.10.8.0 (2019/02/01)
	[クラウドストレージ対応]
	ファイルの取り扱いの方法を整理して、クラウドストレージとローカルストレージを同じように扱えるようにします。
	このバージョンではストレージを共通で扱うクラスの追加のみを一旦行います。
	利用するタグ等への適用は今後のバージョンで行う予定です。（ファイルアップロードやダウンロード等）
	fukurou.model内にインターフェイスやファクトリクラス、標準クラス（ローカル用）を新たに追加します。
	クラウドストレージ用のクラスはplugin.cloud内に配置し、AWS,Azure,IBMCloud,OracleCloudのクラスを用意しておきます。
	クラウド用プラグインの利用には別途外部Jarが追加で必要なため、GEのChangesも参照ください。
		fukurou.model.FileOperation						ファイル操作用インタフェイス
		fukurou.model.AbstractFileOperation				実装Abstクラス
		fukurou.model.DefaultFileOperation				標準ファイル操作用
		fukurou.model.FileOperationFactory				ファクトリクラス
		fukurou.model.FileOperationFileFilter			フィルターインタフェイス
		fukurou.model.FileOperationInfo					ファイルList用Info
		fukurou.util.HybsFileFilter						各クラスへのインターフェイスの追加
		hayabusa.io.HybsFileOperationFactory			Hayabusaからの利用のためのクラス
		plugin.cloud.FileOperation_AWS
		plugin.cloud.FileOperation_AZURE
		plugin.cloud.FileOperation_IBM
		plugin.cloud.FileOperation_ORACLE
		
	[GF6310 二次元バーコード]
	QRコードの生成ファイル（rqcode.png）が、ブラウザにキャッシュされてしまう件の対応
	ファイルに毎回変更されるパラメータをつけます。
	ついでに、{@SYS.CONTEXT_URL} の後ろの '/' の削除も行います。(7.0.1.6対応分)
		gf/jsp/GF6310/result.jsp
			<img src="{@SYS.CONTEXT_URL}filetemp/{@USER.ID}/rqcode.png?var={@SYS.DATE yyyyMMddHHmmssSSS}" alt="{@TEXT}" />

5.10.7.1 (2019/01/18)
	[ViewForm_HTMLCalendar修正]
	カレンダーViewは1件の場合にチェックボックスを出さない仕様になっていましたが、
	2件以上との場合とのUI共通化のためチェックボックスを出すようにしておきます。
		plugin.view.ViewForm_HTMLCalendar#create( final int startNo, final int pageSize )
		
	[jQuery1.12対応]
	一部のスクリプトがJQuery1.4のみに対応で、1.12に対応していなかったため修正します。
	（DOM構築までの間にbodyのwidthが返す値が1.4と1.12で異なる）
		jsp/common/scrollBar2.js#$.hgrid.load 
		jsp/common/queryScript.js#adjustFrameHeightSleep(),onload
		jsp/common/option/adjustGanttTable.js#adjustTable()
		jsp/common/option/adjustGanttTable.js#adjustGantt()
		jsp/common/option/adjustGanttTable.js#adjustTask()

5.10.7.0 (2019/01/11)
	[メールデーモンエラー表示]
	メールエラー時に詳細が出力されるように変更しておきます。
		plugin.daemon.MailDaemon#startDaemon()
		plugin.daemon.MailDaemon_SendGridAPI#startDaemon()
		
	[メールモジュール修正]
	GE30のSelect文で、Oracleに非対応の書き方をしている箇所があったため修正します。
		hayabusa.mail.MailManager_DB#selGE30

5.10.6.2 (2018/12/14)
	[HTML5ポップアップ閉じるボタン修正]
	ポップアップ右上の閉じるボタンをドラッグすると、ウインドウの位置が意図せずに変わってしまいますが、
	動かないように修正します。
		jsp/common/option/html5modalDialog.js#showModalDialog(tgturl, args, options, p_this,p_out_Array,p_append)

5.10.6.1 (2018/12/10)
	[メッセージリソース整理]
	Ver.6,7に合わせるためMSG0087をMSG0092に変更し、残りのメッセージも追加しておきます。
	
	[システムリソースURL_CHECK_CRYPT追加]
	過去のバージョン(5.8.8.0)で追加した機能で利用するシステムリソースを空文字で追加しておきます。
		hayabusa.common.SystemData#URL_CHECK_CRYPT

5.10.6.0 (2018/12/07)
	[HTML5ポップアップ修正]
	5.10.3.0の修正の影響で、カレンダーポップアップが本来の動作をするようになりましたが、
	ポップアップの位置を左上固定とした方が使いやすいという意見があったため修正します。
	(以前と異なり、ブラウザ内で表示されるため）
		jsp/common/option/html5modalDialog.js#ogPopup
		
	[08_DBUPDATE修正]
	検索時にユニークキーを設定していない状態で物理削除を行うとテーブル全件削除となるため、
	注意メッセージ(MSG0087)を表示するようにしておきます。
		jsp/common/gamen/08_DBUPDATE/update.jsp
		
	[ガントチャート修正]
	月を跨ぐ週の月表示が正しく表示されないパターンがあったので修正します。
		hayabusa.taglib.GanttHeaderTag#makeZoom2( final int add )

5.10.5.1 (2018/11/09)
	[Calc帳票修正]
	0始まり整数を文字列として判定していますが、10桁以上の場合に数値となっていました。
	INTだけでなくLONGも同様に扱います。
		hayabusa.report2.OdsContentParser#getNativeType( final String key, final String val )
		
	[帳票雛形定義修正]
	追加時、「ﾛｰｶﾙﾘｿｰｽ」｢ﾀﾞｲﾚｸﾄ｣が反映されないバグを修正
		ge/jsp/REP05/copy.jsp

5.10.5.0 (2018/11/02)
	リリース用バージョン番号

5.10.4.2 (2018/10/19)
	[RICHLABELのショートラベル指定]
	RICHLABELに対して1以上の値を属性として指定した場合、ショートラベルとして表示されるようにしておきます。
	これは、通常のショートラベルとして表示した場合にタグが邪魔になるためですが、
	需要としては少ないため、専用のレンデラーを作成せずに属性値指定の対応としておきます。
	RICHLABELを利用しているcommonもSLABELからこちらに変更しておきます。
		plugin.column.Renderer_RICHLABEL
		jsp/common/gamen/21_WHTSNEW/result.jsp
		jsp/common/gamen/23_FAQRGST/result1.jsp

5.10.4.1 (2018/10/12)
	[レンデラーにタグ削除の機能追加]
	V6に存在するNOTAGレンデラーを追加します。
	利用しているStringUtilのtagCutも追加しておきます。
		fukurou.util.StringUtil#tagCut( final String data )
		plugin.column.Renderer_NOTAG

5.10.4.0 (2018/10/05)
	[eventColumn改善]
	eventColumnの方法を若干変更し、セキュリティ上の対応を行います。
		hayabusa.taglib.ValueTag#release2()
		hayabusa.taglib.ValueTag#actionExec( final String action,final String value )
		hayabusa.taglib.ValueTag#setCryptKey( final String cKey )
		hayabusa.taglib.ValueTag#toString()
		hayabusa.db.DBEventColumn#DBEventColumn( final String name, final String evCol, final String eventUrl,
			final String renderer, final String editor, final String rendParam, final String editParam ) 
		hayabusa.db.DBEventColumn#DBEventColumn( final String name, final String evCol, final String eventUrl,
			final String renderer, final String editor, final String rendParam, final String editParam,
			final String rendParamKeys, final String editParamKeys, final String flgEncrypt )
		hayabusa.db.DBEventColumn#getRendParamKeys()
		hayabusa.db.DBEventColumn#getEditParamKeys()
		hayabusa.db.DBEventColumn#getFlgEncrypt()
		jsp/common/eventScript.js#eventColumn( jEvCol, jTag, cid, cname, suffix, writable )
		jsp/common/eventColumn.jsp
		jsp/common/eventColumnMaker.jsp
		hybs-taglib.tld
		hayabusa.common.SystemData#EVENT_SQL_ENCRYPT

5.10.3.2 (2018/09/28)
	[JavaScriptグラフ修正]
	タイムスケールでUNIX時間を数値として与える事が出来るようにします。
	これにより、時間に応じた位置にグラフがプロットされます。
		hayabusa.taglib.headTag#doEndTag()
		hayabusa.taglib.JsChartTag#setXscaleTimeType( final String xtt)
		hayabusa.taglib.JsChartTag#jsChartOutput()
		hayabusa.taglib.JsChartTag#release2()
		hybs-taglib.tld
		gf/jsp/GF7222
	
5.10.3.1 (2018/09/21)
	[jquery-ui用画像]
	画像をcommon/jquery/imagesに配置しておかないと404エラーが出るため、配置はしておきます。 
	同時に、jquery直下に置いていた画像ui-icons_777777_256x240.pngはimagesの内部に配置し、
	利用していたhtml5modalDialog.cssを変更します。
		jsp/common/jquery/images/*.png
		jsp/common/option/html5modalDialog.css
		
	[バルクセット修正]
	バルクセットで余計な処理があったため、Ctrlキーとの同時押しやダブルクリックでの動作を修正します。
	また、Ctrl-Cを押した際の連結文字のバルク入力欄へのセットはユーザの混乱を招く可能性があるのでやめておきます。
	（クリップボードへの連結文字のセットはする）
		jsp/common/resultScript.js
		hayabusa.taglib.ViewFormTag バルクセットのコメント追加

5.10.3.0 (2018/09/01)
	[統計処理サンプル修正]
	GFX027,028,029でエラーが出ていたのでbizロジックを修正します。
	
	[HTML5ポップアップ修正]
	ポップアップの表示位置の指定方法をscreenXからclientXに修正します。
		jsp/common/html5modalDialog.js#ogPopup( p_pgid,p_height,p_width,p_in_Array,p_this,p_out_Array,command,p_append,event )

5.10.2.2 (2018/08/24)
	[一部エラーを、標準のErrorMessageに追加するように変更]
	AjaxSubmit時にエラーと判定されないため、一部のエラー出力をjspPrintから標準のErrorMessageに変更(6.9.9.0)
		hayabusa.taglib.QueryTag#doEndTag()
		hayabusa.taglib.PlsqlUpdateTag#doEndTag()
		hayabusa.taglib.TableUpdateTag#doEndTag()
		hayabusa.taglib.FileUpdateTag#doEndTag()

5.10.2.1 (2018/08/18)
	[andタグのプレースホルダ対応]
	原則シングルクォーテーションを利用させないことでSQLインジェクション対策は行っていますが、
	一般的なプレースホルダ形式でのWhere句のサポートを拡張しておきます。
	今までもJDBCPreparedタイプでプレースホルダは利用出来ていましたが、ANDタグのnull時に無視するという
	挙動が出来ていなかったため、andタグでプレースホルダの利用を出来るようにします。
	placeholder属性に{@xxx}形式で記述したものがvalue内の?に対応します。
	※postgres8.3以降では、数値型の列に対して、実行した場合は、型相違のエラーが発生します。
	 postgres8.3以降でPreparedStatementを利用する場合は、postgres側に暗黙の型変換(CAST)の実装を検討して下さい。
		hayabusa.taglib.SqlAndTag#doEndTag()
		hayabusa.taglib.SqlAndTag#release2()
		hayabusa.taglib.SqlAndTag#setPlaceHolder( final String val)
		hayabusa.taglib.QueryTag#release2()
		hayabusa.taglib.QueryTag#execute( final Query query )
		hayabusa.taglib.QueryTag#addListPlaceValue(final String trg)
		plugin.query.Query_JDBCPrepared#execute()
		hybs-taglib.tld

5.10.2.0 (2018/08/03)
	[addBrowserClass.js追加]
	6.0.2.5 (2014/10/31)で追加しているjsをV5にも入れておきます。
	現時点では、HeadTag で、gantt 指定を行った場合のみ、addBrowserClass.js を
	インクルードします。adjustGanttTable.js の中から、このメソッドを呼び出します。
		jsp/common/option/addBrowserClass.js
		jsp/common/option/adjustGanttTable.css
		hayabusa.taglib.HeadTag#doEndTag()

5.10.1.2 (2018/07/20)
	[積み上げガント修正]
	加算で文字列連結になるパターンがあるので修正。
	日時逆転時の対応追加
		jsp/common/option/adjustGanttTable.js

5.10.1.1 (2018/07/13)
	[iframe化対応]
	frameでQUERYとRESULTを切っていますが、これをiframe出来るように対応しておきます。
	具体的にはヘッダのフレームサイズ変更ボタン、検索時の高さ自動調整について対応しておきます。
	RESLUT部分をさらに二つに分けるようなパターンの場合はGridレイアウトとする必要があるため、
	optionにiframe,cssとして配置しておきます。
		jsp/common/default.js
		jsp/common/queryScript.js
		jsp/common/option/iframe.css
		
	[ヘッダーソート修正]
	ヘッダーソートでリクエスト変数を復元する際に、キー値にマルチバイト文字が含まれる場合がありました。
	仕様上URLに含める事ができず、Tomcat9以降で問題になるためURIエンコードで変換をかけるようにします。
		hayabusa.html.AbstractViewForm# makeTableSorterQuery( final Map<?,?> map )

5.10.1.0 (2018/06/29)
	[FAQと新着画面]
	FAQと新着情報の画面でリッチテキストを利用可能とします。
	同時に、リッチテキストを実際の画面で使う上で考慮不足だった箇所の対応を入れておきます。
	（主にクリアボタンとエラー画面からの戻る場合の対応）
		plugin.column.Editor_RICHTEXT#Editor_RICHTEXT( final DBColumn clm )
		plugin.column.Editor_RICHTEXT#createCLEditorSc(String id)	
		plugin.column.Renderer_RICHLABEL#ignoreStr
		plugin.column.Renderer_RICHTEXT#Renderer_RICHTEXT( final DBColumn clm )
		jsp/common/option/jquery.cleditor.custom.js
		jsp/common/gamen/21_WHTSNEW
		jsp/common/gamen/22_FAQ
		jsp/common/gamen/23_FAQRGST

5.10.0.2 (2018/06/22)
	[tomcat8対応]
	URLのルールが厳密になり、マルチバイト等を含める事が出来なくなるため、
	urlEncodeをかけることでEdit画面の対応をします。
		hayabusa.taglib.FileUDTag#doEndTag()

5.10.0.1 (2018/06/15)
	[ソース修正]
	リッチテキスト関係のソースを一部修正（動作の変更はしていない）
		fukurou.util.StringUtil#escapeFilter( final String input, final String ignore )
		
	[帳票画面]
	一部画面にcolumnBulkSetを追加しておきます。
		ge/jsp/REP04,05,06

5.10.0.0 (2018/06/08)
	[帳票エラーメールの改修]
	帳票エラー時のメール送信は帳票IDの正規表現でコントロール可能でしたが、
	ID単位に未送信フラグを持たせてコントロール可能にします。
	GE54にFGNOMLカラムを追加し、これが1の場合はエラーメールを送信しないようにします。
	帳票の動作にDBのカラム追加が伴うためバージョンを5.10系に上げます。
		GE54 FGNOMLカラム追加
		hayabusa.report.GE50Access#insertErrorGE56( final String inErrMsg)
		hayabusa.report.GE50Access#setFgNoMl( final String fgnoml )
		hayabusa.report2.QueueManager_DB#create()
		hayabusa.report2.QueueManager_DB#insertErrorMsg( final ExecQueue queue )
		hayabusa.report2.ExecQueue#setFgnoml( final String fgnoml)
		hayabusa.report2.ExecQueue#getFgnoml()
		plugin.daemon.Daemon_Report#GE50_SELECT
		plugin.daemon.Daemon_Report#startDaemon()
		ge/jsp/REP05

5.9.33.0 (2018/06/01)
	[メール履歴]
	mailSenderタグでGE32に履歴を残す処理で、to,cc,bccがnullの場合にエラーが発生していたので修正します。
		hayabusa.mail.MailModuleUtil#getDstAddrMap( final String[] dstBuf, final int kbn )
		
	[OracleCloudストレージ対応]
	AWS等と同様にOracleCloudのストレージの対応をしておきます。
	コンパイル、利用には以下が追加で必要です。
	jersey-client-1.13.jar,jersey-core-1.13.jar,jersey-json-1.13.jar,jersey-multipart-1.13.jar
	jettison-1.1.jar,mimepull-1.9.3.jar,oracle.cloud.storage.api-13.1.11.jar
		plugin.cloud.StorageAPI_oracle
		
	[リッチテキスト改善]
	HTMLとして直接表示するタイプのレンデラーRICHLABELを追加しておきます。
	同時に接頭語をRICHに揃えるため、TEXTRICHという名称だったものをRICHTEXTに変更します。
	RICHLABEL対応用に&lt;&gt;を元の括弧に戻す処理をStringUtilに入れておきます。
	また、文中に入力した＜＞を表示可能にするため、特定のタグ以外は戻さないようにしておきます。
		fukurou.util.StringUtil#escapeFilter( String input )
		plugin.column.Renderer_RICHLABEL
		plugin.column.Renderer_RICHTEXT
		plugin.column.Editor_RICHTEXT
		jsp/common/option/jquery.cleditor.custom.js
	
5.9.32.3 (2018/05/25)
	[カレンダー修正]
	YMD2のカレンダー機能が、popupのスクリプト変更に対応していなかったため修正します。
		plugin.column.Editor_YMD2

5.9.32.2 (2018/05/18)
	[リアルタイムチェック]
	リアルタイムチェックをかけたくないカラムに対して、独自属性を付加する事で
	スクリプトの対象から外す事が出来るようにしておきます。(属性がfalseの場合のみチェックを行わない）
	この値をoptionAttributeの代わりにfalseでセット可能な属性をcolumn,inputタグに追加しておきます。
		jsp/common/eventScript.js
		hayabusa.taglib.ColumnTagt#setUseRealTimeCheck( final String flg )
		hayabusa.taglib.InputTag#setUseRealTimeCheck( final String flg )
		hayabusa.taglib.TextareaTag#setUseRealTimeCheck( final String flg )
		hayabusa.taglib.SelectTag#setUseRealTimeCheck( final String flg )
		hayabusa.taglib.ColumnEditorTag#setUseRealTimeCheck( final String flg )
		hybs-taglib.tld
		
	[トランザクションのcommit]
	selectに対してもcommitを発行しておく方が良いため、コネクションはプールに戻す直前に
	必ずcommitをかけるようにしておきます。
	(PostgerSQLの場合にidle in transactionのままになってオブジェクトがロックされるため）
		fukurou.db.ConnectionFactory#close( final Connection conn,final String dbid )
		
	[{@GUI.xxx}]
	{@GUI.xxx}を取得できなかった場合のエラーの表記を変更します。
	Not Found[xxx]でしたが、テーブルモデル系の内部でエラーが出た場合にカラム名と誤認されるため
	Not Found(xxx)に変更します。
		hayabusa.taglib.CommonTagSupoprt#getGUIInfoAttri( final String attkey )

5.9.32.1 (2018/05/11)
	[VIEW_USE_HILIGHT_RADIO_CLICK]
	初期値nullだったため、タグ側で初期値をtrueにセットしておきます。
		hayabusa.taglib.ViewFormTag#isHiRadioClick
		
	[AWSのS3追加対応]
	ファイルパスでスラッシュが重なっている状態等はアップロードされないため、プラグイン側で対応しておきます。
	(フロッピーマークからのダウンロードが利用できなかった)
		plugin.cloud.StorageAPI_aws
		
	[fileUDのURLCheck対応]
	fileUDのリンク先であるfileDownloadに対するURLチェックを行う場合があるため、キーの付加を可能にしておきます。
		hayabusa.common.SystemData#FILEUD_URL_CHECK
		hayabusa.taglib.FileUDTag#setUseURLCheck( final String flag )
		hayabusa.taglib.FileUDTag#release2()
		hayabusa.taglib.FileUDTag#makeTag( final String imgsrc, final String href,  final String alt, final String tgt)
		hybs-taglib.tld
		
	[LinkタグのURLCheck]
	暗号化キーの変更を可能にしていますが、初期値を利用パターンが多い自分のシステムの設定値としておきます。
		hayabusa.taglib.LinkTag#release2()

	[XLSX出力対応]
	システムリソースTABLE_WRITER_EXCEL_TYPEの設定を、fileUDタグのfilename拡張子に反映させるようにしておきます。
		hayabusa.taglib.fileUD#doEndTag() 
		
	[ExcelDLのクラウド対応]
	実際の利用（URLチェックをかける）を鑑みて、クラウド時はリダイレクトではなくフォーワードとしておきます。
		jsp/common/fileDownload.jsp

5.9.32.0 (2018/05/02)
	[リッチテキスト入力]
	ヘルプやお知らせ等でリッチテキストを入力したい場面があるため、エディタを追加しておきます。
	利用する場合にはheadタグでuseRichText=trueを指定してください。
		plugin.column#Editor_TEXTRICH
		plugin.column#Renderer_TEXTRICH
		hayabusa.taglib.HeadTag#release2()
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#setUseRichText( final String flag )
		jsp/common/option/jquery.cleditor.css
		jsp/common/option/jquery.cleditor.custom.js
		jsp/common/option/jquery.cleditor.js
		jsp/common/option/images/*
		hybs-taglib.tld
		
	[VIEW_USE_HILIGHT_RADIO_CLICK]
	6.2.2.0 (2015/03/27)取り込み。hilightRowの引数を追加して、行選択時にイベント発行可否を指定可能とする。
		hayabusa.taglib.ViewFormTag#setUseHilightRadioClick( final String useClick ) 
		hayabusa.taglib.ViewFormTag#release2()
		hayabusa.taglib.ViewFormTag#doEndTag()
		common/resultScript.js#hilightRow( evt, isCheckOnly, isRadioClick )
		hybs-taglib.tld
		
	[カレンダースクリプト修正]
	カレンダーに対して英字を送信すると固まる不具合があったので修正します。
		common/calendar_3month.js#initCalendar(cntMonth)
		
	[左右分割スクロール修正]
	splitView利用時にEdit機能を使うと表示が想定通りにならない場合がある不具合を修正します。
		hayabusa.db.DBEditConfig#getViewClms( final String orgClms )
		
	[シーケンス取得方法変更]
	nextvalで取得していた帳票シーケンスを、標準的な書き方に変更しておきます。(5.9.31.1未対応分）
	伝送処理等で一部残っていますが、特殊用途なので置いておきます。
		hayabusa.report.GE50Access#makeYkno()
		
	[AWSプラグイン修正]
	EC2からS3へのアクセスはキーではなくIAMを利用した方が良いため、キーが登録されていない場合は
	IAMを利用するように変更します。
		plugin.cloud.StorageAPI_aws.java#StorageAPI_aws(String container, HttpSession hsession)
		
	[GEのMAIL03修正]
	画面で(+)による結合が行われていたので標準SQLを利用するように修正します。
		ge/jsp/MAIL03
		
	[メールデーモンの送信件数制御]
	利用サービスによっては時間辺りの送信件数が制限されている場合があるため、デーモン1回辺りのメール送信件数を
	制限する制御を入れておきます。
	MAIL_DAEMON_LIMITが0以下の場合は無制限、それ以外の場合は1回辺りに指定分だけ送信とします。
	標準は無制限です。
		hayabusa.common.SystemData#MAIL_DAEMON_LIMIT
		hayabusa.mail.MailManager_DB#selGE30

5.9.31.2 (2018/04/20)
	[GE50シーケンス対応]
	5.9.31.1で対応したシーケンス対応をGE50でもしておきます。
		hayabusa.report.GE50Access#makeYkno()


5.9.31.1 (2018/04/13)
	[エンジン内部のシーケンス取得]
	エンジン内部でシーケンスの値を取得する際にfukurouを利用していない箇所があるため一部修正します。
	今回の対応箇所以外でも帳票等で利用していますが、一旦メール部分のみの修正としておきます。
		fukurou.db.DBFunctionName#getSequence( final String seqName, final Transaction tran, final String DBID )
		fukurou.db.DBFunctionName#getSequence( final String seqName, final Transaction tran )
		hayabusa.mail.MailModuleUtil#getYkno()

5.9.31.0 (2018/04/06)
	リリース

5.9.30.0 (2018/03/02)
	[カレンダーポップアップ変更]
	5.9.28.0で作成した三ヶ月カレンダーを標準カレンダーにします。
	ファイル名を変更して対応します。
	calendar.jsp		 -> calendar_old.jsp
	calendar_3month.jsp	 -> calendar.jsp

5.9.29.3 (2018/02/23)
	[HTML5ポップアップ]
	キャレット位置挿入のパターンで、正しく値が返せていなかったので修正します。
		common/option/ogPchangeData(ret_val, p_this,p_out_Array, p_append)

5.9.29.2 (2018/02/16)
	[メール送信のSTARATTLS対応]
	暗号化してメールを送信するための、STARTTLSを利用指定出来るようにします。
	MAIL_SEND_USE_STARTTLSをtrueにする事で利用します。(標準はfalse)
	なお、送信ポートはこの設定値とは無関係のため、別途設定が必要です。
	（ポート指定がない場合、通常は587ポートを利用）
		fukurou.mail.MailTX#MailTX( final String host , final String charset )
		fukurou.mail.MailTX#MailTX( final String host , final String charset, final String smtpPort
				,final String authType, final String authPort, final String authUser, final String authPass
				,final boolean useStarttls )
		hayabusa.common.SystemData#MAIL_SEND_USE_STARTTLS
		hayabusa.mail.MailManager_DB#sendMail( final String paraKey, final String systemId, final List<String> emList )
		hayabusa.mail.MailPattern#getUseTLS()
		hayabusa.mail.AbstractMailManager#setUseTLS( final boolean flg )
		hayabusa.mail.AbstractMailManager#create( final Map<String, String> params )
		hayabusa.mail.AbstractMailManager#send()
		hayabusa.taglib.MailSenderTag#setUseTLS( final boolean flg )
		hayabusa.taglib.MailSenderTag#release2()
		hayabusa.taglib.MailSenderTag#doStartTag()
		hybs-taglib.tld
		gf/jsp/GF6220

5.9.29.1 (2018/02/09)
	[Azureのストレージ対応]
	以前、bluemixのオブジェクトストレージに対応しましたが、Azureにも対応しておきます。
	なお、pluginを利用する際には追加で次の３つのjarファイルが必要です。
	azure-keyvault-core-0.8.0.jar,azure-storage-6.1.0.jar,commons-lang3-3.4.jar
		hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )
		plugin.cloud.StorageAPI_azure

5.9.29.0 (2018/02/02)
	[ファイルのマルチバイト文字対応]
	サーブレットの対応は行っていましたが、forwardタグ側の対応が漏れていたので追加します。(Edge,safari対応)
		hayabusa.taglib.ForwardTag#doEndTag()

5.9.28.1 (2018/01/19)
	[eventColumn機能]
	eventColumn実行時にデータを取得する対象オブジェクトが存在しない場合、今まではエラーで停止していた。
	存在しない場合はコンソールログに出力し、そのまま処理を続行させるようにする。
		jsp/common/eventScript.js#eventColumn( jEvCol, jTag, cid, cname, suffix, writable )
	
	[メールモジュール画面修正]
	decode文が使われていたため、caseに書き換えます
		ge/jsp/MAIL07/result.jsp
		
	[fileDownloadのマルチバイト文字対応]
	fileDownloadサーブレットでmimeB方式がsafari非対応のため、macやiPhoneで日本語ファイル名がダウンロードできない。
	RFC6266の方法を取る事でほぼ全てのブラウザに対応できそうなので、現在IE系以外で行っている処理を変更する。
	以前の書き方と併記する事で、対応ブラウザは新方式が利用される。
	参考：https://wp.webarata3.link/java/japanese-file-download
		hayabusa.servlet.fileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

5.9.28.0 (2018/01/05)
	[HTML5ポップアップ修正]
	・IE11でのキャレット位置取得がエラーとなっていたため、対応を行います。
	・画面にスクロールがある場合の表示を修正するためCSSのpositionを一部fixedに変更します。
		jsp/common/option/html5modalDialog.js
		jsp/common/option/html5modalDialog.css
		
	[新カレンダーポップアップ]
	前後含めて三か月を表示するカレンダーポップアップを作成します。
	V5では一旦JSP,css,jsのみ導入しておきます。
	calendar.jspとcalendar_3month.jspはインタフェイス上は互換性を持たせているため、入れ替える事で利用可能です。
		jsp/common/calendar_3month.jsp
		jsp/common/calendar_3month.css
		jsp/common/calendar_3month.js
	

5.9.27.3 (2017/12/22)
	[時間ピッカー改修]
	24時以降の表示に対応します。
	ブレイクを12時単位にした上で、間を空けることで選択しやすくします。
		jsp/common/eventScript.js#ogClockpicker

5.9.27.2 (2017/12/15)
	[日本語ファイル名のEdge対応]
	Edgeで日本語ファイル名をfileDownloadServlet経由で落とす場合に文字化けしていたため、IEと同様の処理としておきます。
	判定はUserAgentの「Edge」の文字列有無としています。
		hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

5.9.27.1 (2017/12/08)
	[BizLogicのエラーメッセージ表示対応]
	Queryタグ同様にBizLogicでもdispErrorをセット出来るようにしておきます。
		hayabusa.taglib.BizLogicTag#setDispError( final String flag )
		
	[RFW向けプラグインの追加]
	出力ファイル名を[GRPID]_[YKNO]_[LISTID].csvとするプラグインを別で作成します。
		plugin.report.CSVPrintPointService_RFW2 新規作成
		
	[数値型レンデラー修正]
	6.0.2.4対応分の反映
	noDispValに対応していなかったので、対応させておきます。
		plugin.column.Renderer_NUMBER#Renderer_NUMBER()
		plugin.column.Renderer_NUMBER#Renderer_NUMBER( final String defval,final int size )
		plugin.column.Renderer_NUMBER#Renderer_NUMBER( final String defval,final int size , final String noDispVal )
		plugin.column.Renderer_NUMBER#newInstance( final DBColumn clm )
		
	[SHA-1対応]
	文字列ハッシュ化はMD5のみ対応していましたが、SHA-1にも対応しておきます。
		fukurou.security.HybsCryptography#getSHA1( final String input )
		plugin.column.DBType_SHA1 新規作成

5.9.27.0 (2017/12/01)
	[イベント名($1～$9)が9個しか使えなかったのを修正]
	6.8.2.4 (2017/11/20)対応分の反映
		fukurou.util.StringFormat#format()
	
	[POIで作成したEXCEL(XLSX)は、文字列を、inlineStr で持っている為、取り出し方が特殊になります]
	6.8.2.4 (2017/11/20)対応分の反映
	EXCEL出力(xlsx)のファイルをそのまま取り込めませんでした。一旦上書き保存しないと、エラーになります。
	これは、通常のEXCELでは、文字列をマッピングして持っており、そのように読み込み処理で対応して
	いますが、POIで書き込んだEXCELは、文字列を、inlineStr で持っている為、取り出し方が特殊になります。
	以前のバージョンでは、対応できていた（はず）ですが、変更があったのかもしれません。
		fukurou.model.EventReader_XLSX.SheetHandler#endElement(String namespace,String localName,String qname)
	
	[jsChartのスライドバー小数点対応]
	整数に変換していた箇所を実数変換に変更します。
		hayabusa.taglib.JsChartTag#jsChartOutput()
		
	[JSON view用パラメータ追加]
	特定のカラムのみレンデラーを出力する事が出来るようにします。
	コードだけでなく日本語名称も同時に渡せるようにするためです。
		hayabusa.html.ViewJsonParam#JSON_RENDERER_COLS_KEY
		hayabusa.html.ViewJsonParam#JSON_RENDERER_COLS
		hayabusa.taglib.ViewJsonParamTag#setUseRendererColumns( final String cols )
		hayabusa.html.AbstractViewForm#setBooleanArray( final String clsm , final boolean def , final boolean[] arrays )
		plugin.view.ViewForm_JSON#create( final int startNo, final int pageSize )
		hybs-taglib.tld
		
	[fileDownloadサーブレットのヘッダ追加]
	ファイルサイズを表すContent-Lengthを追加しておきます
		hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

5.9.26.1 (2017/11/10)
	[PL/SQL実行エラー表示]
	Queryタグ及びPlsqlUpdateタグで、エラー表示の有無を選択可能にします。
	また、DB.ERR_CODE同様にリクエスト変数DB.ERR_MSGにメッセージを保持するようにします。
	これは、例えばAPI向けのJSPを作成した際にレスポンスをJSON形式で返したい場合に
	stopErrorと併用してエラーメッセージ（HTML)をJSONエスケープするようなパターンで利用します。
	但し、いままでstopErrorに関係なく強制的に停止していた処理はそのままとしています。
		hayabusa.taglib.QueryTag#release2()
		hayabusa.taglib.QueryTag#setDispError( final String flag )
		hayabusa.taglib.QueryTag#doEndTag()
		hayabusa.taglib.PlsqlUpdateTag#doEndTag()
		hayabusa.taglib.BizLogicTag#doEndTag()
		hayabusa.taglib.BizLogicTag#release2()
		hybs-taglib.tld
		
	[{@JSON.xxx}追加]
	JOSN向けの文字エスケープを画面から簡易的に実行可能にします。
	JOSN.xxxとなっていますが、出力される文字列はエスケープされた文字列であってJSON形式ではありません。
		hayabusa.taglib.CommonTagSupport#getReservedValue( final String key )
		

5.9.26.0 (2017/11/02)
	[メール送信のsendGrid対応]
	SMTPサーバではなく、APIを利用したメール送信に対応させてます。
	今回はsendGridでの送信を実装しています。
	sendGridのAPIキーはシステムリソースのMAIL_SENDGRID_APIKEYで指定します。
	オブジェクトストレージを利用したファイル添付は現時点では対応させていません。
	まだ、同時にPostgreで動作するようにシーケンスの取得をnextvalではなくエンジン内部の互換機能を利用するよう変更します。
		hayasuba.mail.MailManager_DB#makeParamMap( final String systemId, final String[] ge30Data )
		hayasuba.mail.MailManager_DB#commitParamTable( final String uniq, final String fgj )
		hayasuba.mail.AbstractMailManager#getYkno()
		plugin.cloud.MailManager_DB_SendGridAPI
		plugin.daemon.MailDaemon_SendGridAPI
		hayabusa.common.SystemData#MAIL_SENDGRID_APIKEY
		

5.9.25.2 (2017/10/27)
	[エラーメッセージのリソース化]
	xssCheck及びquotCheckのエラーメッセージをラベルリソース化します。
		hayabusa.taglib.CommonTagSupport#getRequestValue( final String key, final boolean xssCheckFlg )
		ラベルリソース ERR0048.1,ERR0048.2,ERR0049.1,ERR0049.2

	[クラウドストレージ対応(Excel入出力)]
	ファイルのアップロード/ダウンロードは5.9.25.0で対応しましたが、
	writeTable,readTableもクラウド上のストレージを利用出来るようにしておきます。
	readの一部処理はtomcat配下のディスクでの作業で行っているため、ストレージからコピーして対応します。
		hayabusa.taglib.WriteTableTag#doEndTag()
		hayabusa.taglib.WriteTableTag#entryStorage(String storage, String container, String trgFileName)
		hayabusa.taglib.ReadTableTag#create( final BufferedReader out )
		hayabusa.taglib.ReadTableTag#downloadStorageFile(String storage)
		hayabusa.taglib.ReadTableTag#getBufferedReader()
		jsp/common/fileDownload.jsp

5.9.25.1 (2017/10/13)
	[GUIQueryTag機能追加]
	useBeforeHtmlTagの属性を追加します。
		hayabusa.taglib.GuiQueryTag コメント追記
		hybs-taglib.tld
		
	[edit機能修正]
	3ペイン画面でedit登録が綺麗に動いていなかったため修正します。
		jsp/common/gamen/14_EDIT/edit.js#refreshEdit( guikey, editName, backAddress )

5.9.25.0 (2017/10/06)
	[クラウドストレージ対応]
	一部のファイル関係の機能（アップロード/ダウンロード）をクラウド上のストレージに対応させます。
	PaaSでサーバを立てる場合にはストレージはオブジェクトストレージを一般的には利用しますが、
	オブジェクトストレージはAPI経由で接続するため、標準的なファイル操作ではアクセスできません。
	クラウド用のプラグインとして、API経由でアクセスする仕組みを用意し、ファイルのアップロード/ダウンロードに対応させます。
	システムリソースCLOUD_STORAGEで利用するクラウドサービス（クラス）を指定する事でAPI経由でのアクセスとなります。
	未指定の場合は今まで通りの動作となります。
	今回の実装ではfileタグやfileQueryタグでの操作は対応していません。
	bluemixでサンプルプラグインを実装していますが、コンパイルにはopenstack4j-core-3.1.0.jar, openstack4j-okhttp-3.1.0.jarが必要です。
	（bluemix上で実際に実行する場合、openstack4からcallされる次のjarも必要です
	btf-1.2.jar ,guava-20.0.jar, jackson-coreutils-1.6.jar, jackson-dataformat-yaml-2.8.0.jar, json-patch-1.9.jar, jsr305-2.0.0.jar
	,msg-simple-1.1.jar, okhttp-3.2.0.jar, okio-1.6.0.jar, slf4j-api-1.7.21.jar, slf4j-simple-1.7.21.jar, snakeyaml-1.15.jar）
		hayabusa.io.StorageAPIFactory.java
		hayabusa.io.StorageAPI.java
		hayabusa.servlet.FileDownload.java#doPost( final HttpServletRequest request, final HttpServletResponse response )
		hayabusa.servlet.MultipartRequest#MultipartRequest(...)
		hayabusa.servlet.UploadFile#getUploadFile()
		hayabusa.servlet.UploadFile#renameTo( final String newName , final boolean useBackup, final String fileURL, HttpSession hsession)
		hayabusa.servlet.multipart.FilePart#writeToCloud(String storage, String directory, HttpSession hsession)
		hayabusa.taglib.FileUploadTag#doEndTag()
		hayabusa.taglib.FileUploadTag#makeDBTable( final MultipartRequest multi )
		hayabusa.taglib.FileUploadTag#makeDBTableFromClms( final MultipartRequest multi )
		hayabusa.common.SystemData#CLOUD_STORAGE
		hayabusa.common.SystemData#CLOUD_STORAGE_CONTAINER
		plugin.cloud.StorageAPI_bluemix.java

	[jquery1.12]
	JQuery1.4を利用してきましたが、一般的には1.9以降対応のモジュールも増えてきているため、
	IE7モードに対応した1.x系の最新である1.12を利用可能にします。
	ただし、互換性を保つため標準状態では1.4を読み込むようにします。
	また、1.12読み込み時もこれまでのスクリプト利用できるようにするため、jquery-migrate1.4を同時に読み込みます。
	ヘッダ固定やHTML5向けポップアップ等の主要スクリプトの動作は見ていますが、全ての標準スクリプトの動作を保証するものではありません。
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#release2()
		hayabusa.taglib.HeadTag#setUseJquery12( final String flag )
		jsp/common/jquery/jquery1.12.js
		jsp/common/jquery/jquery-migrate.js
		hybs-taglib.tld

5.9.24.3 (2017/09/29)
	[JFreeChartの機能追加]
	線グラフで対応されていたMarkOverColorsを棒グラフでも対応する。
		hayabusa.io.HybsBarRenderer#drawItem2(...)
		hayabusa.io.ChartDataset#getRenderer( final int serNo , final CategoryURLGenerator urlGen )
		hayabusa.taglib.ChartDatasetTag#setMarkOverColors( final String overColors ) コメント変更

5.9.24.2 (2017/09/22)
	[eventScript修正]
	JavaScriptのパラメータ取得方法を修正して互換性を向上させます。
		jsp/common/eventScript.js#check( obj, sUrl )

5.9.24.1 (2017/09/08)
	[インストール時の情報表示]
	システムインストール時にDB名称を表示するようにしておきます。
	（インストール出来ない場合に確認するため）
		hayabusa.common.SystemInstaller#SystemInstaller( final Connection defConn, final Connection rscConn, final PrintWriter out ) 

5.9.24.0 (2017/09/01)
	[ヘッダ固定修正]
	ヘッダ二重の修正で、eventColumn等でスクリプトが再実行された際の処理の漏れがあったので追加します。
		common/scrollBar2.js
	
	[ガントのEdge対応]
	adjustGanttTable.jsのEdge対応を行います。
		common/option/adjustGanttTable.js
		
	[ガントヘッダーの修正]
	zoom2のタイプの当日/休日の色表示が正しく出ない不具合を修正します。
		hayabusa.taglib.GanttHeaderTag#makeZoom2( final int add )

5.9.23.1 (2017/08/18)
	[headタグのタイプ追加]
	headタグのタイプにjsonを追加します。
	headタグの処理を通した上で、contentType="application/json"をセットします。
	出力は何もしません。
		hayabusa.taglib.HeadTag#doEndTag() 
		hayabusa.taglib.HeadTag#doStartTag()
		
	[ヘッダ固定修正]
	5.9.23.0の追加修正です。日付や時刻選択用のアイコンが選択される可能性があるためbutton,imgの対応も行います。
		common/scrollBar2.js

5.9.23.0 (2017/08/10)
	[ヘッダ固定修正]
	ヘッダ固定時にブラウザで検索を行った際に、ヘッダが二重になる現象の対応をします。
		common/scrollBar2.js
		hayabusa.html.AbstractViewForm#getSortedColumnLabel( final int column )

5.9.22.2 (2017/07/21)
	[GF9160 ３ペイン]
	３ペインテスト画面を作成します。
		jsp/GF9160
		
	[messageタグ]
	messageタグでタイプをTips指定した場合にはclass=ogmsg付きのspanタグで囲います。
	また、CSSにヘルプアイコン表示用の記述を追加しておきます。
		hayabusa.taglib.MessageTag#makeTag()
		common/defaut.css
		
	[日付ピッカー修正]
	bulkセットで動作していなかったので、変更があった場合はonChangeを走らせるようにします。
	また、5.9.22.0のピッカー修正が反映されていなかったようなので反映させておきます。
		jsp/common/eventScript.js

5.9.22.1 (2017/07/14)
	[帳票・要求明細データ画面修正]
	検索項目に帳票IDがありましたが、この値はverifyにしか利用していませんでした。
	レスポンス的にも問題がなさそうなので、検索条件として使われるようにします。
		ge/jsp/REP02/result.jsp

5.9.22.0 (2017/07/07)
	[日付ピッカー修正]
	初期値として不正日付や空文字の場合に正しく動作しないので修正します。
		jsp/common/eventScript.js#glDatePicker
		
	[edit機能修正]
	edit機能のカラム編集画面で編集名を選択した読み込んだ場合に編集できる項目が制限されてしまっていた。
	これは以前に追加した制限をかける機能の影響なので修正する。
		jsp/common/gamen/14_EDIT/result_CLMSEQ.jsp

5.9.21.1 (2017/06/16)
	[Zip圧縮の結果出力]
	listがnull時のパターンが存在した場合に備えて、出力を追加しておきます。
		fukurou.util/ZipFileUtil#main( final String[] args )
		
	[QueryButtonタグのクリア機能]
	queryButtonでuseClearを利用したJavaScriptタイプのリセットは
	query.jsp、command=NEW、フレーム名QUERYで固定されています。
	これらをタグから指定可能にしておきます。
		hayabusa.taglib.QueryButtonTag#release2()
		hayabusa.taglib.QueryButtonTag#getReset()
		hayabusa.taglib.QueryButtonTag#setClearTarget( final String tgt )
		hayabusa.taglib.QueryButtonTag#setClearHref( final String page )
		hayabusa.taglib.QueryButtonTag#setClearCommand( final String cmd )
		hybs-taglib.tld

5.9.21.0 (2017/06/02)
	[回帰用インタフェイス変更]
	V6の変更に合わせて単回帰用のインタフェイスを拡張して、重回帰にも同じものを利用します。
	（setCoefficientは一旦復活させておきます）
		penguin.math.statistics.HybsRegression.java 新規作成
		penguin.math.statistics.HybsMultiRegression.java
		penguin.math.statistics.HybsSimpleRegression.java
		penguin.math.statistics.HybsSquadraticRegression.java
		penguin.math.statistics.HybsSingleRegression.java 削除
	
	[ViewForm_JSON変更]
	テーブルモデルをJSON形式で出力するViewForm_JSONの出力に出力カラムのリストを加えます。
	INFOとしてカラム名（カンマ区切り）を出力しておき、後処理をしやすくします。
		plugin.view.ViewForm_JSON#getInfo( final int rowcount)
	
	[JSON操作]
	JavaでJSONを操作するため、JSON操作のモジュールであるjackson(2.8)をjavaに配置します。
		java/jre/lib/ext/jackson-core-2.8.8.jar
		java/jre/lib/ext/jackson-annotations-2.8.0.jar
		java/jre/lib/ext/jackson-databind-2.8.8.jar
	
	[JSONのテーブルモデルへの変換]
	jacksonを利用して、受け取ったJSONをテーブルモデルに変換する機能を追加します。
	これによりリクエストで受け取ったJSON形式のデータを汎用的に扱う事が可能になります。
	エンジンとしての標準形式をデフォルトで用意しますが、pluginとして拡張可能にします。
		hayabusa.html.JsonReader
		hayabusa.html.AbstractJsonReader
		hayabusa.tablig.ReadJSONTag
		plugin.json.JsonReader_Default
		hybs-taglib.tld
		
	[JSON取込みサンプル]
	JSON出力、取込みのサンプル画面を作成します。
		gf/jsp/GF7170

5.9.20.2 (2017/05/19)
	[異常値検出サンプル画面]
	マハラノビス距離を利用した異常値判定のサンプル画面を追加しました。
	（正確には「異常」ではなく、単純に母集団との距離が遠いという判定）
		gf/jsp/GFX030
		
	[WriteTableのヘッダー指定]
	ヘッダーの並び順の標準をシステムリソースで指定出来るようにします。
		hayabusa.common.SystemData#TABLE_WRITER_DEFAULT_HEADERSEQ
		hayabusa.taglib.WriteTableTag#release2()

5.9.20.1 (2017/05/12)
	[Bizロジック修正]
	6.7.9.0での対応の反映です。
	nullと isEmpty() も、0 を返します。
		fukurou.business.AbstractBizLogic#vari(String key)
		fukurou.business.AbstractBizLogic#vard(String key)
		fukurou.business.AbstractBizLogic#linei(String key,int rw)
		fukurou.business.AbstractBizLogic#lined(String key,int rw)
		
	[JsChartTagの機能追加]
	v6での変更を反映させておきます。
	・タグの使用を決める共通属性の対応
	・useRenderer追加
		hayabusa.taglib.JsChartTag#setUseRenderer( final String usernd )
		hayabusa.taglib.JsChartTag#jsChartOutput()
		hayabusa.taglib.JsChartTag#release2()
		hybs-taglib.tld
		
	[統計処理にマハラノビス距離追加]
	教師無しデータで異常値検知が可能な、マハラノビス距離を利用した判定クラスを追加します。
	サンプルデータ集合を与える事で、マハラノビス距離を算出するための平均と共分散を作成し、
	判定したいデータのマハラノビス距離が閾値を超えているかで判定が可能です。
		penguin.math.statistics.HybsMahalanobis

5.9.20.0 (2017/05/02)
	[HTML5ポップアップの修正]
	iframeの入力が出来なくなるIEの不具合と思われる問題で、追加で修正しておきます。
		jsp/common/option/html5modalDialog.js
		
	[25_DBSOKAN,26_DBTANKAIKIをGF画面に変更]
	penguinはオプションパッケージのため、commonではなくgf画面としておきます
		gf/jsp/GFX028
		gf/jsp/GFX029

5.9.19.2 (2017/04/21)
	[相関係数、回帰計算の標準画面]
	標準の画面として、指定したテーブルからNUMBER型のカラムを選択し、相関ヒートマップを取る事が出来るようにします。
	同様に、指定したテーブルの２つのカラムから単回帰及び二次回帰が出来るようにしておきます。
	JavaのBIZロジックを利用しているため、src/biz/commonをビルドに含めます
	※回帰計算の画面はインタフェイスを利用するような形に将来的に変更する可能性があります
		jsp/common/gamen/25_DBSOKAN
		jsp/common/gamen/26_DBTANKAIKI
		src/biz/common/COMMON25A.java
		src/biz/common/COMMON26A.java
		src/biz/common/COMMON26B.java
		build.xml
		
	[標準画面のAzure対応]
	08_DBUPDATE,09_DBVIEWの画面はSQLServerに対応していませんでしたが、対応させます。
	又、DBF.NAMEを利用していた箇所をDBF.TYPEにします。
		jsp/common/gamen/08_DBUPDATE/sqlValues.jsp
		jsp/common/gamen/09_DBVIEW/sqlValues.jsp

5.9.19.1 (2017/04/14)
	[SQL Serverのテーブルスクリプト出力修正]
	5.9.19.0で対応した箇所ですが、元々default値はクォート付で登録される想定のため、条件判定を変更します。
	（先頭の値がシングルクォート以外の場合のみクォートを付ける）
		plugin.table.TableFilter_TABLE_SQLSERVER#makeLineList( final String[] data,final boolean first )
		
	[DBF.TYPE追加]
	5.9.19.0で追加したDBTYPEでの扱いに伴い、DBF.TYPEで画面からの確認用に種類を取れるようにしておきます。
		fukurou.db.DBFunctionName#getFunctionName( final String func ,final String dbid )
		
	[21_WHTSNEW修正]
	新着情報画面で一部Oracle依存のコードがあったため修正しておきます
		jsp/common/gamen/21_WHTSNEW
		
	[eventColumnのDATALIST対応]
	eventColumnをDATALISTに対応させます。
		jsp/common/eventColumnMaker.jsp
		
5.9.19.0 (2017/04/07)
	[URLDの自動起動URL修正]
	geのURLデーモンの自動起動URLがTRANSxxになっていたのでURLDに変更しておきます。
		ge/jsp/URLD/result.jsp
		
	[penguin.mathのクラス配置変更]
	math内に混在していたGA関係のクラスと、統計関係のクラスを分離します。
		penguin.math.ga
		penguin.math.statistics
		gf/src/biz/gf/GFX026A.java
		
	[penguin.mathへの回帰分析用クラス追加]
	apache.commons.mathを利用した線形単回帰、二次回帰、重回帰(OLS)の計算クラスを追加します。
		penguin.math.statistics.HybsSimpleRegression
		penguin.math.statistics.HybsSquadraticRegression
		penguin.math.statistics.HybsMultiRegression
		
	[penguin.mathへのロジスティック回帰分析用クラス追加]
	apache.commonsには存在していないため、多項ロジスティック回帰を自前で実装します。
		penguin.math.statistics.HybsLogisticRegression
		
	[chartJSグラフの動的サイズ変更]
	グラフの横幅、高さ、y軸の最大値、最小値について動的に変更できるようにします。
	JsChartTagで各値を変更するためのカラムのIDを指定します。
	カラムそのものは別途配置してください。
		hayabusa.tablig.JsChartTag#release2()
		hayabusa.tablig.JsChartTag#jsChartOutput()
		hayabusa.tablig.JsChartTag#setWidthEventColumn( String widthEventColumn )
		hayabusa.tablig.JsChartTag#setHeightEventColumn( String heightEventColumn ) 
		hayabusa.tablig.JsChartTag#setMinEventColumn( String minEventColumn )
		hayabusa.tablig.JsChartTag#setMaxEventColumn( String maxEventColumn )
		hybs-taglib.tld
		gf/jsp/GF7222
		
	[HybsSingleRegressionインタフェイス作成]
	線形及び二次回帰のように種類が増える可能性があるので、単回帰のクラスにインタフェイスを作成しておきます。
		penguin.math.statistics.HybsSingleRegression
		penguin.math.statistics.HybsSimpleRegression
		penguin.math.statistics.HybsSquadraticRegression
		
	[ogTbodyMovable修正]
	VIEWテーブルの要素をマウスで上下に移動可能にするogTbodyMovableが動作しなくなっていたので修正します。
		jsp/common/option/ogTbodyMovable.js
		
	[座席表機能修正]
	座席表の画面で、色が正しく出ていない部分を修正しました。
	また、IE9以上で正しく動作していない箇所があったので対応しています。
		jsp/common/option/adjustMatrix.js
		gf/jsp/GF7213/result.jsp
		
	[統計計算サンプル画面]
	作成した相関、重回帰、ロジスティック回帰についてのサンプル画面を作成します。
	使えるデータがなかったので、新たにGF47として学生生活調査サンプルのテーブルを作ります。
	この画面はPGサンプルなので、本来の回帰処理で注意が必要な事項については特に気にしていません。
		gf/jsp/GFX027
		src/biz/gf/GFX027A.java
		GF47テーブル
		
	[AzureのSQLServer対応]
	Azure上のSQLServerはDB名が「MICROSOFT SQL SERVER」のため、これに対応しておきます。
	実装としては、DBUtil上にDB種別を返すメソッドを用意して、DBFunctionNameではそれを利用し、
	システムインストール時とFunction文字列取得時にはタイプを利用するように変更します。
		fukurou.db.DBUtil#getDBType( final String dbName )
		fukurou.db.DBUtil#DBTypes
		fukurou.db.DBFunctionName#getDBName( final String dbName )
		
	[SQL Serverのテーブルスクリプト出力修正]
	varcharタイプのdefault値にシングルクウォートが抜けていたので付くようにしておきます。
	とりあえず、SQL Serverのみの修正です。
	VIEWスクリプト出力(GF82データ)等がOracle専用の書き方になっているものもあるため、
	現状では完全に自動起動に対応しているわけではありません。
		plugin.table.TableFilter_TABLE_SQLSERVER#makeLineList( final String[] data,final boolean first )

5.9.18.1 (2017/03/24)
	[エディット機能の共通編集名]
	エディット機能では共通の編集名を設定できますが、個別の編集名と重複する可能性があります。
	共通の編集名には強制的に名称先頭に*を付加するようにして区別します。
		hayabusa.taglib.EditConfigTag#doEndTag()
		hayabusa.taglib.EditConfigTag#saveEditConfig()
		jsp/common/gamen/14_EDIT/saveEdit.jsp
		ラベルリソースERR0045
	
	[コードリソース利用のdatalist]
	存在している編集種別としてのDATALISTはINDBMENUを置換えるもので、INMENUに対応したものがありませんでした。
	DATALIST_Rとして、リソースを使うパターンのDATALISTを追加します。
	なお、HTML5対応していない出力の場合はDATALISTと同じようにINMENUを利用するようにしています。
	(判定にはIE_HTML5_KEYを利用）
	また、INMENU系は重い画面で選択肢が出てこない場合があるため、default.jsで遅延処理を入れておきます。
		hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
		hayabusa.taglib.ColumnEditorTag#getModifyConfig( final DBColumn dbColumn )
		plugin.column.Editor_DATALIST_R 新規追加
		jsp/common/default.js
		gf/jsp/GF6100/query.jsp

5.9.18.0 (2017/03/02)
	[RFW帳票修正]
	もう少しExcelの発行速度に寄せるためスリープを5000msecから7000msecにする。 
	（特殊対応のため決め打ち）
		plugin.report.CSVPrintPonitService_RFW#execute()
		
	[メール送信日時指定]
	5.6.8.0の対応がどこかのタイミングで巻き戻ってしまっていたので対応します。
		hayabusa.mail.MailManager_DB#selGE30
		hayabusa.mail.MailManager_DB#sendDBMail( final String systemId )

5.9.17.3 (2017/02/23)
	[RFW帳票修正]
	特定のプリンタのドライバの仕様で、高速に並列発行を行うと正しく印刷されない場合があります。
	そこで、RFW向けの発行プラグインについて、デーモン名の先頭が*であればCSV出力後に5秒間遅延を
	発生させるという処理を入れて、Excel帳票と同等まで速度を低下させることが出来るようにしておきます。
		plugin.report.CSVPrintPonitService_RFW#execute()

5.9.17.2 (2017/02/17)
	[メニュー整形]
	simpleMenuを少し整形します。
		jsp/menu/simpleMenu.jsp
		
	[penguin.mathへの相関係数計算クラス追加]
	相関係数計算用にHybsCorrelationを追加します。
	apache.commons.mathを利用してピアソン積率相関の算出及び行列積の計算を行っています。
	（その他、JavaDocコメントの修正を遺伝的アルゴリズムのクラスにも加えています）
		penguin.math.HybsCorrelation
		
	[chartJSを利用したグラフ機能の標準化]
	chartJSを利用したグラフをタグから利用可能にします。
	従来のJFreeChartと異なり、JSONデータからクライアントで動的にグラフを作成します。
	canvasを利用しているため、利用可能なブラウザ（IEであれば9以降のモード）での動作が必要です。
	使い方はサンプルGF7222を参考としてください。
	必要なJSをロードするには、headタグでuseChartJSをtrueにセットします。
		gf/jsp/GF7222
		jsp/common/option/Chart.min.js (Ver.2.4)
		jsp/common/option/moment.min.js (Ver.2.3)
		hayabusa.taglib.JsChartTag 新規
		hayabusa.taglib.JsChartDataTag 新規
		hayabusa.io.JsChartData 新規
		hayabusa.taglib.HeadTag#setUseChartJS( final String flag )
		hayabusa.taglib.HeadTag#release2()
		hayabusa.taglib.HeadTag#doEndTag()
		hybs-taglib.tld
		
	[時間ピッカーの縦横設定]
	ogClockpickerでは一部の属性をタグから拾えるようにしていましたが、layout設定も拾うようにします。
	この設定が初期値のverticalの場合は今まで通りですが、それ以外の場合は横向きになります。
	パラメータの6番目（カンマ区切り）の項目に設定してください。
		jsp/common/eventScript.js#ogClockpicker
		plugin.column.Editor_HM#createOptions( final String editPrm )

5.9.17.1 (2017/02/10)
	[JFreeChartの色指定修正]
	6.4.9.0 (2016/07/23)[Pie,Pie3D,Ring に、色指定を追加]を反映させておきます。
	又、ChartPlot_XYTimeで色指定が反映されるようにします。
		hayabusa.io.ChartPlot_Pie#getPlot(ChartCreate create)
		hayabusa.io.ChartPlot_XYTime#getPlot(ChartCreate create)
		
	[JFreeChartの表示形式追加]
	Time系にStep表示を追加します。(TimeStepV,TimeStepH)
		hayabusa.io.ChartFactory
		hayabusa.taglib.ChartDatasetTag (コメント修正)
		
	[サンプル画面追加]
	Time表示のサンプル画面を追加します。
		gf/jsp/GF7223
		
	[遺伝的アルゴリズム関係の機能追加]
	染色体にObject型でオプション情報を渡せるようにしておく。
		penguin.math.AbstractHybsGAChromosome#setOptionData( Object option )
		penguin.math.HybsGeneticAlgorithm#getInitialPopulation()
		penguin.math.HybsGeneticAlgorithm#setOptionData(final  Object obj )

5.9.17.0 (2017/02/03)
	[遺伝的アルゴリズムを利用したスケジュールサンプル]
	penguinパッケージのGAスケジュールのサンプルHybsScheduleChromosomeを使ったサンプル画面を追加します。
	一般の開発で頻繁に呼ぶ機能ではないという想定からBIZロジック経由としています。
	実際に利用する際には用途に応じて拡張クラスを用意し、pluginとしてCallする形になります。
		jsp/GFX026
		src/biz/gf/GFX026A

	[penguinパッケージ追加]
	オプション機能用のパッケージとしてpenguinを追加します。
	オプションのため、hayabusa,fukurouとは直接依存関係を持たないような構造としています。
	penguin.mathの利用にはcommons-math3-3.6.1.jarが必要です。
		penguinパッケージ

5.9.16.2 (2017/1/28)
	[グラフのdateAxis指定]
	JFreeChartで日付のフォーマット指定に関する修正を加えます。(6.7.3.0の逆移植)
	同時に6.3.5.0のチャート画像への対応も追加しておきます。
		hayabusa.io.ChartCreate#getDateAxis()
		hayabusa.io.ChartCreate#setSegmentedTimelineInfo(int segSize,int segIncluded,int segExcluded,String startTime)
		hayabusa.taglib.ChartCreateTag#release2()
		hayabusa.taglib.ChartCreateTag#create()
		hayabusa.taglib.ChartCreateTag#setChartFile( final String file )
		hayabusa.taglib.ChartCreateTag#setDateStartTime( final String startTime )
		hayabusa.taglib.ChartCreateTag#setDateSegExcluded( final String segExcluded )
		hayabusa.taglib.ChartCreateTag#setDateSegIncluded( final String segIncluded )
		hayabusa.taglib.ChartCreateTag#setDateSegSize( final String segSize )
		hybs-tablib.tld
	
	[tableFilter追加]
	平均や偏差を求めるTableFilterを追加します。(6.7.1.0の逆移植)
		hayabusa.db.AbstractTableFilter#initSet(String key,String cmnt)
		plugin.table.TableFilter_STDDEV

5.9.16.1 (2017/1/20)
	[pupupタグ改修]
	5.9.6.0 (2016/03/01)で対応したPOPUPのthis.formですが、keysが存在しない場合の対応が抜けていたので対応します。
		hayabusa.taglib.PopupTag#makePopup( final boolean useKey )
		
	[HTML5用ポップアップ改修]
	ポップアップでフォーカスを当てて外す＞＞ポップアップを閉じる＞＞再度立ち上げる
	とした場合にIE9,10,11の不具合でフォーカスが当たっているにも関わらず文字が入力出来ない現象の対策を入れておきます。
	http://stackoverflow.com/questions/19150008/ie-9-and-ie-10-cannot-enter-text-into-input-text-boxes-from-time-to-time
		jsp/common/option/html5modalDialog.js

5.9.16.0 (2017/1/13)
	[HTML5用ポップアップ改修]
	ポップアップを閉じた際のfocusも戻り先が対象ウインドウになっていたので、
	引数で渡されるthisに対してフォーカスが当たるように変更する。
		jsp/common/option/html5modalDialog.js
		
	[headタグ修正]
	headタグのcssロード順を変更します。
	custom.cssがjavaScriptで利用されるcssより前でロードされていましたが、後にします。
		hayabusa.taglib.HeadTag#doEndTag()

5.9.15.1 (2016/12/9)
	[スタックガント用の準備]
	スタックガントを将来的に動的に変更できるように、少しスクリプトを改造しておきます。
		jsp/common/option/adjustGanttTable.js#fnMouseUp( event )

	[HMタイプの修正]
	時間指定をした際に内部的に数値ではなく文字列として扱われていたので修正します。
		jsp/common/eventScript.js#ogClockpicker
	
	[メールモジュール修正]
	GE30をループして送信する処理で、途中でユーザIDとメールアドレスとの変換が出来なかった場合に
	それ以降のループで、全メールに対してバッチエラーテーブルに変換エラーが出力されてしまう。
	送信そのものや、GE30の更新には影響はないが、実際にエラーではないログが出てしまい、
	エラー検知メールも大量送信されてしまうので対応する。
		hayabusa.mail.AbstractMailManager#create( final Map<String, String> params )

5.9.15.0 (2016/12/2)
	[edit機能対応]
	6.2.5.0Edit機能でも、条件によっては、書き込み許可するので、特殊処理廃止、の反映
		hayabusa.taglib.ViewFormTag#doEndTag()
		
	[FAQ画面の自動リンク]
	22_FAQの画面では登録にタグが使えないため、資料へのハイパーリンクが張られませんでした。
	common/option/urlAutoLink.jsを読み込んで、http開始の文字列に対して自動的にリンクを張るようにします。
		common/gamen/22_FAQ/result.jsp

5.9.14.3 (2016/11/25) 
	[editでの表示順変更]
	左右の表示順をEDITで変更した際に、右寄せのスタイルが元の順番で出力されているので修正する。
		plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()

5.9.14.2 (2016/11/18)
	[カラム名のゼロ文字列と、"-" も除外する。]
	5.9.14.1でのnullセットですが、ver.6と同じように"-"での処理を行う事で全除外とします。
		hayabusa.html.AbstractViewForm#setBooleanArray(String clsm,boolean def,boolean[] arrays)

5.9.14.1 (2016/11/11)
	[ガント修正]
	og:iGanttBarに対してid属性を追加し、startInput/endInput属性での実出力属性をstartDateInput/endDateInputとして
	タグでの出力でガントバーを動かす事が出来るようにしておきます。
	又、同時にGF7216のガント（クライアント）の画面に、マウスによる移動のサンプルを追加しておきます。
		hayabusa.taglib.iGanttBar#setStartInput( final String startInput )
		hayabusa.taglib.iGanttBar#setEndInput( final String endInput )
		hayabusa.taglib.iGanttBar#setId( final String id )
		hybs-taglib.tld
		gf/jsp/GF7216/result.jsp,update.jsp
		
	[bulkSet修正]
	bulkSetをシステムリソースで常に利用する設定としている場合に、画面でnullにセットし直す事ができませんでした。
	"null"文字列を属性で指定する事でnullセットが出来るようにします。
		hayabusa.taglib.ViewFormTag#doEndTag()

5.9.14.0 (2016/11/04)
	[カレンダポップアップサイズ]
	6.5.0.1 (2016/10/21)の内容反映
	カレンダポップアップ時のサイズを、変更します。
	Ver5 より、文字サイズを大きくした関係で、スクロールバーが出ていたため、サイズをあわせます。
	サイズ変更 '250px','265px' → '265px','260px'
		plugin/column/Editor_YMD2.java#CAL1
	
	[カンマとコロンの両方調べる]
	6.5.0.1 (2016/10/21)の内容反映　その他過去の修正も適用
		plugin.table.TableFilter_TABLE_MYSQL#makeLineList(String[] data,boolean first)
		
	[GEのhelpファイル]
	リソース系画面のHELPファイルを修正しておきます。(ロール、モードの説明）
		ge/help/GE0002.html
		ge/help/GE0003.html
	
	[TABLE_WRITER_EXCEL_TYPE対応]
	5.9.0.0でV5でもシステムリソースにTABLE_WRITER_EXCEL_TYPEを追加して、Excel出力をXLSかXLSXかを選択可能にしたものの
	fileDownload.jspの対応を入なかったので、対応しておく。
		jsp/common/	fileDownload.jsp

5.9.13.2 (2016/10/28)
	[DB定義システム]
	スクリプト出力時にCHAR系のカラムのdefault値は自動的にシングルクォートが付くようになっていた。
	しかし、defaultにはto_charのような関数が利用できるため、シングルクウォートが入る可能性があり、
	自動的に必ず付加するのは問題がある。「シングルクォートが値に無い場合」のみ付加するように変更する。
		plugin.table.TableFilter_TABLE#makeLineList( final String[] data,final boolean first )

5.9.13.1 (2016/10/21)
	[日付ピッカーの修正]
	ピッカーは最後に選択した箇所で開くようになっていますが、最初に開く際は当日となっていたため、
	入力欄の日付に従って開くように変更します。（スクリプト上はオプションで元々指定可能）
		jsp/common/eventScript#glDatePicker
		
	[admin画面追記]
	追加機能(REQ.xxx , VAL.xxx)の表示追加
		jsp\common\gamen\01_ADMIN\printRequesMethodt.jsp
		jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		jsp\common\gamen\01_ADMIN\parameter.jsp
		
	[ファイルアップロードタグ修正]
	アップロードタグではリクエスト変数が使えないため、エラーとするためのチェックを5.7.4.3で入れたが、
	これがあるとバージョンアップ時に修正漏れが発生する可能性が高いのでV5ではチェックを外しておく。
		hayabusa.taglib.FileUploadTag#setFileURL( final String url )
		
	[OpenOfficeの一時ファイル削除]
	5.8.0.1 (2014/09/12)で作成したバッチファイルを常時正常終了させておくと同時に、タスクスケジューラへの登録バッチを作成しておきます。
	これは、サービス化で動作させた場合に通常ルートでは削除されないため、起動時削除を行わせるためです。
		uap/bin/sOfficeTempDel.bat
		uap/bin/sOfficeTempDelTsk.bat

5.9.13.0 (2016/10/07)
	[VAL追加 6.5.0.0 (2016/09/30)]
	同名のvalue値とリクエスト変数では、リクエスト変数が上位なので、value値を取り出したい場合に使用します。({@VAL.xxx})
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

5.9.12.4 (2016/09/30)
	[シート指定修正]
	ExcelのシートNO指定で、ハイフンとアスタリスクが正しく動作しない場合があるので修正します。
	今までこの機能は英字に対応していましたが、そのため1桁の処理が正しく動作していなかったため、英字対応をやめます。
	（6.2.6.0 (2015/06/19)のV5への反映）
		fukurou.util.StringUtil#csv2ArrayExt( final String csvData , final int maxNo )
		fukurou.util.StringUtil#csv2ArrayExt2( final String csvData , final int maxNo )

5.9.12.3 (2016/09/23)
	[時間ピッカー機能追加]
	スクリプトに秒（00固定）付きで値を返すような機能を付加しました。
	usesecond属性でtrueを指定した場合に付加されるようにしておきます。
	エンジンのパラメータからの指定は5つ目のパラメータで指定します
		plugin.column.Editor_HM#createOptions( final String editPrm )
		jsp/common/eventScript.js#ogClockpicker
		
	[simpleMenuの修正]
	今までの書き方ではog:text内でマルチセッションエラーが出た場合に内容が出力されないため、
	simpleMenuの書き方を修正します。
		jsp/menu/simpleMenu.jsp

5.9.12.2 (2016/09/16)
	[HTML5用ポップアップ修正]
	スクロール時のドラッグ移動処理が正しくなかったので修正します。
	同時にスムーズ化、冗長処理の削除を行います。
		jsp/common/option/html5modalDialog.js

5.9.12.1 (2016/09/09)
	[カラムの不要文字削除]
	queryConvert.jsではfocusOut時に動作させる設定を入れている。
	しかし、初期セットされた値に対してはそのままでは動作しないため、検索時にエラーが発生する場合がある。
	本来はsubmit時に変換をかけた方がユーザには分かりやすいかもしれないが、とりあえず初期セットに対して
	focusOut時と同じロジックを走らせる。
		jsp/common/queryConvert.js
		
	[Excel出力の改善]
	Excel追記モードで、シートにデータを上書きする設定(sheetOverwrite)を追加します。
	また、書込み完了後に指定シート(recalcSheetName)の内容を再計算させる事が出来るようにします。
	(これを行わないと、シートの位置によって計算されたりされなかったりする）
	これにより、雛形ファイルに追記する事で、出力したデータを利用した集計を別シートで行う事が可能になります。
		hayabusa.taglib.WriteTableTag#release2()
		hayabusa.taglib.WriteTableTag#create( final PrintWriter out )
		hayabusa.taglib.WriteTableTag#setSheetOverwrite( final String flag )
		hayabusa.taglib.WriteTableTag#setRecalcSheetName( final String sheet )
		hayabusa.io.TableWriter#setSheetOverwrite( final boolean flag )
		hayabusa.io.TableWriter#setRecalcSheetName( final String sheet )
		hayabusa.io.AbstractTableWriter#setSheetOverwrite( final boolean flag )
		hayabusa.io.AbstractTableWriter#setRecalcSheetName( final String sheet )
		plugin.io.TableWriter_Excel#setSheetOverwrite( final boolean flag )
		plugin.io.TableWriter_Excel#setRecalcSheetName( final String sheet )
		plugin.io.TableWriter_Excel#writeDBTable()
		hybs-taglib.tld

5.9.12.0 (2016/09/02)
	[queryButtonでの出力]
	queryButtonで出力されているtableタグにframe属性が付いていましたが、表示上の互換がないため削除しておきます。
	（frame=border設定は外枠を表示する設定だが、IEでは表示されず、Chromeでは表示されている)
		hayabusa.taglib.QueryButtonTag#doEndTag()
		
	[クライアントガント修正]
	終了日を超えたマーカーは表示しないように仕様を変更します。
		jsp/common/option/adjustGanttTable.js#showGantBar( gantTd ,listGantBar ,lineHeight )

5.9.11.1 (2016/08/10)
	[Excel出力修正]
	Excel出力時にPreタグやTextareaタグがそのまま出力されてしまう問題に対応します。
	V6ではcolumnタグでタグを付けないデータを出すメソッドを追加しており、ステップ数としてはその方が良いのですが、
	V5では現行のspanタグをとるメソッドに同じようにpre,textareaを外す処理を加えておきます。
		fukurou.util.StringUtil#spanCut( final String data )

5.9.11.0 (2016/08/05)
	[クライアントガント修正]
	IE10,11モードで表示領域を超えた箇所にバーが表示される場合があるため、修正します。
		jsp/common/option/adjustGanttTable.js#showGantBar( gantTd ,listGantBar ,lineHeight )
		
	[YMD3スクリプト修正]
	一覧等で大量に利用した場合に描画が遅いため修正します。
	プラグインでアタッチ時に予めカレンダーを作成していましたが、作成しないように変更します。
		jsp/common/eventScript.js#glDatePicker

5.9.10.5 (2016/07/22)
	[ImageTimeBar修正]
	5.9.10.2で予定データに対応しましたが、最終データのみしか対応できていませんでした。
	各行のブレイクデータに対しても同様の処理を行います。
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)

	[textタグでのxssチェック]
	そのままではタグ付きでのリクエストを表示できないため、textタグでのコントロールを可能にしておきます。
	通常は利用しません。
		hayabusa.taglib.TextTag#doStartTag()
		hayabusa.taglib.TextTag#release2()
		hayabusa.taglib.TextTag#setXssCheck( final String flag )
		hybs-taglib.tld

5.9.10.4 (2016/07/19)
	[PiePlot修正]
	円グラフで色を指定出来るようにする。
		hayabusa.io.ChartPlot_Pie#getPlot( final ChartCreate create )

5.9.10.3 (2016/07/15)
	[ImageTimeBar修正]
	timeBarParam タグの linkClm 属性で制御できるのは、href= で
	始まる値だけでしたが、そのようなアドレスを作るのは難しいため、
	viewLink , linkタグで簡単につくれるようにします。
		plugin.view.ViewForm_ImageTimeBar#imageMeker( final Graphics2D g2,final Color oldColor,
							 final int imgX,final int imgY,final int imgW,
							 final boolean useTipsLink,final int row,final StringBuilder outBuf )
	
	[Process_TableWriterの修正]
	データ中のダブルクウォートを、重ねるか重ねないかの選択を可能にする。
		fukurou.process.Process_TableWriter#init( final ParamProcess paramProcess )
		fukurou.process.Process_TableWriter#writeData( final LineModel data )

5.9.10.2 (2016/07/08)
	[カレンダーポップアップ修正]
	カレンダーのポップアップ(YMD2)のスクリプトにはサイズ調整のロジックが入っていますが、
	無限ループに入るパターンがあるため修正します。
		jsp/common/calendar2.js

	[ImageTimeBarのdebug対応]
	viewParamタグでdebug=trueを指定した場合に、ViewForm_ImageTimeBarのデバッグ情報を標準出力するようにします。
	また、予定データが存在している事が想定されていないため、対応します。
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)
		plugin.view.ViewForm_ImageTimeBar#paramInit()
		hayabusa.taglib.ViewParamTag#doEndTag()

5.9.10.1 (2016/07/02)
	[YMD3修正]
	カレンダーのドラッグ移動が正常動作しておらず、常用する機能でもないので外しておきます。
	（jQueryのエラーが発生する）
		jsp/common/eventScript.js#glDatePicker

5.9.10.0 (2016/07/01)
	[columnタグのxssチェック]
	xssチェックのセットがdoAfterBodyにあり、falseとしてもdoStartTagで引っかかる状態となっているため、
	useXssCheckメソッドをdoStartTagに移動します。
		hayabusa.taglib.ColumnTag#doAfterBody()
		hayabusa.taglib.ColumnTag#doStartTag()

5.9.9.3 (2016/06/24)
	[ImageTimeBarﾀｸﾞのuseLastData属性処理]
	6.4.7.1の修正を反映。
	ImageTimeBarﾀｸﾞのuseLastData属性処理で、true(初期値)のときは、最後のデータが
	そのまま継続していることを示し、false の場合は、そこで打ち切りとしていますが、
	false にすると、何も表示されなくなります。
	これは、6.0.2.0 (2014/09/19) で、imageMekerメソッドをすべてまとめた際のﾊﾞｸﾞです。
	最後の処理のみ、このフラグが有効になるように、変更します。
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)
		plugin.view.ViewForm_ImageTimeBar#imageMeker(Graphics2D g2,Color oldColor,int imgX,int imgY,int imgW,boolean useTipsLink,int row,StringBuilder outBuf)
		
	[ガントスクリプトの修正]
	ヘッダ固定同様、最初にbodyの高さが取得できない場合は遅延実行させるようにします。
		jsp/common/option/adjustGanttTable.js

5.9.9.2 (2016/06/17)
	[readTableのsheetName対応]
	5.9.0.0でXLSX対応としてExcelの読み込みをV6方式に変更した際にsheetNameが効かなくなっていたため、対応します。
	この対応により、シート名を指定した際には必ず1シート目が読み込まれるのではなく指定シートが読み込まれますが、
	対応するシートが存在しない場合はエラーとなります。
		plugin.io.TableReader_Excel#readDBTable()
	

5.9.9.1 (2016/06/10)
	[リクエスト変数取得]
	{@REQ.xxx}でリクエスト変数の取得を可能にします。
	(6.4.6.1同等対応)
	 * <tr><td>ROWCOUNT           </td><td style="white-space: normal"><jsp:expression>チェックされた件数</jsp:expression></td></tr>
	 * <tr><td>RequestURL         </td><td style="white-space: normal"><jsp:expression>request.getRequestURL()</jsp:expression></td></tr>
	 * <tr><td>AuthType           </td><td style="white-space: normal"><jsp:expression>request.getAuthType()</jsp:expression></td></tr>
	 * <tr><td>ContextPath        </td><td style="white-space: normal"><jsp:expression>request.getContextPath()</jsp:expression></td></tr>
	 * <tr><td>Method             </td><td style="white-space: normal"><jsp:expression>request.getMethod()</jsp:expression></td></tr>
	 * <tr><td>PathInfo           </td><td style="white-space: normal"><jsp:expression>request.getPathInfo()</jsp:expression></td></tr>
	 * <tr><td>PathTranslated     </td><td style="white-space: normal"><jsp:expression>request.getPathTranslated()</jsp:expression></td></tr>
	 * <tr><td>QueryString        </td><td style="white-space: normal"><jsp:expression>request.getQueryString()</jsp:expression></td></tr>
	 * <tr><td>RemoteUser         </td><td style="white-space: normal"><jsp:expression>request.getRemoteUser()</jsp:expression></td></tr>
	 * <tr><td>RequestURI         </td><td style="white-space: normal"><jsp:expression>request.getRequestURI()</jsp:expression></td></tr>
	 * <tr><td>ServletPath        </td><td style="white-space: normal"><jsp:expression>request.getServletPath()</jsp:expression></td></tr>
	 * <tr><td>RemoteAddr         </td><td style="white-space: normal"><jsp:expression>request.getRemoteAddr()</jsp:expression></td></tr>
	 * <tr><td>RemoteHost         </td><td style="white-space: normal"><jsp:expression>request.getRemoteHost()</jsp:expression></td></tr>
	 * <tr><td>Scheme             </td><td style="white-space: normal"><jsp:expression>request.getScheme()</jsp:expression></td></tr>
	 * <tr><td>ServerName         </td><td style="white-space: normal"><jsp:expression>request.getServerName()</jsp:expression></td></tr>
	 * <tr><td>ServerPort         </td><td style="white-space: normal"><jsp:expression>request.getServerPort()</jsp:expression></td></tr>

		hayabusa.taglib.CommonTagSupport#getRequestMethod(String attkey)
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

5.9.9.0 (2016/06/03)
	[ImageTimeTable]
	ImageTimeTableの実装を、Ver.6の形にある程度合わせます。
	（ラムダ式等はバージョンの関係上使えないため、一部異なる）
		fukurou.util.ColorMap#getColorInstance
		hayabusa.taglib.ViewTimeBarParamTag#setHeaderHeight( final String headerHeight )
		plugin.view.VieiwForm_ImageTimeBar#create( final int startNo, final int pageSize )
		plugin.view.VieiwForm_ImageTimeBar#paramInit()
		plugin.view.VieiwForm_ImageTimeBar#calcImageSize( final int startNo , final int lastNo )
		plugin.view.VieiwForm_ImageTimeBar#FlgColorMap
		plugin.view.VieiwForm_ImageTimeBar#FlgColorObj
		hybs-taglib.tld
		
	[左右分割時の文字寄せ修正]
	tableIdで文字寄せの適用範囲を指定していたため、splitViewの場合は左右が同じ条件になっていました。
	プラグインに渡すパラメータをtableIdではなくviewClassという名称に変更した上で、X1,X2を付加します。
	(6.4.6.1同等対応)
		hayabusa.taglib.ViewFormTag#doStartTag()
		hayabusa.taglib.ViewFormTag#doEndTag()
		hayabusa.taglib.ViewFormTag#release2()
		hayabusa.taglib.ViewFormTag#splitViewParamSet()
		hayabusa.html.ViewForm#setViewClass( final String clazz )
		hayabusa.html.ViewForm#getTableId(); 削除
		hayabusa.html.AbstractViewForm#setViewClass( final String clazz ) 
		hayabusa.html.AbstractViewForm#getViewClass()
		hayabusa.html.AbstractViewForm#setTableId( final String tableId )  削除
		hayabusa.html.AbstractViewForm#getTableId()   削除
		hayabusa.html.AbstractViewForm#getTableClazz()   削除
		plugin.view.ViewForm_HTMLTable#makeNthChild( final StringBuilder buf , final int ad , final String dbType )
		
	[ポップアップ修正]
	modalDialogでiframeのページを上げた際に、選択値が返ってこない現象の対応を行います。
	parentが存在する場合は、parentのwindow.returnValueに値をセットします。
		jsp/common/default.js#rtnPopup( rtnValue )

5.9.8.4 (2016/05/27)
	[ImageTimeTable修正]
	Paramで日付の桁数の判断がおかしいため、修正します。
		hayabusa.taglib.ViewTimeBarParamTag#setStartDate( final String startDate )
		hayabusa.taglib.ViewTimeBarParamTag#ViewTimeBarParamTag()

5.9.8.3 (2016/05/20)
	[時間ピッカー修正]
	AM,PMではなく24時間制で表示します。
	また、選択時にchangeイベントが走っていなかったので、走らせるようにします。
		jsp/common/eventScript.js#ogClockpicker
		
	[カラーピッカー修正]
	ピッカーでの選択時にchangeイベントを発生させるようにします。
	又、bulksetで動作していなかったので、対応させます。
		jsp/common/eventScript.js#simpleColorPickerOg

5.9.8.2 (2016/05/16)
	[簡易処理用の static メソッド作成]
	6.4.5.3の対応と同じ
		fukurou.util.StringFormat#getValue(String oldVal)

	[INDBMENU修正]
	一覧での利用時、input側のvalue値に$1を使うようにします。
		plugin.column.Editor_INDBMENU#getValue( final int row,final String value )
		plugin.column.Editor_INDBMENU#getValue( final String value )
		
	[RFW帳票制御コード対応]
	RFW用出力で、制御コードの//EOR//が出た場合はその箇所のみダブルクウォートで囲わないようにします。
		plugin.report.CSVPrintPointService_RFW#makebody()

5.9.8.1 (2016/05/13)
	[HTML5向けPOPUP修正]
	元々のモジュールの構造として、Ajaxでの応答がsuccessの場合にiframeタグを作成するようになっていましたが、
	二度アクセスされる冗長な構造のため即時実行に変更します。
		jsp/common/option/html5modalDialog.js#showModalDialog(tgturl, args, options, p_this,p_out_Array,p_append)
		
	[CSV取込み時の判定処理追加]
	CSVファイルの中から、特定の行（例えばログファイルからエラー行）のみを取込み対象と出来るように、
	readTableに対してmatchKeys,matchValsを追加します。
	matchKeysで指定したカラムがmatchValsの正規表現を満たした行のみテーブルモデル上に取り込みます。
	処理順はcolumnCheck等と同じで、カンマ分解してからリクエスト編集変換処理をかけています。
	この機能は、とりあえずDefaultタイプのみに実装します。
		hayabusa.io.TableReader#setMatchKeys( final String[] keys )
		hayabusa.io.TableReader#setMatchVals( final String[] vals );
		hayabusa.io.AbstractTableReader#matchCheck(final String[] data, final String[] names)
		hayabusa.io.AbstractTableReader#setMatchKeys( final String[] keys )
		hayabusa.io.AbstractTableReader#setMatchVals( final String[] vals )
		hayabusa.taglib.ReadTableTag#release2()
		hayabusa.taglib.ReadTableTag#setMatchKeys( final String keys )
		hayabusa.taglib.ReadTableTag#setMatchVals( final String keys )
		hayabusa.taglib.ReadTableTag#create( final BufferedReader out )
		plugin.iio.TableReader_Default#readDBTable( final BufferedReader reader )
		hybs-taglib.tld
		gf/jsp/GF6250
		
	[bulkSetの改善]
	BulkSet時に、一覧でEventColumnが動作しする場合にBulkの値が消えてしまう問題に対応しておきます。
	ヘッダを再構築する際に元の値を保持しておきます。
		jsp/common/scrollBar2.js#adjustSB

5.9.8.0 (2016/05/02)
	[HTML5向けPOPUP修正]
	１）フレームを持っているポップアップから、さらにポップアップを上げた場合に正しく動作していませんでした。
	　閉じた場合はbodyに保存していた自身のwindowオブジェクトを削除するようにします。
	２）rtnPopupからwindowオブジェクトを取る方法を、他に合わせます。
	３）同一画面でポップアップを２度立ち上げた際に、文字入力が出来なくなる現象を修正します。
	　原因は不明（IE不具合？）ですが、閉じる前にfocusを別の箇所に当てる事で回避できました。
		jsp/common/option/html5modalDialog.js#showModalDialog(tgturl, args, options, p_this,p_out_Array,p_append)
		jsp/common/option/html5modalDialog.js#rtnPopup( rtnValue )

5.9.7.1 (2016/04/06)
	[Excel取込み時のNullBreakClm対応]
	XLSX対応時にNullBreakClmが効かなくなっていたため対応します。
		plugin.io.TableeReader_Excel#readDBTable()
	
	[topMenuのGROUP対応]
	menuType="GROUP"の場合にもgroups属性が効くようにする。
		hayabusa.taglib.TopMenuTag#makeGroupMenu()
		
	[DBType_PN2のTRIM]
	後方のスペースのみ削除していましたが、前後のスペースを削除するようにします。
		plugin.column.DBType_PN2#valueSet( final String value )
		jsp/common/queryConvert.js

5.9.7.0 (2016/04/01)
	[左右分割スクロール修正]
	互換モードでsplitViewを利用すると正しい高さにならないため、修正します。
		jsp/common/scrollBar2.js
		
	[viewFormTypeにJSON追加]
	ファイル保存ではなく、直接JSONとしてのデータを出力できるようにVIEWでJSON形式を出せるようにします。
	viewFormType="JSON"で指定してください。
	出力形式は以下です。
	{ "DATA":[{"カラム名":"値(1行目)"},{"カラム名":"値(2行目)"}]
	 ,"HEAD":{"カラム名":"ラベル"}
	 ,"INFO":{ }
	}
	viewParamとしてjsonParamが利用出来ます。
	useHead,useInfoのfalse指定で出力からヘッダとINFOを削除します。(標準はtrue)
	dataNameで"DATA"の名称を変更します。
	useRendererをtrueにする事でレンデラーを利用した出力となります。(標準はfalse)
		hayabusa.html.ViewJsonParam
		hayabusa.taglib.ViewJsonParamTag
		plugin.view.ViewForm_JSON
		hybs-taglib.tld
		gf/jsp/GF6450 JSONサンプル

5.9.6.4(2016/03/25)
	[JSON向けのエスケープ]
	JSONで出力する際に、改行文字等の特定文字はエスケープする必要があるため、メソッドを用意しておく。
		fukurou.util.StringUtil#jsonFilter( final String input )

5.9.6.3 (2016/03/18)
	[valueタグでのMD5変換]
	valueタグで値をMD5変換する機能を追加します。
	変換したい文字列をvalueにセットして、action="MD5"を指定してください。(commandはSET）
		hayabusa.taglib.ValueTag#actionExec( final String action,final String value )
		
	[RFWのNAS対応]
	RWF側の仕様上、ヘッダ部分のRDSetOutputFileNameはNASの名称を含まないようにする必要があるため、
	5.9.6.2の対応に追加します。
		plugin.report.CSVPrintPointService_RFW#execute()

5.9.6.2 (2016/03/11)
	[RFWのNAS対応]
	RFWでNASにファイルを出力するためには、RFWのJOBに対して１つ指定する形となります。
	つまり、NAS単位にCSVを出力するフォルダを分ける必要があります。
	RFWのプラグイン側で、最終の帳票出力先が\\から開始される場合にはCSV出力先に対して
	「_NAS名」を追加するようにします。BIGジョブ指定の場合は「_NAS名_BIG」となります。
	フォルダが存在しない場合はエラーとなります。
		plugin.report.CSVPrintPointService_RFW#execute()
		
	[非遷移エラーダイアログの高さ制限]
	Ajaxを利用した登録処理で、エラーが発生した場合のダイアログの高さの上限を指定しておきます。
	jqmAlertContentにmax-heightを500px、 overflow-yにscrollを指定してます。
		jsp/common/option/jqModal.css#jqmAlertContent
		
	[YMD2ポップアップ改善]
	カレンダーの数字が10px指定となっていましたが、無指定に変更して文字を大きくします。
		jsp/common/calendar2.css

5.9.6.1 (2016/03/04)
	[新モーダルのファンクション追加]
	上げられた側から、上げ元のWindowオブジェクトを取得するためのファンクションを追加します。
	又、close処理を行うfunctionも追加しておきます。
		jsp/common/option/html5modalDialog.js#getPopParent()
		jsp/common/option/html5modalDialog.js#getPopArgs()
		jsp/common/option/html5modalDialog.js#setPopCallback( f )
		jsp/common/option/html5modalDialog.js#popClose()
		
	[YMD3のモジュール修正]
	カレンダーピッカーのサイズを、winodowの高さに応じて135-180pxの間で可変とします。
	135pxであれば入力部２段＋検索ボタン＋ヘッダー領域で範囲に収まります。
	表示領域がある場合は180pxまでの間で動的にサイズを変更します。
	又、カレンダのヘッダ部の文字サイズを1px分小さくします。
		jsp/common/eventScript.js#glDatePicker
		jsp/common/default.css
		
	[Queryヘッダのリンク修正]
	topMenuタグのONELEVELやNEXTGUIのリンクは、jsp/result.jspを利用していました。
	マトリクスメニュー時はフレームを利用するresult.jspで問題ありませんが、
	通常の画面で利用すると現在のフレームの下にさらにフレームを作る形になってしまっていました。
	２つのmenuTypeの場合にはresult.jspではなく、各画面IDのindex.jspとします。
		hayabusa.taglib.TopMenuTag#makeOneLevelMenu()
		hayabusa.taglib.TopMenuTag#makeNextguiMenu()
		hayabusa.taglib.TopMenuTag#makeTagMenu( final GUIInfo guiInfo, final String bodyIn, final int type )
		
	[index3.jspの改良]
	ドラッグして場所を移動した際、ブラウザ(localStrage)に場所を保存しておき、初期値をその場所とします。
	また、ドラッグ部分をダブルクリックする事で、マウスを外しても閉じないようにしておきます。
		jsp/index3.jsp

5.9.6.0 (2016/03/01)
	[ポップアップの閉じるボタン変更]
	若干ポップアップボタンの大きさが小さいので、大き目の画像に変更します。
	同時に、該当箇所のmargin,paddingはインラインではなくCSSから指定にします。
		jsp/common/option/html5modalDialog.css
		jsp/common/option/html5modalDialog.js
		jsp/image/cross.png
		
	[popupタグの.value記法変更]
	Windows8やWindows10で、稀にXXXX.valueの形でXXXXオブジェクトが取得出来なくなる場合があります。
	原因は不明ですが、this.form.XXXX.valueであれば取れるようなので、
	「.valueが最後に付いている」かつ「"."が一つしかない」のを条件にしてthis.form.を先頭に付加します。
		hayabusa.taglib.PopupTag#addQuote( final StringBuilder buf, final String val, final boolean useKey )
		
	[RFWの拡張子対応]
	RFWのプラグインに拡張子を自動でセットする対応を入れておきます。
	OUTDIRにドットが存在していない場合にPDF,XLS,XLSXが指定されている場合にヘッダの指定で、拡張子を自動で付加します。
		plugin.report.CSVPrintPointService_RFW#makeheader()

5.9.5.3 (2016/02/26)
	[index3.jspの改良]
	gamenIdが指定された場合には、メニューは初期で開かないようにします。
		jsp/index3.jsp
		
	[数値項目の右寄せ対応]
	HTML5ではcolGtoupでtextAlignが効かないため、5.9.3.3 (2015/12/26)で対応しましたが、
	複数のVIEWが表示される場合に意図しないカラムに右寄せ、中央寄せが効くため、各VIEWにtableIdに従った
	クラスを出力してスタイルを限定的に効かせるようにします。
		hayabusa.html.AbstractViewForm#setTableId( final String tableId )
		hayabusa.html.AbstractViewForm#getTableId()
		hayabusa.html.AbstractViewForm#getTableClass()
		hayabusa.html.ViewForm#setTableId( final String tableId )
		hayabusa.html.ViewForm#getTableId()
		hayabusa.taglib.ViewFormTag#doEndTag()
		plugin.view.ViewForm_HTMLTable# makeNthChild( final StringBuilder buf , final int ad , final String dbType )
		
	[HTMLエスケープ文字デコード処理の修正]
	エンコードされた文字が途中で切れている場合に無限ループになる可能性があるので修正します。
		fukurou.util.StringUtil#getReplaceEscape( final String value )
		
	[adjustBar.js修正]
	pxが付いていない箇所があったため対応します。
		jsp/common/option/adjustBar.js#adjustBar()

5.9.5.2 (2016/02/19)
	[ガントスクリプト修正]
	5.9.4.4で修正しきれていなかった箇所を対応します。
		jsp/common/option/adjustGanttTable.js

5.9.5.1 (2016/02/12)
	[adminパラメータ画面への追記]
	{@LBL.xxx %Y}の記述方法について、パラメータ画面に追記しておきます。
		jsp/common/gamen/01_ADMIN/printSystemParameter.jsp
		
	[フレームの高さ変更スクリプトの修正]
	5.9.4.3 (2016/01/15)対応分にさらに修正を加えます。
	前回の対応でも稀に対応出来ていない場合があったため、高さが０でなくなるまで待つようにします。
	通常の画面では、高さが取れるので待ちは発生しません。
		jsp/common/queryScript.js
		
	[カレンダーポップアップ修正]
	カレンダーポップアップをiFrame型のダイアログ(HTML5用モーダルダイアログ)で動作するようにしておきます。
		jsp/common/calendar.jsp
		jsp/common/option/html5modalDialog.js#getPopArgs()
		jsp/common/calendar2.js#chooseDate(date, month, year,isFmt )
		jsp/common/calendar2.js#initCalendar()
		
	[HTML5用モーダルダイアログ機能追加]
	次の機能の追加を行います。
	　・ダイアログのドラッグ移動
	　・ダイアログのリサイズ
	　・ダイアログのヘッダに閉じるボタン追加
	　・立ち上げ元画面がunloadされた場合にダイアログを閉じる
	　・close時のcallbackをセットできるようにする。
	なお、ドラッグとリサイズはjQueryプラグインが上手く効かなかったため、自前で実装しています。
		jsp/common/option/html5modalDialog.css
		jsp/common/option/html5modalDialog.js
		jsp/common/jquery/ui-icons_777777_256x240.png
		
	[PN2の修正]
	nullの場合にupperCaseでエラーが出るため、修正します。
		plugin.column.DBType_PN2
		
	[クリアボタン修正]
	クリアボタンをbutton→input に変更( 6.2.2.0 (2015/03/27)分)
		hayabusa.taglib.QueryButtonTag#getReset()

5.9.5.0 (2016/02/05)
	[Bulkセット時のchange]
	bulkセット時にセットされたカラムに対してonChangeを発生させるようにします。
		jsp/common/resultScript.js#bulkPaste( obj )
		
	[DBTypeにPN2追加]
	特殊なDBType、PN2を追加します。
	・大文字英数字で入力(XUと同等)
	・ハイフンを取り除く条件は以下の条件を全て満たした場合です。
	　入力文字が12or13桁
	　4桁目と10桁目にハイフンが入っていて、他にハイフンが存在していない
		plugin.column.DBType_PN2	新規作成
		jsp/common/queryconvert.js
		jsp/common/eventScript.js
		
	[YMD3のカレンダー機能追加]
	カレンダーの送り、戻しをマウスホイールで出来るようにします。
		jsp/common/eventScipt.js#glDatePicker
		
	[ポップアップサンプル]
	フレーム無しのポップアップサンプルのcolumnCheckの位置を変更し、checkType=NEWとしておきます。
		gf/jsp/GF6050/popup.jsp

5.9.4.5 (2016/01/29)
	[eventColumnのmultiple対応]
	selectタグでmultiple設定をしていた場合、eventColumnが動作するとリストボックスではなく通常のセレクトボックスに
	なっていたので、evnetScriptの送信するオプションの一覧に追加します。
		jsp/common/eventScript.js#eventColumn( jEvCol, jTag, cid, cname, suffix, writable )
		
	[multipleリストボックスの初期スクロール]
	IEではリストボックスがmultipleで、selectedの項目が存在する場合でもスクロール位置は先頭のままです。
	一番先頭の選択肢の位置までスクロールするスクリプトを自動実行させるようにします。
		jap/common/eventScript.js#selectScroll(_tgt)


5.9.4.4 (2016/01/22)
	[ガントスクリプトの修正]
	Edgeモードにクライアント処理型のガントを対応させます。
	IE7向けのスクリプトからの変更点は
	・xxx.yyyの属性値をget/setAttrebuteを利用に変更
	・attachEventではなく、jQueryでイベントセット
	・マウスボタン種別をevent.buttonsでも取るように変更
		jsp/common/option/adjustGanttTable.js

5.9.4.3 (2016/01/15)
	[カラーピッカー修正]
	モダンブラウザで、区切り線が飛び出ている現象が発生するため対応します。
	外側のDIVの幅指定をやめ、clear前にclear: both;を入れます。
		jsp/common/default.css
		jsp/common/eventScript.js
		
	[ヘッダ固定修正]
	IE8以降では動的に作成したiFrameの構築前にloadが処理されてしまうため、ヘッダ固定が崩れるパターンがあるようです。
	（新方式のポップアップで、command=NEW時に崩れていた）
	loadイベント実行時に、bodyサイズが0の場合は実行を中止し、1msec後に再実行をかけるようにします。
	実行が表示後となるため動きが見えてしまいますが、崩れるよりはましという判断です。
		jsp/common/scrollBar2.js
		
	[フレームの高さ変更スクリプトの修正]
	ヘッダ固定同様、最初にbodyの高さが取得できない場合は遅延実行させるようにします。
		jsp/common/queryScript.js
		
	[buttonのpadding]
	5.9.3.3 (2015/12/26)でpadding設定を解除してみましたが、一部のボタンで問題があったので
	popup及びYMD2ではsytleにpadding:0を直接出力します。
	（default.cssよりpadding:0指定をなくした事でIE7では若干通常のボタンが大きくなります）
		hayabusa.taglib.PopupTag#DEF_STYLE
		plugin.column.Editor_YMD2#CAL2
		
	[HTML5用モーダルの修正]
	呼び出される画面がフレームの場合にラジオボタンチェックで値が返せていなかったので対応します。
		jsp/common/option/html5modalDialog.js
		
	[YMD3修正]
	IE7で利用した時に、幅の算出方法の影響で日付が縦に曜日単位で揃っていませんでした。
	若干ヘッダ部分から日付セルがはみ出ますが、揃わないよりマシなので対応しておきます。
		jsp/common/option/eventScript.js#glDatePicker

5.9.4.2 (2016/01/13)
	[帳票CSV出力のXLSX対応]
	CSV出力ではExcel出力という出力区分のみ持っていましたが、Excel出力の他にExcel出力（XLSX)を追加し、RFW用プラグインを対応させます。
	同時に、オプションで指定する方式は廃止します。
		hayabusa.report2.ExecQueue#CSV_PRINT_EXCEL2
		hayabusa.report2.ExecQueue#setOutputName( final String outputDir, final String outputFile, final String type, final String yokyu )
		hayabusa.report2.ExecProcess#process()
		hayabusa.report.AbstractCSVPrintPointService#FGRUN_EXCEL2
		hayabusa.report.ReportProcessing#execute()
		plugin.report.CSVPrintService_RFW#makeheader()
		コードリソースFGRUNにJ:CSV(XLSX)追加

5.9.4.1 (2016/01/09)
	[ガント用スクリプト修正]
	Edgeを初めとするモダンブラウザに一部対応していなかったので対応します。
	・IE11ではremoveChildで配列サイズが変化しないようになった対応
	・旧IE以外で配列取得でsplitするように修正
	・capacityのセットが正しく動作していなかったのでget/setAttributesを利用に変更
		jsp/common/option/adjustGanttTable.js

5.9.4.0 (2016/01/08)
	[colorPickerのクリア対応]
	カラーピッカーで色を選択した際に、クリアする機能がありませんでした。
	一番下にクリアを追加します。
	また、backgroundを空文字設定するとIE7で透過色になってしまうためbackground-colorをセットするように変更します。
		jsp/common/eventScript.js#simpleColorPickerOg
		
	[自動画面呼び出しスクリプト]
	自動実行スクリプトに、画面アドレス単位で動的にカラムの値を入力する機能を追加します。
		jsp/custom/autoRun.jsp
		
	[ColumnCheckTag改善]
	6.4.0.2での対応内容を適応しておきます。
	・columns="*" のときのカラムは、ﾘｿｰｽに存在する分のみとする
	・ResourceManagerの取得を、先に行っておく
		hayabusa.taglib.ColumnCheckTag#makeErrorMessage(ErrorMessage errMsg)
		hayabusa.taglib.ColumnCheckTag#makeEntryErrorMessage(ErrorMessage errMsg)
		hayabusa.taglib.ColumnCheckTag#setColumns(String clms)
		
	[connectionのcloser]
	connectionのclose前にcommitを固定で発行していましたが、発行前にconnectionのvalidチェックを行います。
	これは、プールのタイムアウト時にconnectionが切断されいてる場合、commitの成否がDBによっては
	返ってこない可能性があるためです。
	validチェックのタイムアウトは10秒としておきます。
		fukurou.util.Closer#connClose( final Connection conn )

	[YMD2の修正]
	YMD2のカレンダーはbuttonタグを利用して立ち上げていましたが、
	IE8よりbuttonタグのtype標準がbuttonからsubmitに変更となっています。
	typeをbuttonと指定します。（Form内でのエンターキーでの押下げで反応してしまうため）
	同時にボタンの背景色をtransparentにしておきます。
		plugin.column.Editor_YMD2#CAL1

5.9.3.3 (2015/12/26)
	[must時のrequired対応廃止]
	mustを指定した際にHTML5モードの場合は自動でrequiredを出力していましたが、
	チェックを外して登録する等で問題となるため、自動出力を廃止します。
		hayabusa.taglib.HTMLTagSupport# setMust( final String flag )
	
	[buttonタグCSS変更]
	モダンブラウザでの見た目上の問題があるので、3.8.8.2でIE6-IE7間の対応で入れていたbuttonタグへのpaddin:0の設定を解除します。
		jsp/common/default.css
	
	[HTML5のcolgroup対応]
	HTML5ではcolgroupで設定したtext-align等が効かないため、対応を入れておきます。
	viewから直接#viewTable td:nth-childでtext-alignを出力します。
	HTMLTable,SeqClmTable以外のViewTypeでは先頭のnumberの箇所のみ出力となります。
		plugin.view.ViewForm_HTMLTable#makeNthChild( final StringBuilder buf , final int ad , final String dbType )
		plugin.view.ViewForm_HTMLTable#getTableHead()
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLRotationTable#getTableHead()
		
	[noTransitionのエラー表示修正]
	非遷移タイプでエラー発生時のダイアログの要素が、IE8以降で正しく配置されていないので修正します。
	margin及びleft,rightを利用して中央配置とする方法とします。
	これだけではIE7モードでの表示が崩れるため、IE7向けにはCSSハックで対応しておきます。
		jsp/common/option/jqModal.css

5.9.3.2 (2015/12/21)
	[帳票RFWプラグイン修正]
	XLSXとして出力できるようにします。
	RFW_EXCEL_TYPEで標準がXLSかXLSXかを指定可能にします。
	何も指定しない場合はXLSです。
	又、雛形のオプションでRDSetOutputModeを指定している場合(indexOfが<0でない場合)は
	そちらが優先されます。
		plugin.report.CSVPrintPointService_RFW#makeheader()

5.9.3.1 (2015/12/18)
	[queryButtonタグ修正]
	useTimeViewをシステムリソースでコントロール可能にします。
	（6.3.6.0対応分）
		hayabusa.taglib.QueryButtonTag#release2()
		hayabusa.common.SystemData#VIEW_USE_TIMEBAR
		
	[帳票RFW用プラグイン修正]
	ManagerUtil上で帳票に関する情報を表示するため、CSVのコントロールヘッダに情報を追加します。
	ドキュメント名に雛形ID、コンピュータ名にCSVファイル名、ユーザ名にシステムID
	を出力します。
		plugin.report.CSVPrintPointService_RFW#makeheader()
		
	[UnicodeCorrecter修正]
	fukurou.mailパッケージに存在していたUnicodeCorrecterをfukurou.utilに移動し、
	エンコード形式によって適用するかどうかを判断するメソッドを追加します。
		fukurou.mail.UnicodeCorrecter -> fukurou.util.UnicodeCorrecter
		fukurou.mail.MailCharsetFactory include変更
		fukurou.mail.MailMessage include変更
		
	[Calc帳票対応]
	Calc帳票の固定長分割の箇所で文字コード変換を行っていますが、上記UnicodeCorrecterを利用して
	波ダッシュ問題の対応を行っておきます。
		hayabusa.report2.QueueManager_DB#create()

5.9.3.0 (2015/12/04)
	[mailSender修正の追加対応]
	・Ver.5に対しては添付ファイル名を履歴に残すようにしておきます。
	・USE_MAILSENDER_HISTORYをSystemDataに追加していなかったので、追加しておきます。
	・その他、コメントの修正を行います。
		hayabusa.mail.MailModuleUtil#setInitParams(...)
		hayabusa.taglib.MailSenderTag#doEndTag()
		hayabusa.common.SystemData#USE_MAILSENDER_HISTORY
		hayabusa.mail.MailSenderTag その他コメント対応
		
	[帳票CSV出力機能追加]
	・帳票定義単位に、オプションを記述出来るようにします。
	　このオプションをRFWプラグインでCSVのヘッダに出力します。
	　これに伴ってGE54にOPTIONSカラムを追加します。
	　エンジンの内部的には今の所CSVPrintRequestでしか利用しないため、カラムを追加しなくても
	　それ以外の発行では問題なく動作はします。
	・ページエンドカットフラグをプラグイン側から見る事が出来るようにしておきます。
	・RFW用プラグインのフッターデータの出力間違いを修正しておきます
		hayabusa.repotr.CSVPrintRequest#execute()
		hayabusa.report.CSVPrintPointService#setOption( String option )
		hayabusa.report.CSVPrintPointService#setFgcut( String flg )
		hayabusa.report.AbstractCSVPrintPointService#setOption( final String opt )
		hayabusa.report.AbstractCSVPrintPointService#setFgcut( final String flg )
		plugin.report.CSVPrintPointService_RFW#makeheader()
		plugin.report.CSVPrintPointService_RFW#makebody()
		ge/jsp/REP05/result.jsp,copy.jsp
		GE54.OPTIONS カラム追加

5.9.2.3 (2015/11/27)
	[mailSender改修]
	mailSenderタグでメールを送信した場合にはエンジン側には履歴を残していませんでした。
	画面からの送信のため、サーバ側でエラーになるような通常のパターンでは問題はありませんが、
	サーバ側で正常に処理された後に送信されないような状況（中継サーバ利用など）のエラー時に
	問題があるめ履歴を残せるようにします。
	mailSenderタグのuseHistory（初期値はUSE_MAILSENDER_HISTORY:false)をtrueとする事で
	GE32,34テーブルに送信履歴を限定的ながら落とすようにします。
	スキーマを分けている場合は、内部的にGE32S02シーケンスを利用しているので注意してください。
	(システムID、送信元アドレス、送信先アドレス、タイトル、本文について履歴を残します)
		hayabusa.mail.MailModuleUtil 新規作成
		hayabusa.taglib.MailSenderTag#release2()
		hayabusa.taglib.MailSenderTag#setUseHistory( final String flag )
		hayabusa.taglib.MailSenderTag#doEndTag()
		taglib.tld
		gf/jsp/GF6220/page3.jsp,result.jsp
		
	[IEのイントラネット互換モードチェック対応]
	イントラネットでの互換モードを行うチェックを入れられていても、最新のレンダリングで表示するような
	設定を入れられるようにします。
	具体的には、metaタグの http-equiv="X-UA-Compatible" content="IE=edge"の設定をheadタグで出力可能とします。
	初期値はシステムリソースのUSE_EDGE_HEADER(false)です。
		hayabusa.taglib.HeadTag#EDGE_HEAD
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#setUseEdgeHeader( final String flag )
		hayabusa.taglib.HeadTag#release2()
		hayabusa.common.SystemData#USE_EDGE_HEADER
		hybs-taglib.tld
		
	[HTML5対応modalDialogのシステムリソース設定]
	インラインフレームを利用したmodalDialogを、標準的に利用するかどうかの設定をheadタグから行えるようにします。
	useHTML5Modalの値をtrueとする事でcommon/option/html5modalDialog.jsとcssを読み込みます。
	初期値はシステムリソースのUSE_HTML5_MODAL(false)です。
		hayabusa.taglib.HeadTag#HTML5_MODAL_JS
		hayabusa.taglib.HeadTag#HTML5_MODAL_CSS
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#setUseHTML5Modal( final String flag )
		hayabusa.taglib.HeadTag#release2()
		hayabusa.common.SystemData#USE_EDGE_HEADER
		hybs-taglib.tld

	[HTML5向けポップアップ修正]
	ポップアップ表示では上位を見ていくようにしたが、BODYを持っているページが上位に存在しない場合に正しく表示されないため、
	「上位でFrameタグを持っていないwindow」を見るように修正します。
	つまり、frameではなくiframeで構成された上位が存在していれば表示されるため、今までのフレーム構造の場合は
	起動フレームにのみ表示されます。
	また、複数起動のため同様に既にポップアップが上がっている場合はそのレベルでは上げないようにします。
	その他、Close可能領域の色を少し変更しておきます。
		jsp/common/option/adjustGanttTable.js
		jsp/common/option/adjustGanttTable.css

	[Calc帳票修正]
	CSV処理で処理件数をGE50に戻すために、body件数を返すようにします。
		hayabusa.report.CSVPrintRequest#execute()
		hayabusa.report.CSVPrintRequest#getBodyCount()
		hayabusa.report2.ExecProcess#csv()

5.9.2.2 (2015/11/20)
	[fileタグ機能追加]
	fileタグにZIP圧縮機能を追加します。
	fileURL+file1のファイルもしくはディレクトリを、file2にZIP圧縮します。
	また、GFにfileタグのテスト用画面を作成します。
		hayabusa.taglib.FileTag#actionExec( final String action )
		gf/jsp/GF7150
		
	[帳票CSV出力修正]
	帳票ツール対応の一環で、CSV出力でグループIDとデーモングループを利用できるようにします。
	RFWプラグインでは出力ファイル名にグループIDを付加すると同時に、ビッグジョブ対応として
	デーモングループ名にBIGが入ってる場合は_BIGを付加したディレクトリに出力するようにします。
	（その他、一部コメントの修正も実施）
		hayasuba.report2.ExecQueue#setGrpId( final String id )
		hayasuba.report2.ExecQueue#getGrpId() 
		hayasuba.report2.ExecQueue#setDmnGrp( final String name )
		hayasuba.report2.ExecQueue#getDmnGrp()
		hayasuba.report2.QueueManager_DB#create()
		hayasuba.report.CSVPrintRequest#CSVPrintRequest( final String systemId, final String ykno
			, final String listId, final String lang, final String fgrun, final String prtid
			, final String prgdir, final String prgfile, final String outdir , final String filename
			, final String grpid, final String dmngrp, final boolean isDebug )
		hayasuba.report.CSVPrintRequest#execute()
		hayasuba.report.CSVPrintPointService#setGrpId( String id )
		hayasuba.report.CSVPrintPointService#setDmnGrp( String name )
		hayabusa.report.ReportProcessing#execute()
		hayabusa.report.AbstractCSVPrintPointService#setGrpId( final String id )
		hayabusa.report.AbstractCSVPrintPointService#setDmnGrp( final String name )
		plugin.report.CSVPrintPointService_RFW#execute()
		
	[ヘッダ固定修正]
	chromeで、横スクロールバーしか出ない場合にデータが隠れていました。
	スクロースバーの幅が取得できない場合に、強制的に17px扱いとします。
		jsp/common/scrollBar2.js#getSBWidth

5.9.2.1 (2015/11/13)
	[帳票verify画面修正]
	ヘッダのみ存在して、フッタが存在しない帳票でverify画面を開くと、
	フッタがヘッダと同じ情報として表示されてしまうため、tableIdを付加しておきます。
		ge/jsp/REP02/vefiry.jsp
		
	[TimeoutID の未定義エラー対策]
	ポップアップ等で検索中表示のスクリプトのエラーが発生するため対応。
	(V6はインクルード方式に変更されているが、V5はとりあえずこの方式のままとする)
		hayabusa.taglib.HeadTag#UNBLOCKUI_READY
		
	[hideMenuタグ修正]
	idを指定した際に正しい形で出力されていなかったため、修正します。
		hayabusa.taglib.HideMenuTag#doStartTag()

5.9.2.0 (2015/11/06)
	[ガントヘッダー見直し]
	5.9.0.1でIE用ganttCSSを作成しましたが、IE以外でも実用上問題なく表示させるため全面的にヘッダーの構造を見直します。
	単純なテキスト出力であったものを、divを日付単位で配置した構造に変更しています。
	エンジンのバージョンアップが簡単に出来ない環境で互換モードを解いたIEを利用する場合は、ganttIE.cssを読み込んで対応してください。
	廃止タグを利用していたGF7218/result.jspをGanttHeaderタグ利用に変更します。
		hayabusa.taglib.GanttHeaderTag
		jsp/common/default.css
		gf/jsp/GF7218/result.jsp

5.9.1.3 (2015/10/30)
	[HTML5向けポップアップ改良]
	html5modalDialog.jsを利用した画面内表示のポップアップは、同一フレーム内でポップアップフレームを作成していたため、
	Queryフレーム内での利用のようなパターンでは小さく、スクロールが出てしまっていました。
	コントロール可能な最上位フレームを探して、表示されるようにします。
	通常の場合（クロスドメインで小さいフレームに表示されていない限り）はこれでほぼ今まで通りの利用が可能となるはずです。
	該当の最上位フレーム（通常はindex.jsp)にjQueryと、html5modalDialog.cssが必要です。
		jsp/common/option/html5modalDialog.js
		jsp/index3.jsp
		
	[ColumnEditorTag の parameter属性]
	5.6.4.3で廃止となっている属性ですが、いつの間にかコメントアウトされていました。
	V5では互換性のために残しておきます。
		hayabusa.taglib.ColumnEditorTag#setParameter( final String prm )
		
	[byteでの文字列カット]
	substringは文字数でのカットですが、DBのカラムサイズに合わせたカットをする場合も想定されるため、
	fukurouにバイト数で切る関数を用意してます。
		fukurou.util.StringUtil#cut( String org, int cutBytes, String enc )
		fukurou.util.StringUtil#cut( String org, int cutBytes )
		
	[メール履歴修正]
	メール送信履歴テーブルのCONTENTSカラムを文字列型からCLOB型に変更します。
	4000文字でのカットは不要になる（又、元々文字数のため、意図した通りには機能していない）ため外します。
	又、その他項目については文字数カットをbyte数でのカットに変更します。
		hayabusa.mail.AbstractMailManager#trim( final String src, final int maxLen )
		hayabusa.mail.AbstractMailManager#commitMailDB()
		
	[タブ分割表示方法変更]
	htcファイルを利用したIE8での機能で、廃止予定タグであったTabTableTagですが、タブ間移動による情報消失が無いパターンの
	タブ分割表示も残しておいた方が良いのでjQueryを利用した方法に変更します。
	利用時はjQuery-UIが必要です。
	headタグを修正し、useTabstripをtrueとした場合にhtcファイルではなくjQuery-UIをロードするようにします。
	内部的にはuseTabstripは廃止し、useJQUIとしますが、属性はV5では互換のため残しておきます。
	若干大きさや色に変更がありますが、そのままのソースで表示可能です。
		jsp/common/jquery/jquery-ui.css 	追加
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#release2()
		hayabusa.taglib.HeadTag#setUseTabstrip( final String flag )
		hayabusa.taglib.HeadTag#setUseJQUI( final String flag )
		hayabusa.html.TabData#getTab( final String inStyle ) 削除
		hayabusa.html.TabData#getTab( final String inStyle, int i )
		hayabusa.html.TabData#getTabBody() 削除
		hayabusa.html.TabData#getTabBody( int i )
		hayabusa.html.TabData#getStyleString( final String defStyle, final String inStyle )
		hayabusa.taglib.TabTableTag#makeTag()
		hayabusa.taglib.TabTableTag#makeHorizontalTag()
		hayabusa.taglib.TabTableTag#makeVerticalTag()
		hayabusa.taglib.TabTableTag#setHeight( final String ht )
		hayabusa.taglib.TabTableTag#setWidth( final String wh )
		hayabusa.taglib.TabTableTag#setSelectedIndex( final String no )
		hayabusa.taglib.TabTag コメント修正
		hybs-taglib.tld

5.9.1.2 (2015/10/23)
	[RFW用出力変更]
	社内では帳票システムのプリンタIDをRFWのプリンタ名と一致させるようにするため、
	CSV出力上のRDSetOutputPrinterはプリンタ名ではなくプリンタIDを出力します。
		plugin.report.CSVPrintPointService_RFW#makeheader()

	[iframeタグ新規作成]
	HTML5ではframeタグは廃止となり、iframeタグを利用するようになっていますが、エンジンにiframeタグを作成する機能がなかったため追加します。
	iframeタグはframeタグを継承して作成しているため、元のprivateメソッドをprotected化しています。
		hybs-taglib.tld
		hayabusa.taglib.IframeTag 新規作成
		hayabusa.taglib.FrameTag#getUrlEncode()
		hayabusa.taglib.FrameTag#isNormalRequestKey( final String key )
		hayabusa.taglib.FrameTag#dbTable
		fukurou.util.XHTMLTag#IFRAME_KEY
		fukurou.util.XHTMLTag#iframe( final Attributes attri,final String urlEncode )

	[index画面の追加]
	フレームを切ってメニューを表示するのではなく、JavaScriptを利用してiframeで表示させるタイプのindexを作成しておきます。
	試作的扱いですが、mouseoutによる遅延自動折り畳みが実行されるよう適用しています。メニューの移動も可能です。
		gf/jsp/index3.jsp
		gf/jsp/menu/simpleMenu.jsp
		jsp/common/default.css
		
	[htmlend.jsp修正、追加]
	og:headタグのペアとして、純粋にhtmlタグの終了タグのみを持つhtmlend2.jspを作成しておきます。
		jsp/common/htmlend2.jsp
		
	[自己終了タグの出力修正]
	HTML5の自己終了対象外タグで、自己終了として出力している箇所で気が付いた部分を修正しておきます。
		hayabusa.taglib.TopMenuTag#makeOneLevelMenu()
		hayabusa.taglib.QueryButtonTag#getEditSelect( final DBEditConfig[] configs, final String selEditName )
		hayabusa.servlet.HybsAdmin#getSystemResource() 
		hayabusa.servlet.HybsAdmin#ClassInfo
		hayabusa.servlet.HybsAdmin#getLoginUser( final String sort,final boolean direc )
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLRotationTable#getHead()
		plugin.view.ViewForm_HTMLSeqClmTable#getHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#getHead()
		plugin.view.ViewForm_HTMLTable#getHead()
		jsp/common/htmlend.jsp
		jsp/common/gamen/01_ADMIN/printConfig.jsp, printContext.jsp, printHeader.jsp, printPageContext.jsp
			,printRequesMethodt.jsp, printRequest.jsp, printSettion.jsp, printSystemInfo.jsp, printSystemParameter.jsp, printUserData.jsp, printUserInfo.jsp
			
	[XLSX出力の形式選択]
	fileDownload.jspを利用したExcel出力で、xls,xlsxの形式をシステムリソースで設定可能とします。
	（6.2.0.0で対応されているTABLE_WRITER_EXCEL_TYPEをVer.5にも追加します）
	初期値はxlsとします。
		hayabusa.common.SystemData#TABLE_WRITER_EXCEL_TYPE
		
	[日付ピッカー修正]
	新日付ピッカーでは元のスクリプトから日付文字列の合成方法を変更していたため、
	特定の日付で数値として加算される不具合がありました。修正します。
		jsp/common/eventScript.js#glDatePicker

5.9.1.1 (2015/10/09)
	[GE ロールエラー]
	6.3.8.0対応分
	検索条件にロールを指定するとエラーになっていた為、画面JSPを修正しました。
		ge/jsp/GE0001/result.jsp
		ge/jsp/GE0002/result.jsp

5.9.1.0 (2015/10/02)
	[ユーザの言語変更対応]
	ユーザの言語(UserInfoのLANG)をadminサーブレットで変更出来るようにしておきます。
	admin?COMMAND=USERINFO&LANG=ja
	のようにして、COMMAND=UserInfoでLANGを指定する事で言語を切り替えた上で、GUIリソースを再ロードします。
	AjaxでCallして、メニューをリロードするような処理を組み込めば動的に言語の切り替えが可能となります。
		servlet/HybsAdmin#doGet( final HttpServletRequest req, final HttpServletResponse res)
		servlet/hybsAdmin#setUserinfo( final HttpServletRequest req )
		
	[自動画面呼び出しスクリプト]
	標準的な画面を自動的に呼び出してボタンやリンクを押すスクリプトを用意しておきます。
	Ver.5では一旦customに配置しておきます。
	これは、展示会等での紙芝居機能を手動で作成するのに手間がかかるという理由から作成していますが、
	将来的にはマニュアル用画像の自動取得等への応用も可能です。
	利用方法はコントロールJSPはmenu/matrixMenu.jsp及びmultiMenu.jspからwindow.opneとして立ち上げます。
	matrixMenu.jspからはTYPE=1を引数として、multiMenu.jspからはTYPE=2を引数としてください。
	事前に、JSP内のパラメータで呼び出さない画面等の設定を行います。（標準的な画面以外では正常に動作しないため）
	必要に応じてスクリプトを修正して適用してください。
		jsp/custom/autoRun.jsp

5.9.0.2 (2015/09/25)
	[multiMenu.css修正]
	メニューのリンククリック時に背景色を変更する機能がありますが、IE7互換モード以外で動作していませんでした。
	原因はmultiMenu.cssのコメントが正しくなかったためで、書き方を修正します。
		jsp/menu/multiMenu.css

5.9.0.1 (2015/09/11)
	[gannt.js修正]
	ガントチャートのheightResetによるテーブルの高さ調整がIE9以降で動作していなかったため対応します。
	chrome、firefoxのガントチャートでの実行は確認しています。
	IE7モード以外での、テーブル行の高さ判定の条件を変更しているため、例えば旧タイプの左右分割等でheightResetを利用している場合は、
	以前と異なった動作となる可能性があります。
	また、横スクロールバーが出ない場合の調整を行うように修正しています。(IE7モードでは動作しません）
		jsp/common/option/gantt.js#heightReset(evt)
		jsp/common/option/gantt.js#ganttResize(evt, iSBits)
	
	[IE用ganntCSS作成]
	IE8以降ではlayout-grid-char（IE専用スタイル）が意図した表示とならないため、letter-spacingを利用して表示可能なCSSを用意しておきます。
	自動読み込みではなく、ガントチャートのヘッダを利用する画面で、個別に読み込む事とします。IE7互換モードでは不要です。
	又、上下で文字数が異なるパターン(日本語曜日が入ってるもの）はずれが生じます。
	その場合は日が正しく枠内に入るように調整しています。
		jsp/common/option/ganttIE.css
	
	[EventColumn修正]
	イベントカラムでは初期動作の制御用に先頭アンダースコアを付ける事が出来ますが、付けた場合にSQL文中で$xの表記を行っていると
	カラム名への変換が正しくされていませんでしたので対応します。
		hayabusa.db.DBEventColumn#getRendParam()
		hayabusa.db.DBEventColumn#getEditParam()
		hayabusa.db.DBEventColumn#evColReplace( final String inStr )
		
	[帳票GE50取得条件変更]
	Excel帳票のGE50検索条件に、Calc帳票同様GE54の条件を追加します。
		pluglin.daemon.Daemon_Report#GE50_SELECT
	
5.9.0.0 (2015/09/04)
	[帳票のCSV出力対応]
	外部の帳票出力ツールとの連携を行う場合等にCSV出力が必要になります。
	RFIDと同じような仕掛けで、CSVデータとして帳票のデータを出力できるようにします。
	システムリソースで指定するRFID及びCSVの出力パターンはplugin扱いとして、hayabusa.reportに配置していた
	RFIDのDEFAULTはpluginパッケージに移動します。
	CSVの出力方式は単純なCSVと、Report & Form Warehouse用のヘッダを付ける２つのクラスを作成しておきます。
		hayabusa.report.CSVPrintPointService
		hayabusa.report.AbstractCSVPrintPointService
		hayabusa.report.CSVPrintRequest
		hayabusa.report.ReportProcessing#FGRUN_G,FGRUN_H,FGRUN_I
		hayabusa.report.ReportProcessing#execute()
		hayabusa.report2.ExecQueue#CSV_PRINT,CSV_PRINT_EXCEL,CSV_PRINT_PDF
		hayabusa.report2.ExecQueue#setOutputName( final String outputDir, final String outputFile, final String type, final String yokyu )
		hayabusa.report2.ExecProcess#csv()
		hayabusa.report2.ExecProcess#process()
		hayabusa.common.SystemData#REPORT_CSV_SERVICE_CLASS,REPORT_CSV_TEXT_ENCODE,REPORT_RFID_SERVICE_CLASS
		plugin.report.CSVPrintPointService_DEFAULT
		plugin.report.CSVPrintPointService_RFW
		plugin.report.RFIDPrintPointService_DEFAULT
		hayabusa.report.RFIDPrintPointService_DEFAULT ⇒廃止(pluginに移動)
		
	[XLSX対応]
	Ver.6で対応しているXLSX関係のクラスをfukurouに入れて、TableReader_Excelのみ対応を行います。
	限定的な対応のため、V6とは若干EventReaderの呼び出しが異なります。
	同時にコンパイルするJDKを1.6から1.7に変更し、POIは3.10にバージョンアップします。
	POIバージョン変更の影響はhayabusa.report.HybsHSSFListenerクラスで、帳票発行を行っているTomcatではPOIの変更が必須です。
	コンパイル時の警告は一旦無視しておきます。
	標準的にXLSXを利用するにはfileDownload.jspの出力拡張子を変更する必要があり、対応できるような形に修正はしていますが、
	外部ツールとの連携等を行っている可能性も僅かにあるので標準はXLSとしておきます。
	readTableの入力はイベント方式採用でメモリ使用量を抑えています。
	同様の目的のために、writeTalbeの出力はSXSSFのストリーミング方式を利用しています。。
		jsp/common/fileDownload.jsp
		hayabusa.report.HybsHSSFListener (POIバージョン変更対応)
		hayabusa.io.AbstractTableReader#setTableDBColumn( final String[] names )
		fukurou.util.StringUtil#csv2ArrayExt2( final String csvData , final int maxNo )
		plugin.io.TableReader_Excel#readDBTable()
		plugin.io.TableWriter_Excel#writeDBTable()
		以下新規作成
		fukurou.util.FileInfo
		fukurou.util.ImageUtil
		fukurou.model.TableModelHelper
		fukurou.model.POIUtil
		fukurou.model.TextConverter
		fukurou.model.ExcelStyleFormat
		fukurou.model.EventReader
		fukurou.model.EventReader_TEXT
		fukurou.model.EventReader_XLS
		fukurou.model.EventReader_XLSX
		
	[eventScript.js]
	6.3.6.1の対応と同じ。
	realtimecheck.jsp の呼び出しイベントで、アドレスが、'../common/realtimecheck.jsp' 
	になっていた為、jsp/common/gamen 以下の相対パスが異なる画面で常にエラーが
	発生していました。
	JavaScriptで絶対パスを取得して、つなげます。
	ただし、パスに、jsp が含まれることを前提とします。
		/jsp/common/eventScript.jsp
		
	[all.tagsの対応]
	6.3.6.1の対応と同じ。
	all.tags が、HTML5非対応なので、条件判定でNullエラーしない様に修正。
	$().find化 すると、HTML5でも使用できるようになるが、ガントが横に並ばなくなる。
		src/script/common/option/adjustGanttTable.js
		src/script/common/option/gantt.js#breakAdjust()
		
	[カラム名変更]
	DB検索画面で、SQL入力欄のカラム名(INSQL)が、カラムリソース未登録の為、警告が出ます。
	他の画面で使用中の、カラム名(SQL_TEXT)に置き換えます。INSQL → SQL_TEXT
		jsp/common/gamen/03_DBSEARCH/changeSQL.jsp
		jsp/common/gamen/03_DBSEARCH/query.jsp

5.8.9.0 (2015/08/07)
	[日付ピッカー（カレンダー）]
	HTML5ブラウザ対応としてmodalDialogを利用しない形の日付ピッカーをYMD3として用意しておきます。
	このピッカーはフレーム内に表示されるため、画面からはみ出す場合の処理を修正実装をしていますが
	小さなフレーム内の場合はスクロールが出ます。
	月曜開始の対応は行っていますが、多言語対応はしていません。
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#HYBS_CAL_START_MON
		hayabusa.taglib.HeadTag#CALENDAR_START_MONDAY
		plugin.column.Editor_YMD3 新規作成
		jsp/common/eventScript.js
		jsp/common/default.css
		gf/jsp/GF6000/query.jsp
		
	[HTML5対応ポップアップ]
	モダンブラウザではmodalDialogが利用できないため、別の方法でポップアップを実現する必要があります。
	対応として、画面内でiframeを作成して指定URLを表示するタイプのポップアップをオプションとして用意しておきます。
	この方式の欠点としては、QUERY部のように小さいフレームで立ち上げると該当画面が表示しきれずスクロールが出る事です。
	２つのファイルを上げる側と上げられる側で読み込む事で自動的にこのタイプとなります。（片方だけ読み込んだ場合は動作しなくなります）
	現段階ではシステムリソースでの切り替えには対応しません。
		jsp/common/option/html5modalDialog.js
		jsp/common/option/html5modalDialog.css
		
	[JSPのモジュール化]
	(6.3.4.0の移植)
	JSPのモジュール化とは、JARファイルの「META-INF/resources」配下に
	静的コンテンツやJSPを作成し、Webアプリケーションの「WEB-INF/lib」に
	JARを配置することで、それらのファイルにWebからアクセスできる機能です。
	これは、フォルダ指定で、Default Welcome File を使用するアクセスはできない
	様です。よって、アクセスする場合は、ファイルまで指定が必要です。
	FileUDTagで、EDIT_GAMENID(= "14_EDIT") 指定がフォルダ指定のみだったのでindex.jspを追記しました。
		hayabusa.taglib.FileUDTag#doEndTag()

5.8.8.2 (2015/07/17)
	[URLチェックのマルチバイト文字対応]
	5.4.5.0でファイル名のマルチバイト文字に対応していましたが、リクエスト変数には対応できていませんでした。
	decodeを行う場合は元のURLも同時にかけて、比較するように変更します。
		hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )

5.8.8.1 (2015/06/13)
	[リモートリソース更新対応]
	複数のTomcat、コンテキストで動作させているシステムで、GEでのリソース変更時に該当システムのリソースの
	自動更新を行う機能がありますが、接続できないデータが存在している場合にタイムアウトの影響で処理に時間がかかるため、
	システムリソースでコントロール出来るようにする対応を行います。
	この機能を利用する場合はUSE_REMOTE_RESOURCE_CLEARをtrueにしてください。
	6.2.5.0対応の適用です。
		hayabusa.common.SystemData#USE_REMOTE_RESOURCE_CLEAR = false
		hayabusa.common.SystemData#REMOTE_USER_PASS 
		jsp/common/remoteResource.jsp
		hayabusa.common.SystemData#URL_CONNECT_TIMEOUT = 1
		fukurou.util.URLConnect#getConnection()
		fukurou.util.URLConnect#setTimeout(int tout)
		fukurou.util.URLConnect#main(String[] args)

5.8.8.0 (2015/06/05)
	[HTML5対応]
	6.2.4.2対応の適用
	HTML5(IE11 ネイティブモード)で、textarea の文字が自動で折り返さなくなった。
	td タグの white-space: nowrap; 属性が継承されてしまうようです。
	default.css で、textarea { white-space: pre; } を設定しておきます。
		src\script\common\default.css
		
	[URLチェック時の暗号化鍵]
	URLチェック時はソース内部に書かれた暗号化鍵を利用していますが、セキュリティ的には問題があるため、
	外部から指定できるように変更します。
	受け側のフィルターではシステムリソースの「URL_CHECK_CRYPT」でキーを指定します。
	リンク作成時はLinkタグでurlCheckCryptを指定します。
	キーが指定されていない場合は、今まで通りのキーを利用します。
	必要十分程度の高速化を図るため、addURLCheckKeyにHybsCryptographyを渡す実装としています。
		fukurou.security.HybsCryptography#HybsCryptography( final String cryptKey )
		hayabusa.filter.URLCheckFilter#HybsCryptography
		fukurou.util.XHTMLTag#addURLCheckKey( final String href, final String key, final String userid, final long time )
		fukurou.util.XHTMLTag#addURLCheckKey( final String href, final String key, final String userid, final long time, final HybsCryptography crypt )
		fukurou.util.XHTMLTag#embedURLCheckKey( final String tag, final String key, final String userid, final long time )
		fukurou.util.XHTMLTag#embedURLCheckKey( final String tag, final String key, final String userid, final long time, final HybsCryptography crypt )
		hayabusa.taglib.LinkTag#release2()
		hayabusa.taglib.LinkTag#setUrlCheckCrypt( final String crypt )
		hayabusa.taglib.LinkTag#doEndTag()
		hayabusa.html.ViewLink_LINK#clear()
		hayabusa.html.ViewLink_LINK#setDBTableModel( final DBTableModel tbl )
		hayabusa.html.ViewLink_LINK#getMarkerString( final int row,final int clm,final String value )
		hybs-taglib.tld
		
	[エラーメッセージリソース化]
	ユーザに表示されるエンジン内部のエラーメッセージの一部をリソース化し、多言語対応可にします。
	今回はまず、特定のタグのみ対応を行います。
		hayabusa.taglib.FileUploadTag#doEndTag()
		hayabusa.taglib.ViewFormTag#doStartTag()
		ラベルリソース(**) ERR0043,ERR0044

5.8.7.2 (2015/05/29)
	[inputの幅調整変更]
	IE10よりテキスト入力にクリアボタンが自動で出力されるようになりました。
	これに対して入力欄の大きさがそのままで、今まで見えていた文字が見えなくなるため
	Sizeを１文字分だけ広げます。8文字を超える場合のみ適用します。MAX値の制御は以前のままです。
	※ギリギリでレイアウトを作成している場合は崩れる可能性があるので注意してください
		hayabusa.db.DBColumn#getFieldSize( final int maxlength,final int colums_maxsize )

5.8.7.1 (2015/05/22)
	[body 属性のクリアが抜けていた]
	6.2.4.0対応の適用
		hayabusa.taglib.InputTag#release2()
		
	[TimeoutID の未定義エラー対策]
	未定義のエラーを抑制します。6.2.4.0対応の適用
		gf\jsp\common\jquery\blockUI.js
		
	[TimeoutID の未定義エラー対策]
	ポップアップ等で検索中表示のスクリプトのエラーが発生するため対応。6.2.4.0対応の適用
		hayabusa.taglib.HeadTag#UNBLOCKUI_READY
	
	[カラムが削除された場合のEdit対応]
	5.8.2.0 (2014/12/05)でV6に合わせる形に修正したEdit関連ですが、
	一部修正漏れでエラーが表示されなくなっていたため対応します。
		hayabusa.taglib.ViewFormTag#makeEditTable( final DBEditConfig config )
	
	[メールのSMTP AUTH対応]
	POP BEFORE SMTPの認証については以前から対応していましたが、SMTP AUTHに対応します。
	但し、現行利用しているjavaMailではMD5に対応していないため限定的な対応となります。
	認証方法として「SMTP_AUTH」を指定してください。
		fukurou.mail.MailTX#public MailTX( final String host , final String charset, final String smtpPort
				,final String authType, final String authPort, final String authUser, final String authPass)

5.8.7.0 (2015/05/01)
	[ガントサンプル画面修正]
	HTML5ではscriptタグのfor,event属性は廃止となったため、
	ガントのサンプル画面が新ブラウザで正しく動作していませんでした。
	scriptタグの位置を変更して動作するようにしておきます。
		gf/jsp/GANTT06/result.jsp
		gf/jsp/GANTT06B/result.jsp
		gf/jsp/GANTT06C/result.jsp

5.8.6.1 (2015/04/17)
	[DBType_HMS修正]
	0開始の時間が正常に処理されないため修正します。
	同時に6桁(hhmmss)と4桁(hhmm)どちらでも正しく動作するように対応します。
		plugin.column.DBType_HMS#valueAdd( final String value )
		plugin.column.DBType_HMS#valueAdd( final String value,final String add 
		plugin.column.DBType_HMS#valueSet( final String value )
		
	[URLCheck機能追加]
	ロードバランサ等でURL変換を行ってアクセスしているような場合にURLCheckが動作しませんでした。
	URLCheckは実際のリクエストURLと、Linkタグで作成した際のURLを後方一致でチェックする機能のため、
	復号化されたURLの先頭部分を無視できる設定を追加します。
	フィルタ設定の際にignoreURLにhttps://wwwのように無視する部分までのURLを設定してください。
	通常は設定する必要ありません。
		hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
		hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )
		web.xml

5.8.6.0 (2015/04/03)
	[OrgClmNames対応]
	5.8.2.0でメソッドのみ追加していたlastSQLのOrgClmNamesのセットをするようにし、
	JSPで追加されたカラムがEditメニューで出るように対応します。
	(6.0.3.0で追加した機能の移植）
		hayabusa.taglib.viewFormTag#doEndTag()
		hayabusa.taglib.viewFormTag#doStartTag()
		hayabusa.taglib.viewFormTag#release2()
		hayabusa.html.ViewMarker#getColumnNos()
		hayabusa.html.ViewMarker_MARKER#getColumnNos()
		plugin.view.ViewForm_HTMLSeqClmTable#getViewClms()

5.8.5.1 (2015/03/20)
	[グラフ縦軸修正]
	複数グラフの重ね合わせ時に軸の数値が正しく表示されるように対応したが、
	重ね合わせ後のグラフが全て1番目の軸のスケールで表示されていたため修正します。
		hayabusa.io.ChartPlot_Category.getPlot( final ChartCreate create )

5.8.5.0 (2015/03/06)
	[POPUP機能追加]
	ポップアップの戻り値をキャレット位置に追記する事ができるようにします。
	popupタグの属性でappend="true"を指定してください。
	この機能が正常に動作するのは、ポップアップの戻り値が1つの場合です。
	それ以外の場合は入力欄の先頭に追加されます。
		hayabusa.taglib.PopupTag#setAppend( final String flg )
		hayabusa.taglib.PopupTag#makePopup( final boolean useKey )
		hayabusa.taglib.PopupTag#release2()
		jsp/common/default.js
		hybs-taglib.tld

	[グラフ縦軸対応]
	グラフの縦軸表示の対応を行うため、V6の機能を一部V5に移植します。
	内容としては同じグラフですがが、サイズ等が変わる可能性があります。
	エンジンを上げる際はグラフ表示の確認を行ってください。
		fukurou.util.HybsConst 新規作成
		fukurou.util.ColorMap 新規作成
		fukurou.db.ResultSetValue 新規作成
		hayabusa.io.HybsCategoryDataset 新規作成
		hayabusa.io.HybsDataset 新規作成
		hayabusa.io.ChartDataset#makeNumberAxis()
		hayabusa.io.ChartPlot_Category#getPlot( final ChartCreate create )
		hayabusa.io.ChartFactory#newDataset( final Connection conn,final String query,final String type )
		
	[CACHE仮対応]
	CACHEはSQLが利用できるODBですので、実際にどの程度利用できるのかはともかく
	処理が通るように、内部のリストに追加しておきます。
		fukurou.db.DBFunctionName#getSequence( final String seqName, final Transaction tran )
		fukurou.db.DBFunctionName#getDBName( final String dbName )

5.8.4.2 (2015/02/28)
	[伝送修正]
	deubgの判定が間違っていたので修正します
		fukurou.transfer.TransferProcess# main( final String[] args )

5.8.4.1 (2015/02/20)
	[曖昧方法選択ピッカー]
	6.2.0.0で対応した曖昧用のピッカー機能をV5でも実装しておきます。
	タグのaimai属性を指定した場合に入力欄横にピッカーを出して選択する事を可能にします。
	この機能を利用する場合、result.jsp側の条件式には%を書かないようにしてください。
		jsp/common/default.css
		jsp/common/eventScript.js
		fukurou.util.TagBuffer#addBody( final String body )
		fukurou.util.TagBuffer#TagBuffer addBody( final String body,final boolean flag )
		hayabusa.taglib.HTMLTagSupport#setAimai( final String val )
		hayabusa.taglib.HTMLTagSupport#makeAimaiPicker( final String name )
		hayabusa.taglib.InputTag#makeTag()
		hayabusa.taglib.TextareaTag#makeTag()
		hayabusa.taglib.ColumnTag#makeTag()
		hybs-taglib.tld

5.8.4.0 (2015/02/13)
	[グラフ表示修正]
	2つ以上のグラフを重ね合わせた時に、縦軸の表示が意図した状態にならないため、
	一旦、縦軸表示は1つ目のグラフのみにします。
		hayabusa.io.ChartPlot_Category#getPlot( final ChartCreate create )

5.8.3.2 (2015/01/30)
	[伝送修正]
	batファイルからの伝送起動時にdebugを指定できるようにします。
	-debug=trueを指定してください。
		fukurou.transfer.TransferProcess#main( final String[] args )
		
	[リソース修正]
	**リソースの誤字修正を行います。(少数-小数)
		ERR0022 

5.8.3.1 (2015/01/23)
	[default.js#ogPopup]
	前回対応の不具合修正
		jsp/common/default.js
		
	[DB定義修正]
	V6の6.1.0.0と類似の対応として、table,indexのinitial,nextの出力抑制を行います。
		plugin.table.TableFilter_TABLE#makeEndLine( final int[] clmNo,final String[] data ) 
		plugin.table.TableFilter_INDEX#makeEndLine( final int[] clmNo,final String[] data )
	
	GF2140のスクリプト出力画面で、SYS.DBOUTPUT_PATHを利用した出力ディレクトリ変更を行えるようにします。
	通常は利用しませんが、GFやGEのフォルダに対してアクセス制限をかけている場合等で変更したい場合に利用します。
		gf/jsp/GF2140/result.jsp
	
5.8.3.0 (2015/01/09)
	[URLConnectの属性セット対応]
	URLConnectでヘッダ等指定のためにsetRequestPropertyの値を指定できるようにします。
	例えばJSON形式でPOSTする場合は通常"Content-Type", "application/json"を指定します。
		fukurou.util.URLConnect#setRequestProperty( final String keys, final String vals )
		fukurou.util.URLConnect#getConnection()
		
	[default.js#ogPopup]
	サイズ指定にpxを付ける処理、BulkSetのように同一カラムが複数ある場合の処理を対応します。
	（Ver.6.1.0.0での対応の取り込み）
		jsp/common/default.js

5.8.2.3 (2014/12/27)
	[USEREDIT.xxx追加]
	{@xxx.yyy}で取得できる値に、{@USEREDIT.guikey}を追加しておきます。
	指定の画面IDよりユーザの利用している標準Edit名を取得します。
		hayabusa.taglib.CommonTagSupport#getUserEditInfo( final String guikey )
		hayabusa.taglib.CommonTagSupport#getReservedValue( final String key )

5.8.2.2 (2014/12/19)
	[インストール用SQLのXML出力修正]
	install用のXML出力で、パッケージ等のCreate文が正しく作成できていないため、修正します。
	又、DBSRC_OUTのXML出力時に特定文字をエスケープするようにし、さらにPACKAGE BODYのファイルは
	_BODY付の別ファイルに出力するようにします。
		fukurou.util.StringUtil#xmlFilter( final String input ) 
		plugin.table.TableFilter_SBSRC_OUT#execute()
		plugin.table.TableFilter_SBSRC_OUT#makeHeadLine( final int[] clmNo,final String[] data )

5.8.2.1 (2014/12/13)
	[外部のURLトークン付与機能]
	Linkタグでプラグインを利用したURLトークン付与機能を追加します。
	hayabusa/htmlのCreateTokenインタフェイスを介して、与えたURLにトークン（リクエスト引数）を追加します。
	もしくはAタグそのものを書き換えてJavaScriptのコードを出力する等の処理を行います。
	linkタグのextTokenName属性でプラグイン名を指定します。プラグインはplugin/tokenにCreateToken_xxxで追加して下さい。
	サンプルとしてCreateToken_URLCheckを作成しています。
		hayabusa.html.CreateToken 新規作成
		hayabusa.html.AbstractCreateToken 新規作成
		hayabusa.html.ViewLink_LINK#clear()
		hayabusa.html.ViewLink_LINK#setDBTableModel( final DBTableModel tbl )
		hayabusa.html.ViewLink_LINK#getMarkerString( final int row,final int clm,final String value )
		hayabusa.taglib.linkTag#setExtToken( final String name )
		hayabusa.taglib.linkTag#doEndTag()
		plugin.token.CreateToken_URLCheck 新規作成

5.8.2.0 (2014/12/05)
	[画面リソース登録画面]
	Edit機能との関係でアンダースコアを実画面のIDとして利用しない方が良いため、
	注意書きを追加します。
	（Ver.6では6.0.2.2で対応した問題だが、V5への逆移植は保留しておく）
		ge/jsp/GE0002/result.jsp
		ラベルリソース追加
		
	[メールモジュール画面変更]
	GE30のUNIQとGE36のPARA_KEYの型の違いで結合時にパフォーマンスの劣化が発生する事があるため、
	MAIL07画面上での副問い合わせをやめます。
		ge/jsp/MAIL07/result.jsp,modify.jsp
		
	[EDIT機能]
	集計機能で、数字項目の合計を算出する処理で、queryタグが複数ある場合、集計しない方の
	query タグに、mainTrans=false でEDIT機能を実行しない様にする必要がありますが、
	そうしないと、カラムが存在しないので、NullPointerExceptionエラーが発生します。
	その場合、エラーになかなか気づかないため、ソース上で、NullPointerException エラーではなく、
	何らかのメッセージを表示して、気づきを与えます。
		hayabusa.db.DBTableModelEditor#create( final ResultSet result, final int skipRowCount, final int maxRowCount, final ResourceManager resource, final DBEditConfig config ) throws SQLException {
		hayabusa.db.DBTableModelEditor#addTotalRows( final int maxRowCount, final ResourceManager resource, final boolean[] sumFilter
									,  final boolean[] groupFilter, final boolean[] subTotalFilter,  final boolean[] totalFilter ) {

	V6で行っている、Edit機能設定後にカラムが追加された場合の対応をメソッドレベルで一部のみ取り込んでおきます
		hayabusa.db.DBLastSql#setOrgClmNames( final String clmNames )
		hayabusa.db.DBLastSql#getOrgClmNames()
		hayabusa.db.DBEditConfig#getViewClms( final String orgClms )

5.8.1.2 (2014/11/21)
	[GE50インデックス変更]
	最新のOracleでの検索速度低下に対応するため、GE50_SBインデックスにSYSTEM_IDを追加します。
		GE50_SB
		
	[伝送の機能追加]
	ファイル書き出しタイプの処理で、前方30Byte,後方70Byteをスペース埋めとしていましたが互換性の問題で、
	実行対象にスペース区切りで
	状況コード(1byte)、データコード(1byte)、送信先(2byte)、テキスト種別(4byte) 送信元(2Byte)
	を指定可能とします。未指定の場合は今まで通りです。
		fukurou,transfer.TransferExec_SAMCB#execute( final String[] vals, final TransferConfig config, final Transaction tran )

5.8.1.1 (2014/11/14)
	[メール送信時認証対応]
	5.4.3.2 (2012/01/06) で、対応した、メール送信時認証対応(POP before SMTP認証)を、
	mailSender タグに適用します。
	なお、認証用の POPサーバーは、SMTPサーバーと同一で、ポートは初期値はPOPデフォルトとします。
	POP3のポートを変更する場合はauthPort属性か、システムリソース(MAIL_SEND_AUTH_PORT)で指定してください。
		hayabusa.taglib.MailSenderTag#setPort(String port)
		hayabusa.taglib.MailSenderTag#setAuthType(String type)
		hayabusa.taglib.MailSenderTag#setAuthUser(String user)
		hayabusa.taglib.MailSenderTag#setAuthPass(String pass)
		hayabusa.taglib.MailSenderTag#release2()
		hayabusa.common.SystemData#MAIL_SEND_AUTH_PORT
		fukurou.mail.MailTX#MailTX( final String host , final String charset )
		fukurou.mail.MailTX#MailTX( final String host , final String charset, final String smtpPort
				,final String authType, final String authPort, final String authUser, final String authPass)

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld		MailSenderTag に、Port,authType,authUser,authPass 追加
		gf/WEB-INF/hybs-taglib.tld

	サンプル画面の対応を行います
		gf/jsp/GF6220/page3.jsp ,result.jsp
	
	[伝送機能追加]
	ファイル書き出しパターンで、500Byte固定で文字を書き出していましたが、
	これを外部からの指定（書き込みパラメータ第二引数）で変更できるようにします。初期値は500です。
		fukurou.transfer.TransferExec_SAMCB#execute( final String[] vals, final TransferConfig config, final Transaction tran ) 

5.8.1.0 (2014/11/07)
	[fileDownloadサーブレット修正]
	ダウンロード用のサーブレットは、元々リダイレクトで利用されていたため、
	受け取った引数の文字コード変換(ISO-8859-1からURF8)が必要でした。
	forwardの場合は引数の渡し方が異なり、文字コード変換を行うとマルチバイト文字が
	変換できずに化けてしまいファイルにアクセス出来ないため、スイッチ用の引数を追加します。
	具体的には、useStringConvertでfalseを指定した場合に変換を行わないようにします。（初期値true）
		hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )
	
	[Gantt系タグ修正]
	javaScriptで、BODYがないと入れ子になってしまう。
	そこで、iGantBar関連のタグのBody部に、"<!-- -->" を追記します。
		hayabusa.taglib.ViewIBarTag#doEndTag()
		hayabusa.taglib.ViewIGanttBarTag#doEndTag()
		hayabusa.taglib.ViewIGanttTag#doEndTag()
		hayabusa.taglib.ViewIHeadTag#doEndTag()
		hayabusa.taglib.ViewIMatrixTag#doEndTag()
		hayabusa.taglib.ViewITableTag#doEndTag()
		hayabusa.taglib.ViewITaskTag#doEndTag()

5.8.0.1 (2014/09/12)
	[OpenOfficeの一時ファイル削除]
	Calc帳票よりOOOを起動した際に、%TEMP%に作成される一時フォルダがOOO終了時に削除されずに残り、
	一定数を超えた段階でCalcが起動しなくなる現象が発覚したため対応します。
	対応方法は、TEMPフォルダのsv*.tmpを削除するバッチを、startup.batからCallとしていします。
	環境によっては複数のシステムを起動するため、初期状態はコメントアウト状態としています。
	現状Windowsのみの対応です。
		uap/bin/sOfficeTempDel.bat
		uap/bin/startup.bat

5.7.9.1 (2014/08/29)
	[edit画面修正]
	Edit画面での登録後の画面リロードで、画面IDを指定していないため、
	同一アドレスで別画面IDの場合に元の画面と異なった画面が表示されていました。
	URLに画面IDを含めるように修正します。
		common/gamen/14_EDIT/edit.js

5.7.9.0 (2014/08/08)
	[移行DB一覧関係]
	テーブルが少し複雑だったので、不要なカラムを削除します。
		GF84
			TBLSYU			移行にDB定義や開発環境などの区別は設けません。
			F_SYSTEM_ID		移行元のシステムIDは、使用しません。
		GF85
			TBLSYU			GF84と同上
			F_SYSTEM_ID		GF84と同上
			F_CONST			移行元固定値は、F_CLM に記載することにします。
			F_TABLE_NAME	移行元テーブル名は、テーブル.カラム 形式で、F_CLM に記載することにします。
			F_SEQNO			移行元順番は、設定しません。

	Fromカラムは、テーブル.カラム 形式にしたり、固定値を設定したり、
	変換関数を設定したりできるように、桁数を大きめに設定します。
		GF85
			F_CLM			1000

	GF84,GF85のカラム削除に伴い、関連する画面を修正します。
		gf/jsp/GF2150	XML出力(定義情報)
		gf/jsp/GF2180	移行DB一覧
		gf/jsp/GF2190	移行DB対応明細

	[共通画面]
	画面の体裁を修正します。
		gf/jsp/common/gamen/08_DBUPDATE	DB登録
		gf/jsp/common/gamen/09_DBVIEW	DB表示

	[検索中表示]
	検索中表示で、色々なパターンがある為、一律に決めることができない。
	標準的な組込みは、出来るだけ範囲を狭めます。
	①submitボタンのクリックで起動から、検索ボタンに限定
		gf\src\script\common\jquery\blockUI.js
			$(":submit") → $("#queryButtonSubmit") 変更
	②起動は、headType="query"で、リクエストURLに、query が含まれる場合のみ
	③クリアは、headType="result" で行う。
	④システム情報(VIEW_USE_BLOCKUI[=true])を初期値に、個別に検索中表示を行うかどうか
	  指定できる属性 useBlockUI を追加します。

		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#release2()
		hayabusa.taglib.HeadTag#setUseBlockUI( final String flag )

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld		HeadTag に、useBlockUI 追加
		gf/WEB-INF/hybs-taglib.tld

	[WriteTableTag 修正]
	Ver 6.0.1.2 (2014/08/08) にて、refSheetName の扱いと、skipRowCount の実装を入れました。
	JSPの互換性の関係から、taglibの追加と、関係するメソッドの変更を行っています。
	機能的には、Ver5 には実装されていません。
		hayabusa.taglib.WriteTableTag#release2()
		hayabusa.taglib.WriteTableTag#create( final PrintWriter out )
		hayabusa.taglib.WriteTableTag#setSkipRowCount( final String count )
		hayabusa.io.TableWriter#setSkipRowCount( int skipRowCount )
		hayabusa.io.AbstractTableWriter#setSkipRowCount( final int skipRowCount )

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld		WriteTableTag に、skipRowCount 追加
		gf/WEB-INF/hybs-taglib.tld

	[Bulkset エラー回避]
	viewタグに、columnBulkSet を設定したり、システムリソースで、VIEW_USE_DEFAULT_BULKSET
	を true で運用する場合、カラムタグで、Editor_QUERY などを指定すると
	SQL実行エラー等で、エラー時の原因が非常に判りにくい状況になります。
	基本的には、値を取得する為に、QUERY を実行するので、実行時エラーの場合は、
	単なる テキストフィールドを表示するだけに変更します。
		plugin.column.Editor_QUERY#getValue( final String value )
		plugin.column.Editor_QUERY#getValue( final int row,final String value )
		plugin.column.Renderer_MULTIQUERY#getValue( final String value )
		plugin.column.Renderer_QUERY#getValue( final String value )

5.7.8.1 (2014/07/18)
	[ヘッダ固定修正]
	ヘッダ固定時にIE11対応として幅を＋１する対応をしましたが、
	リサイズする度に実行されていたため、初回のみ実行されるようにします。
		jsp/common/scrollBar2.js

	[検索中表示]
	5.7.7.1 (2014/06/13) で導入した検索中表示で、エラー時と、３ペインに対応します。
		gf/jsp/common/error.jsp

	headType が、query で、result.jsp で使用するケース(ENTRY登録系)の場合、
	検索中文字をクリアするJavaScriptが、QUERYフレームを見つけることができなく、
	ずっと、出たままになるケースがある。
	ここでは、ソースの互換性を考慮し、headTypeと呼び出されるJSP名が(部分)一致
	する場合のみ、実行するように修正します。
		hayabusa.taglib.HeadTag#HEAD_TYPE_ENUM		内部処理を簡素化するために、enumメソッド追加
		hayabusa.taglib.HeadTag#doEndTag()

	３ペイン等で、frame が多段階になっている場合のクリア処理の修正
	window.parent.frames['QUERY']; で、探していた箇所を、存在しない場合、
	window.parent.parent.frames['QUERY']; で、探しに行くように変更。
		hayabusa.taglib.HeadTag#UNBLOCKUI_READY

	[DB定義DB]
	USE_LENGTH の求め方で、DATA_SCALE が、null の場合の条件追加
	簡単にいうと、DATA_SCALE が、null の場合、最大桁数が、「22,」の様に、
	不要なカンマが追加されていたため、リソース適用時に、数値フォーマット変換エラーになっていた。
		gf/jsp/common/gamen/03_DBSEARCH/viewObject.jsp
		gf/jsp/common/gamen/03_DBSEARCH/changeSQL.jsp
		gf/jsp/common/gamen/09_DBVIEW/menuColumns.jsp
		gf/jsp/GF2020/sqlGF05.jsp
		gf/jsp/GF2070/directGF81.jsp
		gf/jsp/GFX014/sourceSQL.jsp
		gf/jsp/ORA10/dba_table.jsp

	[共通ラベル]
	エンジン共通メッセージ MSG0065 に、(空欄) という文字が記載されていた為、削除します。

	[FileUDTag]
	command="RESET" 時に、ダウンロードリンクが消えるのを、修正します。
	これは、初期からの条件漏れです。
	さらに、command="UPDATE" で、取込みリンクを表示する機能を用意します。
	従来は、ダウンロードとインサートは、無条件にリンクを表示していましたが、
	アップデートは、キー指定など、画面個別に設定する必要がある為、
	サポートしていませんでした。オプション属性として、指定できるようにします。
	addDownCmnd 【TAG】ダウンロード時のコマンドを追加指定できます(初期値:null)
	addUpldCmnd 【TAG】アップロード時のコマンドを追加指定できます(初期値:null)
		hayabusa.taglib.FileUDTag#doEndTag()
		hayabusa.taglib.FileUDTag#setCommand( final String cmd )	JavaDocのみ修正
		hayabusa.taglib.FileUDTag#setAddDownCmnd( final String cmd )
		hayabusa.taglib.FileUDTag#setAddUpldCmnd( final String cmd )

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld		FileUDTag に、addDownCmnd,addUpldCmnd 追加
		gf/WEB-INF/hybs-taglib.tld

	[画面リソースの指定]
	画面リソースの指定方法で、ｱﾄﾞﾚｽに、"/" で始まる場合の処理を追加します。
	現在は、http:// , https:// , . で始まるｱﾄﾞﾚｽは、指定可能です。
	標準画面から、/ge/jsp/index.jsp などの別コンテキストへ飛ぶ場合のパス指定に使用できます。
		hayabusa.resource.GUIData#GUIData( final String[] data )
		hayabusa.taglib.TopMenuTag#makeTagMenu( final GUIInfo guiInfo, final String bodyIn, final int type )

	[AppearTag]
	AppearTag に、quotCheck と xssCheck 属性を追加します。
		hayabusa.taglib.AppearTag#release2()
		hayabusa.taglib.AppearTag#doEndTag()
		hayabusa.taglib.AppearTag#setQuotCheck( final String flag )
		hayabusa.taglib.AppearTag#setXssCheck( final String flag )

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld		AppearTag に、quotCheck,xssCheck 追加
		gf/WEB-INF/hybs-taglib.tld

	[BulkSet]
	BulkSet 指定時の、ヘッダーに作成されるカラムの maxlength が、1000 に設定
	されていますが、HTML5 の場合、Ctrl-V で大量に書き込むとエラーになる為、
	1000000 に増やしておきます。
	本当は、maxlength を出力しなければよいのですが、カラムオブジェクトを使用して
	出力している関係で、maxlength 属性は、必須となっているので、このように対応します。
		hayabusa.html.AbstractViewForm#getSortedColumnLabel( final int column )

	Ctrl-C , Ctrl-B の最後の区切り文字は削除しない。
	また、ヘッダ固定対応リサイズ処理も行いません。
		gf/src/script/common/resultScript.js#bulkPaste( obj )
		gf/src/script/common/resultScript.js#bulkPasteBox( obj )
		gf/src/script/common/resultScript.js#ctrlCV( obj )

5.7.8.0 (2014/07/04)
	[TableFilter_LABEL見直し]
	TableFilter_LABEL で、CLM と LBL に同じカラムを指定する事は出来なくなっていましたが
	指定できるように変更します。ただし、LBLの値が変換されると、もう一度変換すると
	不測の事態が発生するかもしれませんので、自己責任で対応願います。
		plugin.table.TableFilter_LABEL#execute()

	[caseXXX 属性追加]
	caseKey,caseVal,caseNN,caseNull 属性を追加します。
	5.7.7.2 (2014/06/20) で漏れたタグです。
		hayabusa.taglib.WriteCheckTag#doStartTag()
		hayabusa.taglib.ColumnCheckTag#doStartTag()
		hayabusa.taglib.ColumnCheckTag#doEndTag()
		hybs-taglib.tld

	[グラフ系画面サンプル]
	ｸﾞﾗﾌ系画面サンプルを整理します。
	①個々のサンプルを充実させます。
		gf/jsp/GF7201 横棒/縦棒 
		gf/jsp/GF7203 横棒(明細) 
		gf/jsp/GF7204 縦棒(明細) 
		gf/jsp/GF7202 積上棒 
		gf/jsp/GF7205 重なり棒 
		gf/jsp/GF7206 折線 
		gf/jsp/GF7207 ｽﾃｯﾌﾟ 
		gf/jsp/GF7208 範囲(Min-Max) 
		gf/jsp/GF7209 ﾊﾟｲ 
		gf/jsp/GF7211 ｽﾊﾞｲﾀﾞｰｳｪﾌﾞ 
	②Ring を ﾒｰﾀｰ に変更。
		gf/jsp/GF7210 ﾒｰﾀｰ 
	③【ﾋﾞｭｰ関連】のカテゴリだったグラフ関連の画面を【ｸﾞﾗﾌ画面】
	   カテゴリに移動します。
		gf/jsp/GF6090 棒ｸﾞﾗﾌ 
		gf/jsp/GF6110 集計ｸﾞﾗﾌ 
		gf/jsp/GF6120 JfreeChart 
		gf/jsp/GF6130 左右分割ｽｸﾛｰﾙ 

	MeterPlot,Thermometer,Compass の機能追加
	属性設定ができるように、各種パラメータを指定します。
	今まで、ChartPlot_Pie で、作成していましたが、パラメータのやり取りがある為、
	ChartDataset に、作成メソッドを移します。
		hayabusa.io.ChartDataset#makeMeterPlot()
		hayabusa.io.ChartDataset#makeThermometerPlot()
		hayabusa.io.ChartDataset#makeCompassPlot()
		hayabusa.io.ChartPlot_Pie#getPlot( final ChartCreate create )

	MeterPlot,CompassチャートのNeedleタイプを指定します。
	taglib上では、規定のchratType に、_PIE などと指定します。
		hayabusa.io.ChartDataset#setNeedleType( final String type )
		hayabusa.taglib.ChartDatasetTag#setChartType( final String chartType )

	[色指定]
	色指定で、透明色(TRANSPARENT)を指定できるようにします。
	これは、背景色に透明を指定したい場合に使います。
		fukurou.util.StringUtil#CLR_MAP

	[entryタグ]
	actionExec の引数を columnId ではなく、DBColumnオブジェクト に変更します。
	これは、従来、columnId から、「リソースの」DBColumnオブジェクトを作成して、
	各種 DBTYPEのオブジェクトを使用して、値の変換を行っていました。
	この修正は、「DBTableModelの」DBColumnオブジェクトを使用して処理する様に
	変更します。
	何が異なるかというと、columnEditor 等で dbType を置き換えた場合に、
	置き換えた DBColumnオブジェクトを使用するようになります。
		hayabusa.taglib.EntryTag#setColumnValues( final String[] val )
		hayabusa.taglib.EntryTag#actionExec( final String action,final DBColumn dbColumn,final String oldValue,final String newValue )
		
	[Edit機能改善（続き）]
	5.7.7.3でエラーメッセージを出すようにしましたが、エラーメッセージ中のカラム名をラベルリソースから取るようにします。
		hayabusa.taglib.ViewFormTag#makeEditTable( final DBEditConfig config) 

5.7.7.3 (2014/06/27)
	[edit機能改造]
	edit機能利用時、画面修正が入った場合に設定済みのカラム名とテーブルモデルのカラム名が
	異なる場合が出ます。その場合にEdit機能が自動的に利用されない状態になっていましたが、
	ユーザにとって分かりずらいため、警告的にメッセージを表示します。
	表示メッセージは＊＊リソースのMSG0085です。
		hayabusa.taglib.ViewFormTag#makeEditTable( final DBEditConfig config) 
		**リソースMSG0085追加

	[画面リソース登録画面修正]
	画面リソースはロール違いを登録可能ですが、画面リソース削除時のラベルリソース同時削除では
	他に生きている画面リソースが存在しているかどうかを見ていませんでした。
	同一システムID、同一画面ID、状態フラグが０or１で自身以外に存在している場合に
	ラベルリソースを削除しないようにします。
		ge/jsp/GE0002/entry.jsp

5.7.7.2 (2014/06/20)
	[getDBName見直し]
	DBID違いのコネクションに、初めて接続する場合に、データベース名を
	取得する処理（ConnectionFactory#getDBName）で、pool が存在しない場合に
	エラーになる箇所を修正します。
	ダミーで、コネクトしてから、もう一度取得するように修正します。
		fukurou.db.ConnectionFactory#getDBName( final String dbid )

	enum DBFunctionName で、getFunctionName 処理内で、DBF.NAME の時だけ
	簡素化して処理します。
		fukurou.db.DBFunctionName#getFunctionName( final String func ,final String dbid )

	[DB定義DB]
	GF03 の追加に伴う対応。
	①GF2150 (XML出力(定義情報))に、GF03 の抜出項目を追加
	②build.xml に、GF03 の抜出項目パラメータを追加
		gf/jsp/GF2150/query.jsp
		gf/jsp/GF2150/result.jsp
		gf/build.xml

	gf/db/ 以下のファイルは、コメントを削除した状態での MD5 比較で差分だけ登録します。
	変更分は、多々あるため、個々にファイル名は、記述しません。

	[caseXXX 属性追加]
	caseKey,caseVal,caseNN,caseNull 属性を追加します。
	これは、パラメータを使用して、そのタグを使用するかどうかを判定することができます。
	equals タグで、囲うより、簡素化できます。
		hayabusa.taglib.ColumnSetTag#doStartTag()
		hayabusa.taglib.FieldsetTag#doStartTag() 、doEndTag()
		hayabusa.taglib.FileTag#doStartTag() 、doEndTag()
		hayabusa.taglib.FrameTag.java			JavaDocと、tld のみ変更
		hayabusa.taglib.ImageTag.java			JavaDocと、tld のみ変更
		hayabusa.taglib.ReadTableTag#doEndTag()
		hayabusa.taglib.TableFilterTag#doStartTag() 、doEndTag()
		hayabusa.taglib.URLConnectTag#doStartTag() 、doEndTag()
		hayabusa.taglib.WriteTableTag#doStartTag() 、doEndTag()
		hybs-taglib.tld

		gf/jsp/GF2180/query.jsp

5.7.7.1 (2014/06/13)
	[GE関連見直し]
	maxRowCount="10000" のように、大きな値を入れている箇所では、
	無制限を示す、maxRowCount="0" を設定します。
		ge/jsp/GE0009/query.jsp(39): <og:queryButton maxRowCount="10000" />
		ge/jsp/GE0010/query.jsp(46): 	<og:queryButton maxRowCount="10000"/>
		ge/jsp/GE0020/query.jsp(46): <og:queryButton pageSize="10000" maxRowCount="10000" >

	[GE関連見直し]
	各query.jsp画面のinclude releaseNotes.jsp を見直します。
	内容的には、DBIDを使用して他のデータベースと差分、比較する機能を持つ
	リソース関連画面は、dbid_sabun.jsp をincludeするように分離します。
	逆に、今まで、レポート関連の画面では、これらの拡張機能は使っていないため、
	releaseNotes.jsp のみのinclude となります。
	これに伴い、releaseNotes.jsp と dbid_sabun.jsp の２つをinclude する画面では、
	hideMenu タグが、２重に表示されるため、各include画面ではなく、query.jsp側に
	hideMenu タグを記述するように変更します。
		gf/jsp/common/releaseNotes.jsp
		gf/jsp/common/dbid_sabun.jsp

		ge/jsp/REP03/query.jsp(43): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/REP04/query.jsp(44): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/REP05/query.jsp(48): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/REP06/query.jsp(38): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/REP11/query.jsp(51): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/REP14/query.jsp(51): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />

	関連する箇所で、queryButtonタグで、table で囲っている場合は、td="no" を付けて
	テーブルで囲うのを止めました。これは、先の修正でも行っています。
		ge/jsp/GE0001/query.jsp(36): 	<og:queryButton>
		ge/jsp/GE0002/query.jsp(70): 		<jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/GE0003/query.jsp(63): 	<jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/GE0004/query.jsp(51): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/GE0005/query.jsp(48): <jsp:directive.include file="/jsp/common/releaseNotes.jsp" />
		ge/jsp/GE0007/query.jsp(42): <og:queryButton>
		ge/jsp/GE0016/query.jsp(35): <og:queryButton>
		ge/jsp/GE0017/query.jsp(45): <og:queryButton>
		ge/jsp/GE0018/query.jsp(38): <og:queryButton>
		ge/jsp/GE0019/query.jsp(45): <og:queryButton>
		ge/jsp/REP01/query.jsp(43): <og:queryButton>
		ge/jsp/REP07/query.jsp(30): <og:queryButton>
		ge/jsp/TRANS01/query.jsp(37): <og:queryButton>

	[コメント他]
	VERSION と、serialVersionUID の修正漏れ
		hayabusa.taglib.EditConfigTag.java
		hayabusa.taglib.GanttHeaderTag.java
		hayabusa.taglib.ViewFormTag.java

	コメントの {@COM_CLMS} を、{&#064;COM_CLMS} に修正
		plugin.table.TableFilter_KBCLM.java

	コメントのDIRのサンプルソース部の修正
	実際に出力しているフォルダと同じにしておきます。
		plugin.table.TableFilter_CMNT_CLM.java
		plugin.table.TableFilter_CMNT_TBL.java
		plugin.table.TableFilter_DBARG_OUT.java
		plugin.table.TableFilter_DBSRC_OUT.java
		plugin.table.TableFilter_INDEX.java
		plugin.table.TableFilter_SEQUENCE.java
		plugin.table.TableFilter_TABLE.java

	[Editor_YMDMENU]
	バグ修正
	SelectionFactory 対応時に、引数に、clm.getEditorParam() を使うべきところ、
	clm.getCodeData() を使っていた為、エラーになっていました。
		plugin.column.Editor_YMDMENU#Editor_YMDMENU( final DBColumn clm )

	Selection_NULL を、Selectionオブジェクトの基本実装とします。
	今まで、Selection 関連クラスは、メソッド数が少ないこともあり、
	implements Selection としてきました。今回、Selection_NULL を、
	AbstractSelection クラス的な位置づけに見直します。
	Default というほどの規模でもなく、Abstract にすると、実態を返せないため、
	少しクラス名としては、おかしくなりますが、このまま使います。
	これに伴い、各クラスは、extend Selection_NULL することになります。
		hayabusa.db.Selection_CODE.java
		hayabusa.db.Selection_DB.java
		hayabusa.db.Selection_DBRADIO.java
		hayabusa.db.Selection_HM.java
		hayabusa.db.Selection_KEYVAL.java
		hayabusa.db.Selection_NULL.java
		hayabusa.db.Selection_NUM.java
		hayabusa.db.Selection_RADIO.java
		hayabusa.db.Selection_YMD.java

	XXXMENU の editor は、警告を出さないようにします。
	YMDMENU,HMMENU,NUMMENU は、プログラム上で、継承元の親クラス(Editor_MENU) を
	super(clm) で呼び出しており、その時に、Selection が作成されていないため、
	警告が出ます。super を呼び出す作りがまずいのですが、とりあえず、警告を出している
	箇所で、出さない様にだけしておきます。抜本対策は、別途検討。
		hayabusa.db.DBColumn#getSelection()

	codeName 設定時に、renderer,editor が null の場合のみ、MENUに設定
		hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
		gf/jsp/GF6010/query.jsp

	[ファイル比較修正]
	ukurou\process の Process_FileSearch.java を使用したファイルの比較処理で、
	useOmitCmnt="true" で、かつ、useMD5="true" の場合、コメント除去したファイルを
	作成し、その MD5 を取得するようにします。
	これは、DB定義書のXMLファイルなど、データ変動がなくても、毎回新規作成するファイルで、
	かつ、コメント欄に、作成日付等を入れる場合の同一チェックに使います。
	修正箇所は、Process_FileSearch.java ではなく、FileLineModel.java 側です。
		fukurou.process.FileLineModel#setFileVals( final int level, final File file )
		fukurou.process.FileLineModel#getLineCnt( final File file,final File ocFile )

	CommentLineParser.java で、単独でテストするための main 処理で、
	コメント除去したファイルを出力するように修正します。（単なる実装漏れ）
		fukurou.util.CommentLineParser#main( final String[] args )

=====
	[datalist 修正]
	互換モードとネイティブモードの切り替えで、datalist の id と、columnタグの
	listの値を、修正しました。（まだ、完全に対応できていません。）
		gf/jsp/common/gamen/06_INSTALL/query.jsp

	[検索中表示]
	query.jsp で、検索ボタンを押した時に、「検索中」表示を行います。
	これは、jquery の jquery.blockUI.js を使用した機能です。
		gf/src/script/common/jquery/jquery.blockUI.js
		gf/src/script/common/jquery/blockUI.js
		gf/jsp/common/jquery/jquery.blockUI.js				( http://malsup.github.io/jquery.blockUI.js )
		gf/jsp/common/jquery/blockUI.js

		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#JQUERY_BLOCKUI_JS
		hayabusa.taglib.HeadTag#CUSTOM_BLOCKUI_JS
		hayabusa.common.SystemData#VIEW_USE_BLOCKUI

	[multiChoose 修正]
	ポップアップの日本語部分の、エンコード修正
	⇒,→,←,×,▲,△,▽,▼ の記号を、"\u21d2" としていたのを、"&#x21d2;" に変更
		ge/jsp/custom/multiChoose.jsp
		gf/jsp/custom/multiChoose.jsp

	[build.xml 修正]
	target name="xml" において、GF2150の定義情報抜出は個別指定方式に変更されたため、引数の修正。
	また、db/common/xml/update 以下に出力していたファイルを、テーブル毎に、フォルダを分けます。
	update		GF01,GF02,GF05,GF07,GF09,GF81
	sample		GF41,GF42,GF43,GF44,GF45,GF46,GF19,GF60,GF61,GF62,GF63,GF64,GF65,GF66,GF67,GF68,GF69
	taglib		GF21,GF22,GF23,GF24,GF25
	BONUS,DEPT,EMP は、一時的に、抜出から除外しておきます。(データ不備の為)
		gf/build.xml

	データ抜出の画面修正
		gf/jsp/GF2170
		gf/jsp/GF6010
		gf/jsp/GF7110

5.7.7.0 (2014/06/06)
	[DB定義DB機能追加]
	カラム定義マスタの機能を追加します。
	GF03テーブルをカラム定義情報として、この情報を元にテーブルカラムをセットできるようにします。
	従来のテーブルカラムの画面GF2020はそのまま置いておき、GF2021としてマスタを利用する画面を
	新規に作成しました。（つまり、この機能を利用せずに今まで通りの管理も可能）
	マスタ情報と異なるテーブルカラム定義をしている場合は該当箇所の背景色を変更しています。
		GF03	新規テーブル（カラム定義マスタ）
		gf/jsp/GF2005	カラム定義マスタ登録画面
		gf/jsp/GF2021	テーブルカラム定義登録画面

	[DB定義 コメント]
	テーブルやカラムに、コメントを追加する SQL を作成するフィルターを作成します。
	これは、テーブル定義などの作成と同様に、ファイル出力を行います。
	構文：
		--☆テーブルにコメントを作成する。
		COMMENT ON TABLE テーブル名 IS 'コメント';

		--☆カラムにコメントを作成する。
		COMMENT ON COLUMN テーブル名.カラム名 IS 'コメント';

		--☆テーブルのコメントを表示する。
		SELECT COMMENTS FROM USER_TAB_COMMENTS
		  WHERE TABLE_NAME = 'テーブル名';

		--☆テーブル．カラムのコメント一覧を表示する。
		SELECT COLUMN_NAME, COMMENTS FROM USER_COL_COMMENTS
		  WHERE TABLE_NAME = 'テーブル名'

	その他、DB定義関連、DB移行ﾃｰﾌﾞﾙ(GF84,85)関連の修正があります。
		plugin.table.TableFilter_CMNT_CLM.java			追加
		plugin.table.TableFilter_CMNT_TBL.java			追加
		plugin.table.TableFilter_DBARG_OUT.java			JavaDOC修正
		plugin.table.TableFilter_DBSRC_OUT.java			JavaDOC修正
		plugin.table.TableFilter_INDEX.java				JavaDOC修正
		plugin.table.TableFilter_SEQUENCE.java			JavaDOC修正
		plugin.table.TableFilter_TABLE.java				JavaDOC修正

		gf/jsp/GF2010		ﾃｰﾌﾞﾙ
		gf/jsp/GF2020		ﾃｰﾌﾞﾙｶﾗﾑ
		gf/jsp/GF2030		ｲﾝﾃﾞｯｸｽ
		gf/jsp/GF2050		定義ﾌｧｲﾙ(GF80)取込
		gf/jsp/GF2060		定義ﾌｧｲﾙ(GF80)検証
		gf/jsp/GF2090		整合性ﾁｪｯｸ(種別間)
		gf/jsp/GF2110		ｽｷｰﾏ情報取込
		gf/jsp/GF2130		簡易ﾃｰﾌﾞﾙ表(GF80)
		gf/jsp/GF2140		DBｽｸﾘﾌﾟﾄ作成
		gf/jsp/GF2150		XML出力(定義情報)
		gf/jsp/GF2180		移行DB一覧
		gf/jsp/GF2190		移行DB対応明細

5.7.6.3 (2014/05/23)
	[Excel出力時の文字扱い対応]
	5.7.4.1でtableWriterのuseRenderer利用時に出力を全て文字扱いとしましたが、
	指定したカラムのみ文字扱いしないような機能を追加します。
	フラグをカラムオブジェクトに持ちます。
	columnEditorでstringOutputをtrue/falseで指定してください。
	false指定をすると文字ではなくdbTypeに従った方式で出力します。
		hayabusa.db.DBColumn#DBColumn( final String 	  lang,
					 final ColumnData clmData ,
					 final LabelData  lblData ,
					 final CodeData   cdData )
		hayabusa.db.DBColumn#DBColumn( final DBColumnConfig config )
		hayabusa.db.DBColumn#getConfig()
		hayabusa.db.DBColumn#isStringOutput()
		hayabusa.db.DBColumnConfig#setStringOutput( final boolean flg )
		hayabusa.db.DBColumnConfig#isStringOutput()
		hayabusa.taglib.ColumnEditorTag#release2()
		hayabusa.taglib.ColumnEditorTag#DBColumnConfig getModifyConfig( final DBColumn dbColumn )
		hayabusa.taglib.ColumnEditorTag#etStringOutput( final String flag )
		plugin.io.TableWriter_Excel#writeData( final DBTableModel table,final PrintWriter writer )
		plugin.io.TableWriter_Excel#setRowCellValue( final Row oThisRow, final int indexOfCell, final String dataVal,final int cellType )
		hybs-taglib.tld

	初期値をシステムリソースUSE_STRING_EXCEL_OUTPUTで指定できるようにしておきます。
		hayabusa.common.SystemData#USE_STRING_EXCEL_OUTPUT
		hayabusa.db.DBColumn#DBColumn( final String   lang,
					 final ColumnData clmData ,
					 final LabelData  lblData ,
					 final CodeData   cdData )
		hayabusa.taglib.ColumnEditorTag#release2
		hayabusa.taglib.DBColumnConfig#stringOutput

	[DBType_DD]
	5.7.6.2 (2014/05/16) で、修正した、DBType_DD ですが、細かな修正を行います。
	oldValue が null の時は、上位の valueAction を呼んでいたが、そのまま、newValue を
	返すようにします。
	また、action="VALSET" は、この、DBType_DD しか使えないため、リソースも、合わせる必要が
	ありますが、処理の直前に、columnEditor で、強制的に、dbType="DD" に変更します。
		plugin.column.DBType_DD#valueAction( final String action,final String oldValue,final String newValue ) 
		gf/jsp/GF2020/directGF05.jsp
		gf/jsp/GF2020/insertGF05.jsp
		gf/jsp/GF2110/directGF05.jsp

	[アップロードファイルのCSVセット]
	個々に指定したアップロードファイル名は、XXX_NEW や XXX_ORG で取得できますが、
	HTML5 の multiple 属性使用時や、アップロードされたファイルを一連で処理したい場合に
	ファイル名を、CSV形式で取り出せるようにします。
	キーは、共通で、UPLOAD_FILES とします。
		hayabusa.taglib.FileUploadTag#makeDBTable( final MultipartRequest multi )
		hayabusa.taglib.FileUploadTag#makeDBTableFromClms( final MultipartRequest multi )
		gf/jsp/GF6260		ｱｯﾌﾟﾛｰﾄﾞ 		サンプル修正
		gf/jsp/GF6040		Submit(HTML5)	サンプル修正

	[stringOutputサンプル]
	stringOutputのcolumnEditorでの設定サンプルをGF6440に記述しておきます。
		gf/jsp/GF6440		ファイル出力サンプル修正

	[report2]
	5.7.6.2 (2014/05/16) で対応した、PAGEBREAKカラムの値を、シート名として使う場合の処理で、
	FIRST雛形も、適用します。チェックする位置が悪かったため、FIRST雛形に適用されていませんでした。
	追加機能で、FIRST雛形シート名が、FIRST**** の場合、**** 部分をシート名に使います。
	優先順は、PAGEBREAKカラム があれば、こちらを先に使用します。
	（FIRST****は、雛形に直接記述されているため、外部から動的に変更できるPAGEBREAKカラムを優先しました。）
		hayabusa.report2.OdsContentParser#execContent()
		hayabusa.report2.OdsContentParser#writeParsedSheet( final OdsSheet sheet, final BufferedWriter bw )
		hayabusa.taglib.ReportTableTag2#setUseSheetName( final String useSName )	Javadoc修正のみ
		gf/jsp/GF2190/report2.jsp		移行DB対応明細	 		サンプル修正

	[tbody]
	keyBreakClmで指定した値が、キーブレイクした場合、このタグを使用します。
	usableKey,usableList とは、独立しているため、それぞれで有効になれば、使用されると判断されます。
		hayabusa.taglib.TbodyTag.java		JavaDocのみ修正
		hayabusa.taglib.TFormatTag#release2()
		hayabusa.taglib.TFormatTag#doEndTag()
		hayabusa.taglib.TFormatTag#setKeyBreakClm( final String key )
		hayabusa.html.TableFormatter#makeFormat( final DBTableModel table )
		hayabusa.html.TableFormatter#setKeyBreakClm( final String key )
		hayabusa.html.TableFormatter#isUse( final int row, final DBTableModel table )
		gf/jsp/GF2130/result.jsp	簡易ﾃｰﾌﾞﾙ表(GF80) 		サンプル修正
		gf/jsp/GF2190/view.jsp		移行DB対応明細	 		サンプル修正

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld		TbodyTag に、keyBreakClm 追加
		gf/WEB-INF/hybs-taglib.tld

	[ReadTableTag]
	sheetConstAdrs 指定で、EXCEL表記(A2,B1等)の対応と、特殊記号(SHEET)の対応を行います。
	従来は、行-列 の数字指定のみでしたが、EXCEL表記に準拠した、A1,A2,B1 の記述も処理
	できるように対応します。
	0-0 ⇒ A1 , 1-0 ⇒ A2 , 0-1 ⇒ B1 になります。
		①EXCEL表記に準拠した、A1,A2,B1 の記述も処理できるように対応します。
		②処理中のEXCELシート名をカラムに割り当てるために、"SHEET" という記号に対応します。
	例えば、sheetConstKeys="CLM,LANG,NAME" とし、sheetConstAdrs="0-0,A2,SHEET" とすると、
	NAMEカラムには、シート名を読み込むことができます。
	なお、A1,A2,B1 の記述は、必ず、英字1文字＋数字 にしてください。(A～Zまで)
	これは、処理の簡素化のためです。
		hayabusa.taglib.ReadTableTag#setSheetConstAdrs( final String constAdrs )	JavaDocのみ修正
		plugin.io.TableReader_Excel$HeaderData#setSheetConstData( final String constKeys,final String constAdrs )
		plugin.io.TableReader_Excel$HeaderData#setSheetConstValues( final Sheet sheet )

		gf/jsp/GF2050/uploadMics.jsp  定義ﾌｧｲﾙ(GF80)取込	sheetConstAdrs を、EXCEL表記 に修正

	[DB定義DB修正]
	DB定義DBで、データ移行を定義するテーブルのインデックスを訂正します。
	前回作成したばかりですので、一旦削除して作り直してください。
		GF84(移行DB一覧)、GF85(移行DB対応明細)
		changes/5763

5.7.6.2 (2014/05/16)
	[ボディーフォーマット最大数変更]
	HTMLCustomTaleでのtbodyタグの同時利用個数を10から20に変更します。
		plugin.view.ViewForm_HTMLCustomTable#BODYFORMAT_MAX_COUNT

	[ガントヘッダー表示拡張]
	5.7.0.0での対応が、おそらくSVNアップ漏れで5.7.2.0で元に戻っていたため、マージして適用しなおします。
	バージョン表示は5.7.0.0ママで上げます。（hayabusa.taglib.GanttHeaderTagのみ）
		hayabusa.taglib.GanttHeaderTag#makeHeaderMD( final StringBuilder bufH , final int fillCnt , final int mtCnt ,  final String mdStr ) {
		hayabusa.taglib.GanttHeaderTag#makeZoomTime( final int hourOfPixcel,final int step,final boolean useTani )

	stackHeaderタグの互換機能として、DAY⇒40,WEEK⇒41,MONTH⇒42 対応しておきます。
		hayabusa.taglib.GanttHeaderTag#setZoom( final String val )

	[DB定義DB修正]
	DB定義DBで、データ移行を定義するテーブルを新規追加します。
	これに伴う設定画面も新規追加します。
		GF84(移行DB一覧)、GF85(移行DB対応明細)
		changes/5762

		gf/jsp/GF2130	簡易ﾃｰﾌﾞﾙ表(GF80)		修正
		gf/jsp/GF2180	移行DB一覧				新規追加
		gf/jsp/GF2190	移行DB対応明細			新規追加

	[DB定義DB関連]
	ｶﾗﾑ区分(KBCLM GF05) と、共通項目F(FGCOM GF80) のコードリソースの定義を変更します。
	これは、DB定義書や、カラムチェック、簡易定義書出力など、多くの箇所で
	利用されていますので、JSP画面の修正が多数入ります。
	従来、5:共通でしたが、7:共通(C) に変更します。これが一番大きな変更です。
	8:有閑(Y) 9:削除(X) は、基本的には、DB定義的には使用しないカラムなので、共通より後ろに配置します。
	通常の簡易定義書では、共通以下のみ表示させます。
	また、6:除外 はリソース定義で使用しません。
	1,2,3,4 が、DB関連図で使用する重要ｶﾗﾑになります。
	3:IDX(+) と 4:NN(*) は優先付が難しいのですが、通常、ｲﾝﾃﾞｯｸｽを作成する場合、NotNull設定も
	しておくことを推奨しているため、ｲﾝﾃﾞｯｸｽのない、NotNullをNNとしています。
		0:初期(未)  区分未設定の初期状態です
		1:UK  (◎)  物理ユニークカラムです
		2:LUK (〇)  論理ユニークカラムです
		3:IDX (+)   インデックスカラムです
		4:NN  (*)   Not Nullカラムです
		5:一般(_)   ＤＢ関連図では省略可能です
		6:除外(-)   リソース反映除外カラムです
		7:共通(C)   全テーブル共通属性です
		8:有閑(Y)   存在しますが未使用カラムです
		9:削除(X)   実態は削除済みです

		gf/jsp/GF2060	定義ﾌｧｲﾙ(GF80)検証		修正
		gf/jsp/GF2090	整合性ﾁｪｯｸ(種別間)		修正
		gf/jsp/GF2120	ﾘｿｰｽ連携				修正
		gf/jsp/GF2160	廃止(dbdefOut.jsp を GF2020 に移植)
		gf/jsp/GF2020/query.jsp ﾃｰﾌﾞﾙｶﾗﾑ 修正、dbdefOut.jsp 新規

		plugin.table.TableFilter_KBCLM.java		新規作成

		DBDEF_OUT DB定義出力 DB定義出力(GF02,05⇒EXCEL) ラベルリソース変更

	[DBType_DD]
	テーブルスクリプト作成で、初期値(DATA_DEFAULT)のスキーマ定義時に、
	DEFAULT '1' --コメント のような書き方をしていると、コメント部も
	初期値として取り込まれています。
	NOT NULL 指定があれば、DEFAULT '1' NOT NULL --コメント とすることで
	不要な初期値設定も避けられますが、そうでない場合、コメントが不要です。
	SQL 文で、操作する分には問題ありませんが、エンジン内部で再作成している
	関係で、コメントを削除する必要があります。
		plugin.column.DBType_DD#valueAction( final String action,final String oldValue,final String newValue ) 

	[stopZero , DB.COUNT 対応]
	検索系のタグで、検索結果が 、０件の場合に、継続処理を止める stopZero 属性を
	追加します。また、検索件数を表す、DB.COUNT パラメータを request に
	書き出す処理も追加します。
	stopZero 属性は、QueryTag、ReadTableTag に採用されています。
	DB.COUNT 値は、BizLogicTag , DBMetaDataQueryTag , DirectWriteTableTag , 
	FileUpdateTag , LDAPQueryTag , QueryTag , ReadTableTag , TableFilterTag , 
	TableMergeTag に採用されています。
		hayabusa.taglib.DirectTableInsertTag#release2()
		hayabusa.taglib.DirectTableInsertTag#doEndTag()
		hayabusa.taglib.DirectTableInsertTag#setStopZero( final String cmd )
		hayabusa.taglib.TableFilterTag#release2()
		hayabusa.taglib.TableFilterTag#doEndTag()
		hayabusa.taglib.TableFilterTag#setStopZero( final String cmd )
		hayabusa.taglib.TableMergeTag#release2()
		hayabusa.taglib.TableMergeTag#doEndTag()
		hayabusa.taglib.TableMergeTag#setStopZero( final String cmd )
		hayabusa.taglib.FileQueryTag#	tld に追加するだけ

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld

	サンプル画面も修正します。
		gf/jsp/GF6280	直接ﾌｧｲﾙ出力
		gf/jsp/GF6380	ﾌｧｲﾙｸｴﾘｰ

	[帳票関連]
	PAGEBREAKカラムの値を、シート名として使うかどうか指定します。
	初期値は、false:使用しない です。
	これは、主に、リアルタイム帳票で使います。
		hayabusa.report2.ExecQueue#setUseSheetName( final boolean useSheetName )
		hayabusa.report2.ExecQueue#isUseSheetName()
		hayabusa.report2.OdsContentParser#execContent()
		hayabusa.report2.OdsContentParser#writeParsedSheet( final OdsSheet sheet, final BufferedWriter bw )
		hayabusa.report2.QueueManager_DIRECT#create()
		hayabusa.report2.QueueManager_DIRECT#setUseSheetName( final boolean useSheetName )
		hayabusa.taglib.ReportTableTag2#release2()
		hayabusa.taglib.ReportTableTag2#exec()
		hayabusa.taglib.ReportTableTag2#setUseSheetName( final String useSName )

		hybs-taglib.tld			report2 タグに、useSheetName 属性追加

	[XSLT関連]
	jspInclude 時の /jsp/common/** 等の include ファイルですが、
	エンジン共通として、jspCommon6.x.x.x.jar で提供しています。
	今は、自身に存在しない場合は、相対パスで、../../../gf/jsp/commom/**
	という感じで、gf を見つけて利用していますが、Tomcatを実行している
	webapps 以外のJSPファイルをチェックする場合、gf が存在しないケースが
	あります。
	そこで、確実にgf が存在する、処理をキックしている環境の gf を使用するように
	変更します。
	それには、パラメータで、REAL_PATH を渡す必要があります。
		fukurou.process.Process_XSLT#init( final ParamProcess paramProcess )
		fukurou.xml.XSLT#transform( final String file )
		fukurou.xml.XSLT#setRealPath( final String path )
		fukurou.xml.JspIncludeReader#getString( final File file,final String encode,final String realPath )
		gf/jsp/DOC18/result.jsp

	[JSP解析]
	JSP解析で、iBar | iGanttBar | iGantt | iHead | iMatrix | iTable | iTask のチェックを追加
		gf/jsp/DOC18/xsltV6/GF70_PROG.xsl

	JSP解析で、Ver6 に対応した、xsltV6\GF70_PROG.xsl を修正しました。
	また、ERROR、WARNING、CAUTION の３レベルで記述し直し、番号も振りなおしています。
		gf\jsp\DOC18\xsltV6\GF70_PROG.xsl

	[GuiQuery]
	GuiQuery タグは、BODY 無しなので、tldファイルは、tagdependent に
	設定しておきます。
	本来は、BODY 部がない場合は、empty なのですが、コメントなどを自由に
	書き込めるように、tagdependent にしています。
	本当に、empty にしたい場合は、tagdependent をすべて、empty 変更してください。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld

	[ColumnTag]
	columnタグに、dbid属性を追加します。
	これは、editor="DBMENU" や、editor="DATALIST" 時に、param 属性にSQL文を
	指定しますが、このSQLの実行先のDBID を指定できるようにするものです。
	一般には使用しませんが、管理画面で使用します。
		hayabusa.taglib.ColumnTag#release2()
		hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
		hayabusa.taglib.ColumnTag#setDbid( final String id )

		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld

	[廃止クラス,廃止メソッドに伴う、JSP修正]
	tableExist ⇒ dataCheck
		gf/jsp/common/gamen/07_CONFIG/entry.jsp(17): <og:tableExist
		gf/jsp/GANTT01/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT02/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT02/entryGF65.jsp(37): <og:tableExist
		gf/jsp/GANTT03/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT04/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT05/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT06/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT06B/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT06C/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT10/entry.jsp(38): <og:tableExist
		gf/jsp/GANTT10/backup/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT11/entry.jsp(37): <og:tableExist
		gf/jsp/GANTT12/entry.jsp(37): <og:tableExist
		gf/jsp/GF6050/entry.jsp(36): <og:tableExist
		gf/jsp/GF6100/entry.jsp(33): <og:tableExist
		gf/jsp/GF6340/entry.jsp(33): <og:tableExist
		gf/jsp/GF9130/entry.jsp(32): <og:tableExist
		gf/jsp/GF9230/entry.jsp(32): <og:tableExist
		gf/jsp/GF9410/entry.jsp(33): <og:tableExist
		gf/jsp/GF9430/entry.jsp(23): <og:tableExist

		gf/gf/src/script/common/option/adjustGanttTable.js(2032): 
			parentTdObj.style.cssText ="text-align:left;background-image: url('../image/stackBG"+gantZoom+".gif')";
			stackBG ⇒ ganttBG

		gf/jsp/GF6150 廃止します。
		gf/jsp/GF6220 廃止します。

		ge/jsp/common/gamen/07_CONFIG/entry.jsp(17): <og:tableExist
		ge/jsp/GE0001/entry.jsp(34): 	<og:tableExist
		ge/jsp/GE0002/entry.jsp(32): 	<og:tableExist
		ge/jsp/GE0003/entry.jsp(29): 	<og:tableExist
		ge/jsp/GE0004/entry.jsp(30): 	<og:tableExist
		ge/jsp/GE0005/entry.jsp(27): 	<og:tableExist
		ge/jsp/GE0007/entry.jsp(27): 	<og:tableExist
		ge/jsp/GE0008/entry.jsp(27): 	<og:tableExist
		ge/jsp/GE0016/entry.jsp(27): 	<og:tableExist
		ge/jsp/GE0016/entry.jsp(33): 	<og:tableExist
		ge/jsp/GE0017/entry.jsp(34): 	<og:tableExist
		ge/jsp/GE0018/entry.jsp(34): 	<og:tableExist
		ge/jsp/GE0018/entry.jsp(43): 	<og:tableExist

	[GE13 ⇒ GF13 JSP修正]
		gf/jsp/GF7217/result.jsp(61): 	calDB	= "GE13"
		gf/jsp/GF7218/result.jsp(65): 	calDB	= "GE13"

	[HTML5 判定機能]
	IEの場合、HTML5 設定でも、ブラウザ側で互換性設定を行うと互換表示になります。
	その場合、DATALIST等の HTML5機能が使えません。
	そこで、JavaScriptの機能が有効かどうかを判定して、ブラウザが互換性表示に
	なっているかどうかを判定し、セッションに登録する機能を用意します。
	  JspInitTag	:IEのHTML5機能が有効か無効かの判定キーを削除(初期化)します。
	  QueryButtonTag:IEのHTML5機能が有効か無効かの判定値を飛ばす、hidden タグを作成します。
	  HeadTag		:IEのHTML5機能が有効か無効かの判定値をsessionに設定します。
	上記のタグを経由して、session に判定結果を保存し、それを使用できるようにします。
	値は、true/false です。
	この処理は、JspInitTag で初期化しておき、設定値がなければ、QueryButtonTag で、
	hidden データを作成し、result.jsp の HeadTag で値を設定します。
		hayabusa.common.HybsSystem#IE_HTML5_KEY
		hayabusa.taglib.JspInitTag#doEndTag()
		hayabusa.taglib.QueryButtonTag#doEndTag()
		hayabusa.taglib.HeadTag#doEndTag()

	これに伴い、ColumnTag,ColumnEditorTag について、IE_HTML5_KEY の値が、false の場合は、
	editor="DATALIST" を、"INDBMENU" に置換します。
	ただし、DatalistTag を使用した場合は、置換処理が有効に働きませんので、互換モードの
	場合は、何も表示されない（ただの inputタグだけ残る）状態になります。
		hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
		hayabusa.taglib.ColumnEditorTag#getModifyConfig( final DBColumn dbColumn )

	[DATALIST関連]
	IEのHTML5機能が無効の場合の処理を強化します。
	①columnタグの list 属性の出力を停止します。
	②datalistタグを、無効の場合は、INDBMENUと同じ方式にします。
	③共通化を行うため、list属性とid属性の関連キーを、name+".sel" に変更します。
		hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
		hayabusa.taglib.DatalistTag#doEndTag()
		hayabusa.taglib.HTMLTagSupport#setList( final String list )		JavaDocのみ修正
		plugin.column.Editor_DATALIST#getValue( final String value )
		plugin.column.Editor_DATALIST#getValue( final int row,final String value )
		gf/jsp/GF6040

5.7.6.1 (2014/05/09)
	[Viewタグでのセッション登録制御]
	１つの画面ID内で複数のViewを表示した場合に、セッションに登録している情報が上書きされます。
	そのため、NEXTの動作が正しくない状態になっていました。
	ViewタグにmainView属性を追加して、コントロール可能にします。
	この属性(初期値true)をfalseとする事でセッションに現段階ではstartNo情報のみ、登録しなくなります。
		hayabusa.taglib.ViewFormTag#doEndTag()
		hayabusa.taglib.ViewFormTag#release2()
		hayabusa.taglib.ViewFormTag#setMainView( final String flag )
		hybs-taglib.tld
		gf/jsp/GF6050/popup.jsp

5.7.6.0 (2014/05/02)
	[Ajax画面サンプル修正]
	展開処理を動かした後にnextを利用した場合に元のViewFormが使われないため、
	サンプル画面としてはviewFormIdをセットしておくようにします。
		gf/jsp/GF6170/result.jsp
		
	[RWMODE桁数チェック]
	画面リソースのrwmodeを間違えて登録すると、メニューリソース読み込みでエラーとなります。
	とりあえず正規表現チェックで、1桁での入力が出来ないようにしておきます。
	（Ctrl+Vの押し間違いでVが入ってしまう場合の考慮）
		カラムリソース rwmode

5.7.5.1 (2014/04/11) 
	[Edit画面修正]
	モードをmrのように編集不可にしている画面で、Edit機能の出力ファイル形式の切り替えが
	出来ませんでしたが、変更可能にします。（writableをtrueに設定）
		jsp/common/gamen/14_EDIT/result_REPORT.jsp
		
	[EditのorderOnly機能変更]
	EditConfigTagのorderOnly機能はカラム順とorderByを指定できましたが、
	降順チェックを付けられなかったため、これを付けられるように変更します。
		hayabusa.taglib.EditConfigtag#makeEditTable( final String viewClms )

5.7.5.0 (2014/04/04)
	[ファイル検索の隠しファイル除外対応]
	隠しファイルを検索条件に考慮できるようにします。
	FileWhereTag で、isHidden="false" とすると、隠しファイル(hidden)以外を検索します。
	true にすると、隠しファイルのみ検索します。
	すべてを検索したい場合(従来と同じ)は、何も指定しないでください。
		fukurou.util.HybsFileFilter#isHidden( final String flag )
		fukurou.util.HybsFileFilter#isHidden( final String flag,final boolean reverse )
		fukurou.util.HybsFileFilter$IsHiddenFilter
		fukurou.process.Process_FileSearch#init( final ParamProcess paramProcess )
		hayabusa.taglib.FileWhereTag#doEndTag()
		hayabusa.taglib.FileWhereTag#release2()
		hayabusa.taglib.FileWhereTag#setIsHidden( final String flg )

		jsp/GF6380/query.jsp
		jsp/GF6380/result.jsp

	[Tomcat8.0.5 対応]
	Tomcat8.0.5 で、ClassLoader の getResources(String)で取得する
	URL 名の最後に、"/" が付かなくなっています。
	8.0.3 までは、付いていました。
	その結果、フォルダの最後に "/" がある前提のプログラムが動作しなく
	なっていますので対応します。
	 * ※ Tomcat8.0.3 では、ClassLoader の getResources(String)で取得するURL名が、
	 *    /C:/opengionV6/uap/webapps/gf/WEB-INF/classes/org/opengion/plugin/
	 *    の形式で、最後の "/" を取る為、filepath.length() - 1 処理していましたが、
	 *    Tomcat8.0.5 では、/C:/opengionV6/uap/webapps/gf/WEB-INF/classes/org/opengion/plugin
	 *    の形式で、最後の "/" がなくなっています。
	 *    最後の "/" があってもなくても、new File(String) でディレクトリのオブジェクトを
	 *    作成できるため、filepath.length() に変更します。
		fukurou.util.FindClassFiles#FindClassFiles( final String filepath,final String keyword )

	[HTML5 Editor_DATALIST 対応]
	Editor_DATALIST に、display:none; が入っていなかったので、追加しました。
	HTML5非対応ブラウザで見た場合に、option部分が表示されてしまいました。
	下記のキャッシュ機能も追加しました。
	 * 一覧表出力時の getValue( int ,String ) 処理では、Selection オブジェクトの
	 * キャッシュ機能を利用して、同一Selection オブジェクトの間は、datalist は、
	 * １度しか、出力しない様に制御しています。これにより、共有のdatalist を使用する為、
	 * HTMLの出力データ量を抑えることが可能になります。
	 * (キャッシュを利用しないと１００行出力すると１００個のdatalistを出力する事になります。)
	 * (同様の機能を持つ INDBMENU では、行ごとにプルダウンデータを作成しています。)
	 * ただし、行単位にSQLの条件を変える機能(AAA:BBB:CCC:DDD引数)が指定された場合は、
	 * 行ごとに出力します。
		plugin.column.Editor_DATALIST#getValue( final String value )
		plugin.column.Editor_DATALIST#getValue( final int row,final String value )
		plugin.column.Editor_DATALIST#getOption( final TagBuffer buf,final String value,final boolean useSelCache )

	[bulkSet 区切り文字変更]
	5.2.3.0 (2010/12/01) で、bulkSet の区切り文字を、タブからカンマに変更しましたが、
	数字や値段など、999,999形式の３桁区切りカンマで分割してしまうため、使いにくいため、
	元のタブ文字列に戻します。
		gf\src\script\common\resultScript.js#bulkSet( obj ) 
		gf\src\script\common\resultScript.js#bulkPaste( obj )
		gf\src\script\common\resultScript.js#bulkPasteBox( obj )
		gf\src\script\common\resultScript.js#ctrlCV( obj )

	[FileUDTag]
	5.7.4.3 (2014/03/28) で、修正した FileUDTag の setClmEdit を元に戻します。
	その機能の ON/OFF は、useEditLink 属性とします。
	過去に導入済みのプログラムで使用されている可能性がある為です。
		hayabusa.taglib.FileUDTag#doEndTag()
		hayabusa.taglib.FileUDTag#release2()
		hayabusa.taglib.FileUDTag#setEditLink( final String type )

	[popup 関係]
	popup 関係の見直しを行います。
	①popup.jspページの head タグの headType に、"popup" を設定します。
	  これにより、BODY部に、<base target="_self" /> を記述する必要がなくなります。
		gf/jsp/GF9110/popup.jsp
		gf/jsp/GF6050/popup.jsp
	②popupの、モーダルダイアログで、サイズが変更できるように、resizable:on; を追記。
		gf\src\script\common\default.js#ogPopup( p_pgid,p_height,p_width,p_in_Array,p_this,p_out_Array,command,event )
	③popup.jsp の queryButton タグに、編集機能の ON/OFFができる属性(useEditMenu)を追加。
	  useEditMenu="true" で、編集機能のプルダウンが表示されます。(初期値は互換性の関係で、true)
		hayabusa.taglib.QueryButtonTag#doEndTag()
		hayabusa.taglib.QueryButtonTag#release2()
		hayabusa.taglib.QueryButtonTag#setUseEditMenu( final String flag )

		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld

	④関連して、fileUD タグの EditMenu属性を、useEditMenu属性に変更します。
	  既存では、ほとんど使われていないハズなので、互換性を無視して置き換えます。
		hayabusa.taglib.FileUDTag#setUseEditMenu( final String flag )

	[HTML5 関係]
	ViewForm_HTMLTable で使用している colgroup による、DBTypr属性の付与ですが、
	HTML5 ネイティブモードで、。(原因不明です)
	# CSSで左寄せなど指定している箇所で、R , S9 , X9 の右寄せの機能が効きません。
	そこで、td:nth-child(n) を使用して、右寄せだけ設定します。
	HTMLTable 以外は、基本的に、個々の td に class 属性をセットしているため、
	動作しています。(共通の行番号を出力している箇所以外)
	ViewForm_HTMLSeqClmTable も、本当は対応すべきですが、そもそもが暫定対応なので
	良く使う ViewForm_HTMLTable のみ適用します。
	# 他の ViewForm_XX でも、行番号を出力している箇所は、同様に対応が必要ですが、
	# 取りあえず保留します。
		plugin.view.ViewForm_HTMLTable#getTableHead()

	[javadoc 関係]
	JavaDocコメント欄に、＜,＞ の記述があったため、エスケープします。
		fukurou.mail.MailTX.java
		plugin.column.Editor_DATALIST.java

5.7.4.3 (2014/03/28)
	[ロールモード 関係]
	ロールモードのJavaDocが古いので、最新の状態に合わせます。
	また、MODE 定義が、public static final でしたが、ビットパターンは
	将来的に変更する予定なので、privateに変更します。
		hayabusa.resource.RoleMode.java

	Edit機能の利用に、useClmEdit を加味します。
	従来は、カラム編集画面の内、【表示項目設定】タブを表示しないだけでした。
	この設定は、RWMODE を、 ##d , ##u , ##f の場合にも同様の設定が可能です。
	カラム編集リンク自体を出さない機能は、現時点ではリソース設定できないため、
	タグのパラメータとして指定できるようにします。
	基本的には、このパラメータはほとんど使われていないハズなので、
	機能を置き換えます。
	初期値は、カラム編集リンクを出力する(=true)です。
		hayabusa.taglib.FileUDTag#doEndTag()
		hayabusa.taglib.FileUDTag#release2()
		hayabusa.taglib.FileUDTag#setClmEdit( final String type )

	[Editor_DATALIST 追加]
	編集機能に、HTML5で採用された、DATALISTタグを利用した、入力候補となる
	データリストを定義する編集用エディターを新規作成します。
	機能的には、INDBMENUのHTML5版に対応します。
	編集パラメータのQUERYに応じて、入力候補のリスト（datalistタグ）を出力します。
	入力フィールドとdatalistタグとの関係付は、カラムIDに、"h_カラムID" で結びつけます。
		plugin.column.Editor_DATALIST.java		新規作成

	[ファイルアップロード機能]
	ファイルアップロードで、filename のみ、リクエスト変数が使えるようにします。
	他の変数では、リクエスト変数が使えない事をチェックするメソッドを用意します。
		hayabusa.taglib.FileUploadTag.java				全般的に修正
		hayabusa.servlet.MultipartRequest#MultipartRequest(final HttpServletRequest request, …
		hayabusa.servlet.MultipartRequest#getReqParamFileName( final String fname )

	[クロス集計機能]
	useHeaderColumn の適用条件を、集計カラムすべてに行うのではなく、最初の集計カラムのみに適用します。
	基本的には、複数の集計カラムには対応できていなかったので、互換性は保たれるはずです。
		plugin.view.ViewForm_HTMLCrossTable#makeCrossTable( final DBTableModel table )

	5.7.4.2 (2014/03/20) で、useHeaderResource を見直しましたが、再度見直します。
	useHeaderResource と useHeaderColumn の両方が true でないと適用しない仕様でしたが、
	  現時点で、useHeaderResource は、他には使われていないため、単独でヘッダーのリソース適用を
	  実行するように変更します。

	上記の変更に伴い、タグリブのJavaDocを修正します。
		hayabusa.taglib.ViewCrossParamTag.java		JavaDoc修正

	[FileQueryTag 機能改善]
	FileQueryTag にいくつかの機能改善を行います。
	①WRITABLE カラムの追加
	  useWritable属性を指定すると、先頭カラムに、WRITABLE カラムが挿入されます。
	②MD5の計算結果を設定する機能。
	  useMD5属性を指定する事で、MD5 というカラムを追加したうえで、MD5計算を行います。

		hayabusa.taglib.FileQueryTag#release2()
		hayabusa.taglib.FileQueryTag#initDBTable()
		hayabusa.taglib.FileQueryTag#addFileData( final int rowNo,final int lvl,final File fin )
		hayabusa.taglib.FileQueryTag#setUseWritable( final String flag )
		hayabusa.taglib.FileQueryTag#setUseMD5( final String flag )

		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld

	[FileQueryTag 関連]
	File関連の対応の中で、FileWhereTag の isLarger、isSmaller を文字列での扱いに変更します。
	また、現状は、org.opengion.fukurou.util.HybsFileFilter.java で処理していますが、
	KB や バイトなど、JavaDoc上の誤記や、int型では、最大容量に対応できていない事、
	指定方法も、MB や KB などの 記号を含めて指定したいことなどを合わせて、文字列での
	受渡し方法に変更します。
		fukurou.util.HybsFileFilter#getByteSize( final String slen )
		fukurou.util.HybsFileFilter#isLarger( final String slen )
		fukurou.util.HybsFileFilter$IsLargerFilter$IsLargerFilter( final long len )
		fukurou.util.HybsFileFilter#isSmaller( final String slen )
		fukurou.util.HybsFileFilter$IsSmallerFilter#IsSmallerFilter( final long len )
		fukurou.process.Process_FileSearch#init( final ParamProcess paramProcess )
		hayabusa.taglib.FileWhereTag#release2()

	[JspInitTag 関連]
	エラー時に、処理を停止していましたが、debug=true と引数に入れることで、
	継続処理できるようにしました。
	エラー内容によっては、DB検索など、各種処理を行いたい場合もある為です。
		hayabusa.taglib.JspInitTag#doEndTag()

	[HeadTag 関連]
	①headType に、"frame" を用意します。
	  これは、index.jsp に使用することを想定しています。
	  index.jsp では、frameset を使用していますが、HTML5 で、frameset が廃止された
	  事を受けて、"frame" を指定したページは、 従来のHTML4 を出力して、frameset の
	  機能を実行しようとしています。
	  ＃ 現時点では、IEしか調査していませんが、HTML5 にしても frameset は使えています。

	②headType に、"popup" を用意します。
	  これは、popup.jsp に使用することを想定しています。
	  popup.jsp では、上下のフレーム処理をせずに、１枚のJSPに、query.jsp 部と
	  result.jsp 部を記述し、さらに、各種設定を行っています。
	  ほとんど、query.jsp、result.jsp と同じ内容ですが、ほんの少し異なる箇所があり、
	  コピー作成すると、メンテナンス性が悪化します。
	  そこで、(将来的に)popup.jsp の自動作成ができるように、マーカーしておきます。

		hayabusa.taglib.HeadTag#doAfterBody()
		hayabusa.taglib.HeadTag#doEndTag()
		hayabusa.taglib.HeadTag#setHeadType( final String type )

5.7.4.2 (2014/03/20)
	[@DATE.XXXX 関係]
	fukurou.util.SystemParameter.java で、{@XXXX AA BB CC} の、AA,B,CC引数に
	リクエスト変数を表す @ ではじまる値の設定は、エラーにします。
		fukurou.util.SystemParameter#getDateFormat( final String value )

	hayabusa.taglib.CommonTagSupport.java で、getSanitizedBodyString()メソッド内で
	fukurou.util.SystemParameter を使って、{@XXXX} 処理を行っていますが、
	これは、リクエスト変数が使えないため、機能制限されます。
	このメソッドは、View関連のBODY処理で、リクエスト値の "[" 文字列を、
	"\\]\\"に変換して、フォーマット処理されないようにしていますが、それらに、
	SystemParameter を使っているため、{@XXXX AA BB CC} 機能が使えない状況に
	なっています。
	そこで、CommonTagSupport に一時的に、サニタイズ処理のフラグを設定し、
	getRequestValue( String , boolean )の処理内の、getRequest().getParameter( String )
	処理の直後に、サニタイズ処理を行う様に変更します。
		hayabusa.taglib.CommonTagSupport#release2()
		hayabusa.taglib.CommonTagSupport#getSanitizedBodyString()

	[ViewForm_HTMLCrossTable 関係]
	5.5.5.0 (2012/07/28) [クロス集計時のラベルリソース利用] で適用した処理で、
	「カラムリソースがselectionを持たない場合(label表示等)や、カラムリソース
	  そのものが無い場合は何もしません。」
	という箇所について、オリジナルのカラムリソースをヘッダー表示の値に適用するように
	変更します。
	条件は、useHeaderResource && useHeaderColumn && selection != null の時です。
	なお、ViewCrossParamTag のJavaDocコメントが間違っていたので、修正します。
		plugin.view.ViewForm_HTMLCrossTable#getHeadLine()
		hayabusa.taglib.ViewCrossParamTag.java
		gf/jsp/GF6070/query.jsp
		gf/jsp/GF6070/result_sample6.jsp

5.7.4.1 (2014/03/15)
	[useRenderer=true時のExcel出力修正]
	useRendererがtrueの場合画面表示そのままをExcel出力しようとしますが、
	DBタイプが数字型の場合に内部的にDouble変換をかけようとしてエラーになる場合があります。
	（例えば税率で、DB上は数字で持っているが表示は%付きで出している等)
	useRendererがfalseの場合のみdouble変換をかけるようにします。
		plugin.io.TableWriter_Excel#setRowCellValue( final Row oThisRow, final int indexOfCell, final String dataVal,final int cellType )

	[エラーメッセージ変更]
	fileUDタグのエラー「選択されていません。もう一度、選択しなおして下さい。」は
	ユーザにとって分かりにくいため、ERR0042を新規に追加して、標準メッセージを
	「出力対象データが見つかりませんでした。再度検索して下さい。」に変更します。
		hayabusa.taglib.fileUDTag#errorMsg
		hayabusa.taglib.fileUDTag#release2()

	[classのファイル分離]
	public や、protected などの クラスに対する アクセス修飾子 で、
	省略時のクラスを、public などと同一ファイルで管理していましたが、
	ファイルそのものを分離します。
	MailCharset.java から、MailCharsetFactory、UnicodeCorrecter、CharCodeConverter を分離します。
	MailCharsetFactory のインナークラスとして、Mail_Windows31J_Charset、Mail_ISO2022JP_Charset、JISDataSource を
	再定義しなおします。
		fukurou.mail.MailCharset.java
		fukurou.mail.MailCharsetFactory.java
		fukurou.mail.UnicodeCorrecter.java
		fukurou.mail.CharCodeConverter.java

	[日本語ファイルのIE11対応]
	5.7.1.2 (2013/12/20) で、FileDownloadサーブレットに対応した IE11の日本語対応処理で、
	forwardタグにも同様の処理が存在したため、対応します。
	User-Agent ヘッダーの取得と比較で、条件を反転したうえで、新しいAgent(Trident)に対応させます。
	** IE11はUserAgnetが変更になりましたが、fileDownloadサーブレットの日本語対応ロジックの影響で
	** IE11の非互換モードではサーブレット経由のダウンロードが上手くいきませんでした。
	** とりあえず、新しいAgent(Trident)に対応させておきます。
		hayabusa.taglib.ForwardTag#doEndTag()

	[{@DATE.XXXX AA BB CC} 処理の見直し]
	①日付処理で、AA 引数が、@ 付の場合、パラメータ処理しますが、null でなく
	  ８ケタ以下の場合は、コマンドと判断している処理で、８ケタ以下ではなく、
	  先頭が、数字かどうかで判定します。
	②H1 ～ HXXX ：時を指定の分だけ進める処理が、実装できていなかったので、追加します。
	③CC 引数で、日付の加減算処理を、"H" , "D" , "M" の １文字パラメータの場合のみ利用可能
	  でしたが、他のコマンドでも処理できるように変更しました。
	④これに伴い、01_ADMIN の [Parameter] JSP を修正します。
		hayabusa.taglib.CommonTagSupport#getDateFormat( final String value )
		fukurou.util.HybsDateUtil#getDateFormat( final String key ,final String prmA ,final String prmB )
		fukurou.util.HybsDateUtil#getDateFormat( final String key ,final String prmA ,final String prmB ,final int intC )
		fukurou.util.HybsDateUtil#calendarCalc( final Calendar now,final String prmB )
		fukurou.util.HybsDateUtil#calendarCalc( final Calendar now , final String prmB , final int intC )
		fukurou.util.SystemParameter#getDateFormat( final String value )
		gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp

	[popupのIE11対応]
	popupで、モーダルダイアログのフレーム対応がおかしくなったため、
	ポップアップを見直します。
	従来は、index.jsp を、og;popup タグから呼び出しても、フレームサイズを
	指定できましたが、ネイティブモードではフレームサイズの指定ができなく
	なりました。
	そこで、popup は、popup.jsp を新規に作成し、query 部と result 部を一つのJSPファイルに
	まとめる方式を標準とします。
	①popup.jsp を別途用意します。
	②custom/popup_info.jsp を include します。トグルボタンや他画面リンクを排除しています。
	③head タグで、<base target="_self" /> を記述します。
	④<form method="GET" action="popup.jsp" > で、自分自身を呼び出すようにします。
	⑤queryButton タグに、usePrevNext="false" を記述します。
	⑥query タグに、 scope="request" をセットします。
	⑦view タグに、scope="request" 、selectedType = "radio"、popupReturnKeys に、引数 を指定します。
		jsp/gf/custom/popup_info.jsp
		jsp/gf/GF9110/popup.jsp
		jsp/gf/GF9150/result.jsp
		jsp/gf/GF9200/query.jsp
		jsp/gf/GF9250/query.jsp
		jsp/gf/GF9500/query.jsp
		jsp/gf/GF9510/query.jsp

5.7.4.0 (2014/03/07)
	[classのファイル分離]
	public や、protected などの クラスに対する アクセス修飾子 で、
	省略時のクラスを、public などと同一ファイルで管理していましたが、
	ファイルそのものを分離します。
	MailCharset.java から、MailCharsetFactory、UnicodeCorrecter、CharCodeConverter を分離します。
	MailCharsetFactory のインナークラスとして、Mail_Windows31J_Charset、Mail_ISO2022JP_Charset、JISDataSource を
	再定義しなおします。
		fukurou.mail.MailCharset.java
		fukurou.mail.MailCharsetFactory.java
		fukurou.mail.UnicodeCorrecter.java
		fukurou.mail.CharCodeConverter.java

	LineModelFilter.java から、FilterOperation を分離します。
		fukurou/process/LineModelFilter.java
		fukurou/process/FilterOperation.java
		
	[ヘッダ固定のIE11対応]
	IE11のイントラネット判定の不具合と思われる現象で、ヘッダが予期せぬ改行を起こす場合があります。
	ヘッダ固定時のwidth設定を+1pxする事で現象の発生を防ぎます。
		jsp/common/scrollBar2.js
		src/script/common/scrollBar2.js

	[JavaDoc 関連修正]
	JavaDoc関連で、HTMLタグのエンティティ化や、各種コメント不足他
	修正しています。

	[ReplaceString バグ]
	5.7.2.1 (2014/01/17) ReplaceString$ReplaceData#isOverlap の修正に関して、追加です。
	開始-終了条件が、イコールの場合、エラーなのですが、従来からの互換性の為、エラーではなく
	同じという判定をする必要があります。
	compareTo(String) で、同一判定を行います。方法は、ReplaceData のハッシュ値が同じかどうかで
	判断します。
		fukurou.util.ReplaceString$ReplaceData#compareTo( final ReplaceData other )

	[jsp/custom/custom.css の 修正]
	inputタグで、readonly="readonly" を設定したときに、背景色をグレイにするCSSを入れます。
	標準では、.readonly クラス指定で、文字色をグレイにします。
	カスタムの標準として用意します。(common に入れると互換性が損なわれるためcustomに入れます)
		jsp/custom/custom.css

	[UserInfoTag コメント修正]
	UserInfoTag で、NVLEGT ⇒ NVLGET にコメント修正。
	単なる記述ミス。ソース内部の変数は、NVLGET で正しかった。
		hayabusa.taglib.UserInfoTag.java

5.7.3.2 (2014/02/28)
	[Excel帳票デーモン修正]
	PRT_GRPが指定された際の条件式に誤りがあったため修正します。
	（ver.3でもともとPRTIDで指定されていたものが何処かのタイミングでPRT_GRPに変更されてしまっていた）
		plugin.daemon.Daemon_Report#initDaemon()

	[Process_**** 修正]
	Process_Process_GrepChangeで、debug 情報の表示と、ｷｰﾜｰﾄﾞの\n,\t の使用、
	trim() の廃止を行います。
	 * -regex=true で、ｷｰﾜｰﾄﾞに正規表現を利用できます。具体的には、String#replaceAll(String,String) 
	 * を利用して置換します。
	 * 通常の置換処理は、indexOf で見つけて、StringBuilder#replace(int,int,String) を繰り返して処理しています。
	 * -ignoreCase=true で、検索ｷｰﾜｰﾄﾞに大文字小文字を区別しない処理が可能です。
		fukurou.process.Process_GrepChange#init( final ParamProcess paramProcess )

	[Tomcat8 対応]
	Tomcat 8.0.1で、ServletContext#getRealPath( "/" ) の値が、Tomcat 7 の時と異なっています。
	具体的には、実ｱﾄﾞﾚｽの末尾に、ファイルセパレータが付かなくなりました。
	  Apache Tomcat/7.0.50	context.getRealPath( "/" ) ⇒ C:\opengionV6\uap\webapps\gf\
							context.getRealPath( "" )  ⇒ C:\opengionV6\uap\webapps\gf

	  Apache Tomcat/8.0.1	context.getRealPath( "/" ) ⇒ C:\opengionV6\uap\webapps\gf
							context.getRealPath( "" )  ⇒ C:\opengionV6\uap\webapps\gf
	getRealPath( "" ) の場合は、どちらも付かないので、＋ファイルセパレータを常に付ける事で
	互換性を取るようにします。
		hayabusa\common\SystemParameter#loadInitialParameter( final ServletContext context,final String contextName )
		hayabusa\filter\AccessStopFilter#init(final FilterConfig filterConfig) 
		hayabusa\filter\FileFilter#init(final FilterConfig filterConfig) 
		hayabusa\filter\URLCheckFilter#init(final FilterConfig filterConfig) 
		hayabusa\filter\URLHashFilter#init(final FilterConfig filterConfig) 

	[ｿｰｽﾁｪｯｸ]
	DOC18\xsltV6 のソースチェックを変更します。
	SELECT文の取得範囲を増やしました。
		gf\jsp\DOC18\xsltV6\GF73_PROG.xsl
		gf\jsp\DOC18\xsltV6\GF74_PROG.xsl

	[columnEditorタグのparameter属性]
	columnEditorタグのparameter属性は、廃止タグで、param に置き換えます。
	ただし、5.6.4.3 (2013/05/24) で修正していますので、それ以前のエンジンで
	jsp/common だけ置き換える場合は、エラーになりますので、ご注意ください。
	※ 今までも、common 以下の置き換えは、エンジンとセットで置き換えていると
	   思いますので、ミスらないと信じています。
		common\gamen\03_DBSEARCH\allCompile.jsp(39)
		common\gamen\21_WHTSNEW\result.jsp(81)
		common\gamen\21_WHTSNEW\result.jsp(82)
		common\gamen\21_WHTSNEW\result.jsp(84)
		common\gamen\21_WHTSNEW\top_menu.jsp(114)
		common\gamen\21_WHTSNEW\top_menu.jsp(115)
		common\gamen\21_WHTSNEW\top_result.jsp(57)
		common\gamen\21_WHTSNEW\update.jsp(52)
		common\gamen\23_FAQRGST\result1.jsp(78)
		common\gamen\23_FAQRGST\result1.jsp(79)
		common\gamen\23_FAQRGST\result1.jsp(88)
		common\gamen\23_FAQRGST\update.jsp(56)
		GF0000\index.jsp(57)
		GF6410\result.jsp(59)
		GF6410\result.jsp(61)
		GF6410\result.jsp(63)

	[開発ﾂｰﾙ 修正]
	開発ﾂｰﾙ →【JSP解析･確認】→ 使用カラム検索[DOC139] に FORM_TYPE 属性を追加します。
		gf/jsp/DOC13/query.jsp
		gf/jsp/DOC13/result.jsp

	[DB定義ｼｽﾃﾑ 修正]
	DB定義ｼｽﾃﾑ →【拡張機能】→ ARG変数検証(GF81)[GF2070] の command="MODIFY" 時に
	USE_LENGTH カラムにMAX_LENGTHカラムの値をセットしている箇所を、コメントアウトします。
	MAX_LENGTH が null の場合に、元々のUSE_LENGTHカラムの値が消えてしまうためです。
	必要であれば、columnBulkSet 機能でコピー＆ペーストしてください。
		gf/jsp/GF2070/update.jsp

5.7.3.1 (2014/02/14)
	[Bizロジック修正]
	5.7.2.3での修正では不十分だったため、追加対応を行います。
		fukurou.business.ArrayTableModel#ArrayTableModel( final String[] nms, final String[][] vs, final String[] ms )

	[初期画面修正]
	初期画面で、21_WHTSNEW の表示するSELECT文で、ORACLE特有の文法が
	使われていたので、修正します。
		jsp/common/gamen/21_WHTSNEW/top_result.jsp
		src/META-INF/resources/jsp/common/gamen/21_WHTSNEW/top_result.jsp
		jsp/GF0000/index.jsp			今は使ってない

5.7.3.0 (2014/02/07)
	[Process_**** 修正]
	Process_**** 関係で、debug パラメータを追加します。
	従来は、一部のプロセスのみありましたが、すべてのプロセスで
	デバッグ出力できるようにします。
		fukurou.process.Process_DBCountFilter.java
		fukurou.process.Process_DBMerge.java
		fukurou.process.Process_DBReader.java
		fukurou.process.Process_DBWriter.java
		fukurou.process.Process_FileCopy.java
		fukurou.process.Process_FileSearch.java
		fukurou.process.Process_FileSearch.java
		fukurou.process.Process_GrepChange.java
		fukurou.process.Process_LDAPReader.java
		fukurou.process.Process_StringUtil.java
		fukurou.process.Process_TableFilter.java
		fukurou.process.Process_TableReader.java
		fukurou.process.Process_TableWriter.java
		fukurou.process.Process_UnicodeEscape.java
		fukurou.process.Process_XSLT.java

	[ｿｰｽﾁｪｯｸ関係]
	ｿｰｽﾁｪｯｸのQUERY定義検索 で、ｶﾗﾑ列とﾃｰﾌﾞﾙの取得を行います。
	それに伴い、桁数の変更と、新しいｶﾗﾑを追加します。
	DB定義書の修正も行います。
		GF74 の CLMS 1000桁 ⇒ 4000 桁
		GF74 の TABLE_NAMES VARCHAR2(4000) 追加
		gf/jsp/DOC18/xsltV6/GF74_PROG.xsl

	廃止タグなど、軽微なチェック項目の追加
		gf/jsp/DOC18/xsltV6/GF70_PROG.xsl

	[DB定義DB関係]
	ｼｰｹﾝｽの現在の設定値を見られるように、項目を追加します。
	ﾃｰﾌﾞﾙ定義の件数みたいな使い方をします。
	取りあえず、数字項目ですが、 NOT NULL 指定はしていません。
		ALTER TABLE GF09 ADD ( LAST_NUMBER	NUMBER );
		gf/jsp/GF2082/result.jsp
		gf/jsp/GF2082/sqlGF09.jsp
		gf/jsp/GF2140/result.jsp
		gf/jsp/GF2150/result.jsp

	ﾃｰﾌﾞﾙ、ｲﾝﾃﾞｯｸｽ関係で、自動計算初期ｴｸｽﾃﾝﾄ(INITIAL_AUTO), 
	初期ｴｸｽﾃﾝﾄ(KB)(INITIAL_EXTENT) などほとんど使っていないのに
	ラベルがやたらと長いｶﾗﾑを、後ろに移動させます。
	また、ラベルも判りにくくなりますが、省略します。
		gf/jsp/GF2010/result.jsp(31): 				INITIAL_AUTO,INITIAL_EXTENT,SYSTEM_ID,FGJ,UNIQ
		gf/jsp/GF2030/result.jsp(33): 				BIKO,INITIAL_AUTO,INITIAL_EXTENT,SYSTEM_ID,FGJ,UNIQ
		gf/jsp/GF2060/dbdefIn.jsp(45): 		constKeys	= "SYSTEM_ID,TBLSYU,SKENSU,JKENSU,TABLESPACE_NAME,INITIAL_EXTENT,INITIAL_AUTO"
		gf/jsp/GF2060/dbdefIn.jsp(203): 		 INITIAL_AUTO,INITIAL_EXTENT,SYSTEM_ID,TBLSYU,
		gf/jsp/GF2150/result.jsp(62): 					COMMENTS,INITIAL_AUTO,INITIAL_EXTENT,
		gf/jsp/GF2150/result.jsp(120): 					TABLESPACE_NAME,BIKO,INITIAL_AUTO,INITIAL_EXTENT,NEXT_EXTENT,
		gf/jsp/GF6150/result1.jsp(6): 				INITIAL_AUTO,INITIAL_EXTENT,SYSTEM_ID,FGJ,UNIQ
		gf/jsp/GF6150/result3.jsp(6): 				INITIAL_AUTO,INITIAL_EXTENT,SYSTEM_ID,FGJ,UNIQ
		gf/jsp/GF7020/GF02xml.jsp(27): 				INITIAL_AUTO,INITIAL_EXTENT,FGJ
		gf/jsp/GF7020/result.jsp(64): 		colKeys		= "SYSTEM_ID,TBLSYU,TABLE_NAME,NAME_JA,SKENSU,JKENSU,TABLESPACE_NAME,COMMENTS,INITIAL_AUTO,INITIAL_EXTENT,FGJ"

	DB検索画面で、TABLE,CLM等を入力したときのスキーマ一覧で
	オーナーが表示されていなかったため、表示に追加します。
		gf/jsp/common/gamen/03_DBSEARCH/changeSQL.jsp

	[FileUploadTag の修正]
	5.7.1.2 (2013/12/20) のzip対応の修正で、取得ファイル名が、getPath() になっていた。
	getName() が正解。
		hayabusa.taglib.FileUploadTag#makeDBTable( final MultipartRequest multi )
		hayabusa.taglib.FileUploadTag#makeDBTableFromClms( final MultipartRequest multi )

	[ﾘｿｰｽ関連の修正]
	「5.6.1.1 (2013/02/08) で、Editor_MENU を、NUMMENU、YMDMENU、HMMENU のスーパークラスとして使用するに当たり、
	Selection オブジェクトの初期化で、null エラーになるので、「とりあえず」処理します。」
	について、対応を行います。
	①SelectionFactory で、new Selection*** を置き換えます。
	②CodeDataやSelectionオブジェクトが作成できない場合は、エラーメッセージを、標準エラー出力に
	  出力するとともに、エラーメッセージのコードリソースを作成します。
	  以前は、5.6.1.1 の対応で、Selectionオブジェクトが null になり、CodeData の未登録時などに、
	  NullPointerException が発生して、発生箇所、原因が判りませんでした。
		hayabusa.db.SelectionFactory#newSelection( final String type,final String param )
		hayabusa.db.SelectionFactory#newSelection( final String type,final CodeData codeData )
		hayabusa.db.SelectionFactory#DBColumn#DBColumn( final String 	  lang,
		hayabusa.db.SelectionFactory#DBColumn#DBColumn( final DBColumnConfig config )
		hayabusa.db.DBColumn#DBColumn( final String 	  lang,・・・
		hayabusa.db.DBColumn#DBColumn( final DBColumnConfig config )
		hayabusa.db.DBColumn#getSelection()
		plugin.column.Editor_HMMENU#Editor_HMMENU( final DBColumn clm )
		plugin.column.Editor_NUMMENU#Editor_NUMMENU( final DBColumn clm )
		plugin.column.Editor_RADIO#Editor_RADIO( final DBColumn clm )
		plugin.column.Editor_YMDMENU#Editor_YMDMENU( final DBColumn clm )
		plugin.column.Renderer_RADIO#Renderer_RADIO( final DBColumn clm )
		plugin.column.Editor_INMENU#getValue( final String value )
		plugin.column.Editor_INMENU#getValue( final int row,final String value )
		plugin.column.Editor_MENU#getValue( final String value )
		plugin.column.Editor_MENU#getValue( final int row,final String value )
		plugin.column.Renderer_MENU#getValue( final String value )
		plugin.column.Renderer_MENU#getValue( final int row,final String value )

	③DBColumn 構築時に、LabelData が null の場合、いきなり、NullPointerException が発生
	  してしまうため、LabelData の簡易オブジェクト を設定できるようにします。
	  LabelData のコンストラクタをpublicにし、DBColumnConfig で、LabelData の初期値に設定します。
		hayabusa.resource.LabelData#LabelData( final String inkey )
		hayabusa.db.DBColumnConfig#DBColumnConfig( final String lang , ････
		hayabusa.db.DBColumnConfig#DBColumnConfig( final String name )

	④DB検索ﾒﾆｭｰで、ﾘｿｰｽを使わない素のﾃﾞｰﾀを表示したい要望に対応します。
	  ColumnEditorTag で、ﾘｿｰｽを使用しない DBColumn を設定します。
	  noResource="true" で、処置します。
	  上記変更で、OWNERの値を利用した localResource も用意します。
	  ただし、DBID使用時に、本当は接続先ﾘｿｰｽを使うべきですが、そこまで対応できていません。
		hayabusa.taglib.ColumnEditorTag#release2()
		hayabusa.taglib.ColumnEditorTag#setNoResource( final String flag )
		hayabusa.taglib.ColumnEditorTag#getModifyConfig( final DBColumn dbColumn )
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld
		gf/jsp/common/gamen/03_DBSEARCH/query.jsp
		gf/jsp/common/gamen/03_DBSEARCH/result.jsp

5.7.2.3 (2014/01/31)
	[Bizロジック修正]
	5.6.7.0の対応でテーブルモデルのチェックの条件を変更しましたが、
	検索結果０件の場合にエラーと判定されていたため修正します。
		fukurou.business.ArrayTableModel#ArrayTableModel( final String[] nms, final String[][] vs, final String[] ms )

	[oracle.sql.*** 関係]
	5.7.2.2 (2014/01/24) で対応した、JDBCドライバ対応を、元に戻します。
	既存環境との互換性の為、Ver5 では、従来の方式に戻します。
	Ver6 は前回の修正のまま、残ります。ソースが異なりますので、ご注意ください。
	http://docs.oracle.com/cd/E28389_01/web.1111/b60995/thirdparty.htm
		hayabusa/taglib/DirectWriteTableTag#executeCall( final Connection conn,final CallableStatement callStmt,final String[] args )
		plugin/query/Query_JDBCArrayCallable#execute( final String[] args )
		plugin/query/Query_JDBCErrMsg#execute( final String[] args )
		plugin/query/Query_JDBCKeyEntry#execute( final String[] keys, final String[] args )
		plugin/query/Query_JDBCPLSQL#execute( final String names,final String dbArrayType,final DBSysArg[] sysArg,final DBUserArg[] userArg )

	[Process_DBReader 修正]
	Process_DBReader で、SELECTで読み取ったカラム名を、書き換える機能を用意します。
	これは、-asClms 属性で元ｶﾗﾑ名:新ｶﾗﾑ名 のｽﾍﾟｰｽ区切りで指定します。
	例：-asClms="FGJ:CDJ SEQ123:UNIQ"
	軽微な処理なら、SELECT文で、AS区で書き換えればよいのですが、共通的な
	カラム名の部分的な置換の場合、SQL文を都度用意するのではなく、引数で指定する方が
	まとめて処理するのに都合が良い為です。
		fukurou.process.Process_DBReader#init( final ParamProcess paramProcess )

	引数の AA:01 BB:02 CC:03 … 形式の、元値:新値のｽﾍﾟｰｽ区切り文字列を元に、元値を新値に置き換えます。
		fukurou.util.StringUtil#caseReplace( final String target,final String caseStr,final boolean ignoreCase )

	Process_TableFilter の replace パラメータで、⇒ 記号で部分文字列の置換指定を行わない場合は、
	CASE指定で、"_:0 A:1 B:2"	(元値:新値 のｽﾍﾟｰｽ区切り) 形式の置換を行う様に機能追加します。
		fukurou.process.Process_TableFilter#init( final ParamProcess paramProcess )
		fukurou.process.Process_TableFilter#action( final LineModel data )
		fukurou.process.Process_TableFilter#end( final boolean isOK )

	Process_TableWriter の JavaDocコメントを修正します。
	delKey_XXXX , insKey_XXXX パラメータは実装がない為、コメントを削除します。
		fukurou.process.Process_TableWriter.java

	5.7.2.2 (2014/01/24) で、MainProcess で、ログ出力と、標準エラー出力を停止
	しましたが、ログをファイルに出力する場合に、標準出力に出力されないので元に戻します。
	なお、ログは標準出力、こちらは、エラー出力なので、標準出力をリダイレクト
	すれば、２重に見えることは無くなります。
	※ 5.7.2.2 (2014/01/24) のコメントごと削除します。
		fukurou.process.MainProcess#run()

	[DatabaseConfig 修正]
	DBConfig.xml ファイルの検索で、日本語フォルダを含む相対パスでの URL 検索では
	ファイル名のエンコードの関係で、名前は取れても、そのままでは、取得できない
	ケースがありました。そこで、名前を取得後、存在チェックを行い、無ければ、
	取得しなおすこととします。
		fukurou.db.DatabaseConfig( final String xmlfile )

	引数の XmlFileName 引数を、xmlFileName に変更します。
		fukurou.db.ConnectionFactory#init( final String defPoolKey, final String xmlFileName )

	[DB定義DB 修正]
	比較条件など、少し修正
		jsp/GF2030/query.jsp,result.jsp				BIKO を検索条件に追加
		jsp/GF2060/GFM0016.jsp,GFM0040.jsp			SEQNO(表示順)を条件から外す。DBMENUを条件から外す。
		jsp/GF2060/dbfileOut.jsp					出力項目に、COMMENTS 追加
		jsp/GF2120/GFM0049.jsp						更新条件から、TABLE_NAME を外す。
		jsp/GF2160/dbdefOut.jsp						ファイルを出力するように変更。

5.7.2.2 (2014/01/24)
	[MainProcess 修正]
	MainProcess で、ログ出力と、標準エラー出力の両方とも出力していましたが、
	標準エラー出力を停止します。
	単に、ログを標準出力に設定した場合、２重に出力されているように見えるためです。
		fukurou.process.MainProcess#run()

	SQL実行エラーを少し詳細に出力します。
		fukurou.process.Process_DBCountFilter#action( final LineModel data ) {
		fukurou.process.Process_DBMerge#action( final LineModel data ) {
		fukurou.process.Process_DBWriter#action( final LineModel data ) {
		fukurou.process.Process_FileCopy#action( final LineModel data ) {
		fukurou.process.Process_Grep#action( final LineModel data ) {
		fukurou.process.Process_GrepChange3action( final LineModel data ) {
		fukurou.process.Process_GrepChangeExcel3action( final LineModel data ) {
		fukurou.process.Process_DBCountFilter#makePrepareStatement( final LineModel data )
		fukurou.process.Process_DBMerge#makePrepareStatement( final String table,final LineModel data )
		fukurou.process.Process_DBReader#init( final ParamProcess paramProcess )
		fukurou.process.Process_DBReader#next()
		fukurou.process.Process_DBReader#makeLineModel( final int rowNo )
		fukurou.process.Process_DBReader#createLineModel( final ResultSet rs )
		fukurou.process.Process_DBWriter#makePrepareStatement( final String table,final LineModel data )
		fukurou.process.Process_DBWriter#execSql( final String sql )

	[DatabaseConfig 修正]
	5.6.8.2 (2013/09/20) Tomcat8で、xmlURL が取得できなくなっている対策 で、
	xmlURL 変数が、null の場合の再取得で、Tomcat7 の場合でも、WEB-INF/classes フォルダが
	ないと取得できないケースがあり、（以前より判っている）その場合は、
	相対パスでも取れないため、xmlURL 変数の null チェックが必要でした。
	それを追加します。
		fukurou.db.DatabaseConfig( final String xmlfile )

	private final String XmlFilename ⇒ xmlFilename に修正します。
	final なので、大文字で始まる固定変数という事だと思うが、static final だけを
	大文字(しかも、変数名すべてを大文字)にしているため、これは、変数名を変更します。
		fukurou.db.DatabaseConfig.java

	[UserInfoのsetAttribute 戻し]
	5.6.8.1 (2013/09/13) で、対応した、UserInfo のセット値が null の場合は、
	処理しないロジックで、null をセットして、メモリ上からクリアするロジックが
	あると、うまく動作しない（互換性がなくなっている）状況が判りましたので、
	以前と同じに、null もセットできるように変更します。
		# UserInfo で、セットする値が null、またはゼロ文字列の場合、
		# attribute変数に設定しない（DBへも書き込まない）ように変更します。
		# これは、無駄なメモリやDB書き込みを減らすためです。
		hayabusa.resource.UserInfo#setAttribute( final String key,final String value, final boolean save, final boolean common )
		hayabusa.resource.UserInfo#dbLoad()

	元は、エンジン内部で使っている変数の無駄な処理を止めるためのロジックなので、
	それらをピンポイントで null 登録しない様に変更します。
	(EDIT_NAME_*** , EDIT_VIEW_**** , LAST_REQUEST_**** , REPORT_DEFAULT**** , )
	※ すべてを対応したかったが、jspから登録したり、色々なので、とりあえず、EDIT_NAME_SELECTED_ のみ対応
		hayabusa.resource.UserInfo#setSelectedEdit( final String guikey, final String editName )

	[oracle.sql.*** 関係]
	JDBCドライバで、ORACLE独自の実装箇所を、出来るだけ、java API の範囲で記述し直します。
	Oracle 12c の JDBCドライバを使用した場合、コンパイル時に、警告が出るので、早めに対応します。
	なお、racle 12c の JDBCドライバ では、9i 関係のデータベースアクセスに支障が出るため、
	当面は、11g の JDBCドライバを使用します。
	http://docs.oracle.com/cd/E28389_01/web.1111/b60995/thirdparty.htm
	なお、この実装は、11.2.0.3のドライバ以降で有効です。
		hayabusa/taglib/DirectWriteTableTag#executeCall( final Connection conn,final CallableStatement callStmt,final String[] args )
		plugin/query/Query_JDBCArrayCallable#execute( final String[] args )
		plugin/query/Query_JDBCErrMsg#execute( final String[] args )
		plugin/query/Query_JDBCKeyEntry#execute( final String[] keys, final String[] args )
		plugin/query/Query_JDBCPLSQL#execute( final String names,final String dbArrayType,final DBSysArg[] sysArg,final DBUserArg[] userArg )

5.7.2.1 (2014/01/17)
	[ReplaceString バグ]
	ReplaceString$ReplaceData#isOverlap メソッドの結果が反転していたので、修正します。
	これは、jdk1.6 で実行した場合、compareToメソッドが実行されず、結果、isOverlapメソッドも
	実行されていなかったため、発見できませんでしたが、jdk1.7にすると、compareTo メソッドが
	実行され、結果、isOverlapメソッドで、エラー判定されてしまいました。
		fukurou.util.ReplaceString$ReplaceData#isOverlap( final ReplaceData other )

	[Process_FileSearchのMD5 計算]
	HybsCryptography に、ファイルを引数に、MD5 を計算するメソッドを追加します。
	これを使用して、バッチ系処理で、MD5 の計算結果を出力できるようにします。
	Process_FileSearch に、useMD5 引数を追加します。
		fukurou.security.HybsCryptography#encrypt( final String org )
		fukurou.security.HybsCryptography#decrypt( final String hex )
		fukurou.security.HybsCryptography#getMD5( final File input )
